2014-05-04  Stefan Kristiansson  <stefan.kristiansson@saunalahti.fi>

	* cpu/common/abstract.c:
	(set_mem32) Clear atomic reserve on write to atomic address.
	(set_mem16) Likewise.
	(set_mem8) Likewise.
	* cpu/common/execute.h <cpu_state>: Add loadlock_active and
	loadlock_address members.
	* cpu/or1k/except.c (except_handle): Clear atomic reserve on
	exceptions.
	* cpu/or32/insnset.c:
	(l_swa): New function.
	(l_lwa): Likewise.
	* cpu/or32/or32.c <or1ksim_or32_opcodes>: Add l.lwa and l.swa
	instructions.
	* cpu/or32/simpl32-defs.h: Add l_swa and l_lwa declarations.
	* cuc/load.c <conv>: Add l.lwa and l.swa instructions.

2013-04-22  Peter Gavin  <pgavin@gmail.com>

	* cpu/or32/insnset.c: (l_div) check for 0x80000000 / 0xffffffff,
	and treat it like division by zero (set OV flag, do not write to
	destination register).  The C standard specifies that this
	operation is undefined, and will typically raise an exception,
	aborting the simulator, just like divide by zero.  So this change
	not only changes the ISA, but fixes a bug in the simulator.

2013-04-10  Peter Gavin  <pgavin@gmail.com>

	* cpu/or32/or32.c: (insn_extract) make sure the new extracted bit
	is unsigned, otherwise the result may become negative and will be
	sign-extended when cast to a 64-bit integer.  This fixes the bug
	on 64-bit systems where "<invalid>" would be printed in traces for
	valid instructions

2013-04-04  Peter Gavin  <pgavin@gmail.com>

	* cpu/or32/insnset.c: change implementations of l_add, l_addc,
	l_sub, l_mul, l_mulu, l_div, and l_divu to match current
	architecture manual revision (1.0-rev0):
	- add AECR/AESR support.  Only used when AECSRP bit in CPUCFGR is
	set, otherwise exception is raised when OVE and OV are both set
	- l_mac and l_msb use full 32x32-bit to 64-bit multiply
	- l_mac and l_msb set OV bit if add stage overflows, which may
	cause exception
	- l_mul does not touch CY flag
	- l_div, l_divu now set OV bit for DBZ

2013-04-03  Peter Gavin  <pgavin@gmail.com>

	* cpu-config.c: (cpu_cfgr) improve checks on configuration, ensure
	that OB32S is always set, and that unsupported features are
	unset. Print a warning whenever configuration is changed from
	whatever was specified in the file

2013-04-03  Peter Gavin  <pgavin@gmail.com>

	* cpu/or1k/spr-defs.h, cpu/or1k/spr-dump.c: add some new SPRs from
	newest version of architecture manual (v1.0-rev0)

2013-07-28  Stefan Kristiansson  <stefan.kristiansson@saunalahti.fi>

	* tick/tick.c (spr_write_ttmr): Do not disable counter when in
	continous mode and timer value mathes the timer period.

2013-01-30  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* README.md: Updated to explain about the or1k variant.

2012-11-08  Peter Gavin  <pgavin@gmail.com>

	* config.h.in: regenerated
	* configure: ditto
	* doc/or1ksim.info: ditto
	* doc/version.texi: ditto

2012-11-08  Peter Gavin  <pgavin@gmail.com>

	* doc/or1ksim.info: add docs for or1knd (no delay slot mode)

2012-11-08  Peter Gavin  <pgavin@gmail.com>

	* doc/or1ksim.texi: s/or32/or1k/

2012-11-08  Peter Gavin  <pgavin@gmail.com>

	* configure.ac: check for target=or1knd-* and define OR32_NODELAY
	* sim-config.c:
	(init_defconfig) if OR32_NODELAY is defined, use 0x420 as default
	CPUCFGR value


2012-10-28  Peter Gavin  <pgavin@gmail.com>

	autoreconf, update docs
	* */Makefile.in: regenerated
	* aclocal.m4: ditto
	* configure: ditto
	* doc/or1ksim.info: ditto
	* doc/version.m4: ditto

2012-10-28  Peter Gavin  <pgavin@gmail.com>

	add or1knd (no-delay slot) target
	* sim-nd.cfg: new file: configuration for no-delay target.
	essentially a copy of sim.cfg.
	* Makefile.am:
	(DISTCHECK_CONFIGURE_FLAGS) use $(target_alias) instead of or1k-elf
	(EXTRA_DIST) add sim-nd.cfg
	* config.sub: add or1knd target
	* config.guess: ditto
	* configure.ac: ditto
	* cpu/or1k/spr-defs.h:
	(SPR_CPUCFGR_ND) no-delay slot flag
	* cpu-config.c:
	(cpu_cfgr) allow SPR_CPUCFGR_ND bit to be set in the argument
	* cpu/or32/insnset.c:
	(l_j) check if ND bit is set; if so, don't use delay slot. this is
	done by setting pcnext directly, and *not* setting next_delay_insn
	or cpu_state.pc_delay, which are ignored altogether in nodelay mode.
	(l_jal) ditto
	(l_jr) ditto
	(l_jalr) ditto
	(l_bf) ditto
	(l_bnf) ditto

2012-04-27  Peter Gavin  <pgavin@gmail.com>

	* Makefile.am: s,or32,or1k,
	* config.guess: ditto
	* config.sub: ditto
	* configure.ac: ditto

2012-04-27  Peter Gavin  <pgavin@gmail.com>

	* configure: Regenerated.
	* configure.ac: Updated version.

2012-04-07  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* MAINTAINERS: Added.
	* configure: Regenerated.
	* configure.ac: Updated version.

2012-03-23  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.

2011-08-15  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.

2011-08-15  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version. Turned off -Werror (workaround
	for Bug 64). Fixed custom tests for strndup, strcasecmp and
	isblank (Bug 65).

2001-07-08  Olof Kindren  <olof@opencores.org>

	* configure.ac: Added AM_SILENT_RULES for nicer builds
	* configure: Regenerated.

2011-06-12  Julius Baxter  <julius@opencores.org>

	* cpu/or1k/spr-defs.h: <SPR_TTCR_CNT>: Change back to 0xffffffff
	* tick/tick.c: <cycles_start>: renamed cycle_count_at_tick_start.
	<tick_count>: Renamed tick_counting.
	(sched_timer_job): Various comments to detail what is going on.
	<match_time>: Renamed match_ttmr.
	<ttcr_period>: Renamed match_ttcr.
	<match_ttcr>: Is now TTCR value masked with TTMR_TP.
	<cycles_until_except>: Added, being used to calculate cycles until next
	exception instead of match_time.

2011-06-10  Julius Baxter  <julius@opencores.org>

	* cpu/or1k/spr-defs.h: <SPR_TTCR_CNT>: Change to 0x0fffffff

2011-06-06  Julius Baxter  <julius@opencores.org>

	* Makefile.in: Regenerated.
	* cpu/or32/insnset.c: (mfspr): Made move-from-SPR in user mode work when
	SR[SUMRA] bit set.
	* cpu/common/abstract.c: Added PCU header to includes.
	(eval_mem32): Added call to PCU event count function.
	Moved debug breakpoint check to after exception triggers.
	(eval_mem16): Ditto.
	(eval_mem8): Ditto.
	(set_mem32): Ditto.
	(set_mem16): Ditto.
	(set_mem8): Ditto.
	(eval_insn): Added call to PCU event count function.
	* configure.ac: Added newly added pcu/ path to appropriate places.
	* cache/dcache-model.c: Added PCU header to includes.
	(dc_simulate_read): Added call to PCU event count function.
	* cache/icache-model.c: Added PCU header to includes.
	(ic_simulate_read): Added call to PCU event count function.
	* pcu/Makefile.in: Generated and added.
	* pcu/pcu.c: Added.
	* pcu/Makefile.am: Added.
	* pcu/pcu.h: Added.
	* mmu/dmmu.c: Added PCU header to includes.
	(dmmu_translate): Added call to PCU event count function on miss.
	Cleared away unused code surrounded by "#if 0".
	* mmu/immu.c: Added PCU header to includes.
	(immu_translate): Added call to PCU event count function on miss.
	Cleared away unused code surrounded by "#if 0".
	* configure: Regenerated.
	* Makefile.am: <SUBDIRS>: Added pcu.
	<libor1ksys_la_LIBADD>: Added pcu/libpcu.la.
	* sim-config.c: Added PCU header to includes.
	(init_defconfig): Initialise pcu config struct.
	(reg_config_secs): Add call to pcu section setup function.
	* sim-config.h: <struct config>: Added pcu config struct.
	* doc/or1ksim.texi: Added information on pcu configuration.

2011-06-04  Julius Baxter  <julius@opencores.org>

	* cpu/or32/rec-i386.h: Removed.
	* cpu/or32/op-2t.h: Removed.
	* cpu/or32/rec-i386.h: Removed.
        * cpu/or32/op-2t.h: Removed.
        * cpu/or32/op-mftspr-op.h: Removed.
        * cpu/or32/op-i386.h: Removed.
        * cpu/or32/op.c: Removed.
        * cpu/or32/sched-i386.h: Removed.
        * cpu/or32/dyn32-defs.h: Removed.
        * cpu/or32/op-support.c: Removed.
        * cpu/or32/op-lwhb-op.h: Removed.
        * cpu/or32/op-comp-op.h: Removed.
        * cpu/or32/op-support.h: Removed.
        * cpu/or32/op-swhb-op.h: Removed.
        * cpu/or32/dyn-rec.c: Removed.
        * cpu/or32/op-arith-op.h: Removed.
        * cpu/or32/op-1t.h: Removed.
        * cpu/or32/dyn-rec.h: Removed.
        * cpu/or32/op-3t.h: Removed.
        * cpu/or32/op-ff1-op.h: Removed.
        * cpu/or32/op-t-reg-mov-op.h: Removed.
        * cpu/or32/dyngen-i386.c: Removed.
        * cpu/or32/def-op-t.h: Removed.
        * cpu/or32/op-1t-op.h: Removed.
        * cpu/or32/op-2t-op.h: Removed.
        * cpu/or32/op-3t-op.h: Removed.
        * cpu/or32/common-i386.h: Removed.
        * cpu/or32/op-extend-op.h: Removed.
        * cpu/or32/dyngen.c: Removed.
        * cpu/or32/dyngen-elf.c: Removed.
        * cpu/or32/dyngen.h: Removed.
        * cpu/or32/i386-regs.h: Removed.
        * cpu/or32/op-mac-op.h: Removed.
        * cpu/dlx: Removed.
        * cpu/dlx/Makefile.in: Removed.
        * cpu/dlx/arch.h: Removed.
        * cpu/dlx/execute.c: Removed.
        * cpu/dlx/Makefile.am: Removed.
        * cpu/dlx/.cvsignore: Removed.
        * cpu/or16: Removed.
        * cpu/or16/.cvsignore: Removed.
	* cpu/or32/or32.c: Remove dynamic execution-dependent
	sections.
	* cpu/or32/execute.c: Ditto.
	* cpu/or32/Makefile.am: Ditto.
	* cpu/common/abstract.c: Ditto.
	* cpu/common/execute.h: Ditto.
	* cpu/or1k/sprs.c: Ditto.
	* cpu/or1k/opcode/or32.h: Ditto.
	* cpu/or1k/except.c: Ditto.
	* sim-cmd.c: Ditto.
	* configure.ac: Remove dynamic-execution options.
	Remove DLX option.
	* configure: Regenerated.
	* doc/or1ksim.texi <Configuring the Build>: Removed dynamic execution
	option information.

2011-05-09  Julius Baxter  <julius.baxter@orsoc.se>

	* configure: Regenerated.
	* configure.ac: Added TUN/TAP header to AC_CHECK_HEADERS
	* peripheral/eth.c: Added ifdef HAVE_LINUX_IF_TUN_H around TUN/TAP
	code and includes.
	* cpu/or1k/spr-defs.h: Fixed page number mask for MMU TLB registers.
	Added TLBEIR definition.
	Added definitions for SPR_TTMR_TP and SPR_TTCR_CNT. Removed definitions
	of SPR_TTMR_PERIOD and SPR_TTMR_CR_PERIOD.
	Added PICPR_IPRIO definition.
	* testsuite/test-code-or1k/uos/tick.c:  Replace SPR_TTMR_PERIOD with
	SPR_TTMR_TP and SPR_TTCR_PERIOD with SPR_TTCR_CNT.
	* tick/tick.c: Ditto.
	* cpu/or1k/spr-dump.c: Ditto.
	* testsuite/test-code-or1k/tick/tick.c: Ditto.
	Fix continuous timer test.
	Remove spurious interrupt test. Believed to be an artifact of incorrect
	TTMR/TTCR defines.
	* testsuite/or1ksim.tests/tick.exp: Remove spurious interrupt test.

2011-04-28  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version
	* debug/debug-unit.c (set_stall_state): Clearing stall state also
	clears halted state.

2011-04-08  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version 0.5.1rc1.

2011-03-29  Jonas Bonn  <jonas@southpole.se>

	* cpu/or1k/sprs.c (mtspr): Setting PICMR always sets the bottom
	two bits if we have non-maskable interrupts.

2011-03-27  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version 0.5.0rc3.

2011-03-26  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* peripheral/eth.c (eth_open_tap_if): If fail to open the TAP,
	then also report the tap device name.

2011-02-24  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.

2011-02-22  Giuseppe Scrivano  <gscrivano@gnu.org>

	* sim-cmd.c (handle_sim_command) [HAVE_LIBREADLINE]: Exit
	immediately if no text is read.

2011-01-27  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* cpu/or32/insnset.c <l_nop>: Added behavior for NOP_RANDOM and
	NOP_OR1KSIM. Removed default behavior.
	* cpu/or1k/spr-defs.h: Added definition of NOP_RANDOM and
	NOP_OR1KSIM. Removed definitions of NOP_REPORT_FIRST and
	NOP_REPORT_LAST.
	* doc/or1ksim.texi <l.nop Opcode Support>: Document l.nop 10 and
	l.nop 11.
	* libtoplevel.c (or1ksim_init): Replaced srand () by
	init_randomness ().
	* peripheral/memory.c (mem_reset): Do not allow general reset of
	random number generator.
	* sim_config.c (parse_args): Change use of rand () to random ().
	* toplevel.c (main): Replaced srand () by init_randomness ().
	* toplevel-profile.c (main): Replaced srand () by init_randomness ().
	* toplevel-support.c (init_randomness): Created.
	* toplevel-support.h <init_randomness>: Added.

2011-01-05  Jeremy Bennett <jeremy@jeremybennett.com>

	* cpu/common/abstract.c (diassemble_instr): Added instruction
	as third parameter. No longer look up in memory.
	* cpu/common/abstract.h <diassemble_instr>: Updated prototype.
	* cpu/or32/execute.c (trace_instr): Pass instruction as third
	parameter to dissassemble_instr. Clearer message when we can't get
	a physical address.

2011-01-05  Jeremy Bennett <jeremy@jeremybennett.com>

	* cpu/common/abstract.c (diassemble_instr): Start each line with a
	flag indicating if user or supervisor mode.
	* doc/or1ksim.texi: Updated with new trace flags and explaining
	trace ouptut in more detail.

2011-01-05  Jeremy Bennett <jeremy@jeremybennett.com>

	* cpu/common/abstract.c (diassemble_instr): Control output of
	physical/virtual address with --trace-physical and --trace-virtual
	flags.
	* sim-config.c (parse_args): Add --trace-physical and
	--trace-virtual flags.
	* sim-config.h <runtime.sim>: Add trace_phy and trace_virt flags.

2011-01-05  Jeremy Bennett <jeremy@jeremybennett.com>

	* cpu/common/abstract.c (diassemble_instr): Added virtual address
	as second parameter, used for trace O/P.
	* cpu/common/abstract.h <diassemble_instr>: Updated prototype.
	* cpu/or32/execute.c (trace_instr): Pass virtual as well as
	physical address to disassemble_instr.

2011-01-05  Jeremy Bennett <jeremy@jeremybennett.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* cpu/or1k/spr-defs.h: Added definition of NOP_TRACE_ON and
	NOP_TRACE_OFF.
	* cpu/or32/insnset.c <l_nop>: Added behavior for NOP_TRACE_ON and
	NOP_TRACE_OFF
	* doc/or1ksim.texi: New section documenting l.nop opcodes.

2011-01-04  Julius Baxter  <julius@opencores.org>

	* cpu/or32/or32.c: <trace_dest_spr>: Added.
	(or1ksim_disassemble_trace_index): Added dumping of SPR content when
	disassembling l.mtspr instruction.
	* cpu/common/abstract.c:
	(disassemble_instr): Added tracing of SPR contents after l.mtspr insn.
	* cpu/or1k/opcode/or32.h: (trace_dest_spr): Added extern definition.

2010-12-27  Julius Baxter  <julius@opencores.org>

	* peripheral/eth.c: <RTX_RESCHED_PERIOD>: Changed to 10000.
	(eth_write32): Additional debug output, when enabled.

2010-12-18  Jeremy Bennett <jeremy@jeremybennett.com>

	* peripheral/eth.c (eth_write320): Setting ETH_INT_MASK has no
	impact on interrupt processing.
	* configure: Regenerated.
	* configure.ac: Updated version.

2010-12-15  Jeremy Bennett <jeremy@jeremybennett.com>

	* peripheral/eth.c <RTX_RESCHED_PERIOD>: Added.
	(eth_controller_tx_clock, eth_controller_rx_clock): Reschedule for
	RTX_RESCHED_PERIOD.
	(eth_controller_tx_clock): dummy_crc parameter controls whether
	CRC is added.
	(eth_ignore_tap_packet): Deleted.
	(eth_ignore_tap_packets): Added (based on eth_ignore_tap_packet).
	(eth_reset): I/O opening moved into eth_open_if.
	(eth_open_if, eth_open_file_if, eth_open_tap_if): Created.
	(eth_regname): Created.
	(eth_read32, eth_write32): Unified debug printing.
	(eth_dummy_crc): Created.
	(eth_sec_start): Initialize dummy_crc.
	(reg_ethernet_sec): Add dummy_crc parameter.
	* doc/or1ksim.texi: Updated Ethernet configuration section for
	dummy_crc.

2010-12-15  Jeremy Bennett <jeremy@jeremybennett.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* peripheral/eth.c <mac_broadcast>: Defined to ff:ff:ff:ff:ff:ff.
	<struct eth_device>: loopback_offset removed. State reduced to
	just BD indices, buffers removed.
	(eth_read_rx_file, eth_skip_rx_file, eth_rx_next_packet): Deleted.
	(eth_write_file_packet, eth_write_tap_packet, eth_write_packet)
	(eth_blush_bd): Created.
	(eth_controller_tx_clock): Completely rewritten.
	(eth_read_file_packet, eth_read_tap_packet, eth_read_packet)
	(eth_fill_bd, eth_ignore_packet): Created.
	(eth_controller_rx_clock): Completely rewritten.
	(eth_read32, eth_write32): Rewritten for new data structures.

2010-12-09  Julius Baxter <julius@opencores.org>

	* doc/or1ksim.texi: changed references to or32-uclinux-* to or32-elf-*.
	Added section on using SIGUSR1 signal to control trace dumping.
	* peripheral/eth.c: Change scheduling of TX and RX from 10 cycles to 1
	when idling.
	* toplevel.c: Added SIGUSR1 handler hook.
	* toplevel-support.c: <toggle_trace>: New function to toggle the trace
	execution control variable.
	* toplevel-support.h: <toggle_trace>: Add function prototype.

2010-12-08  Jeremy Bennett <jeremy@jeremybennett.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* doc/or1ksim.texi: Updated Ethernet configuration section. Added
	new section on configurating TUN/TAP.

2010-12-01  Julius Baxter <julius@opencores.org>

	* peripheral/eth.c: <define ETH_DEBUG>: controlling debug printouts.
	<struct eth_device>: Added int_line_stat to hold status of IRQ line.
	(eth_controller_tx_clock, eth_controller_rx_clock): Add setting of
	interrupts dependent on line state, added setting of INT_SOURCE reg.
	regardless of INT_MASK bits or line state.

2010-11-30  Julius Baxter <julius@opencores.org>

	* cpu/or1k/sprs.c: Clarify commenting on PIC_PICSR register.
	* peripheral/eth.c: Many changes.

2010-11-26  Jeremy Bennett <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* peripheral/eth.c: Now uses TUN/TAP tunnelling. ETH_PHY
	conditional compilation removed throughout.
	<struct eth_device>: Redundant fields removed. New fields added.
	(eth_controller_tx_clock): Use write to TAP instead of sendto
	socket.
	(eth_controller_rx_clock): Use read from TAP instead of recv from
	socket.
	(eth_reset): Socket initialization replaced by opening TAP.
	(eth_rtx_type): Now string parameter. Currently "FILE" or "TAP"
	permitted.
	(eth_tap_dev): Created.
	(eth_sock_if): Deleted.
	(eth_sec_start, eth_sec_end, reg_ethernet_sec): Updated to add
	tap_dev.
	* peripheral/etch.h: ETH_PHY conditional compilation removed
	throughout.

2010-11-25  Jeremy Bennett <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* cpu/or1k/sprs.c (mtspr): Setting PICMR considers NMI usage.
	* doc/or1ksim.texi <Interrupt Configuration>: Documented the PIC
	use_nmi config.
	* libtoplevel.c (or1ksim_interrupt): Does not clear interrupts
	immediately.
	* NEWS: Updated regarding PIC configuration.
	* pic/pic.c (pic_reset): Reference to PICPR
	removed. Initialization considers NMI use.
	(report_interrupt): NMI now handled through PICMR, rather than
	directly in the code.
	(pic_use_nmi): Created.
	(pic_reg_sec): Added "use_nmi" option.
	* sim-config.c (init_defconfig): config.pic.use_nmi initialized.
	* sim-config.h <config.pic>: New entry use_nmi added.

2010-11-24  Jeremy Bennett <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* doc/or1ksim.texi: More clarification of interrupt behavior when
	edge or level triggered.
	* pic/pic.c (report_interrupt): Improved warning when interrupt is
	reported while previous one is pending.
	(clear_interrupt): Now works for both level and edge triggered
	interrupts.

2010-11-22  Julius Baxter  <julius@opencores.org>

	* cpu/common/execute.h <cpu_state>: removed pic_lines variable.
	* cpu/or1k/sprs.c: Added comment clarifying PICSR behavior.
	* pic/pic.c: Removed use of pic_lines variable, added commenting
	clarifying behavior.
	<clear_interrupt>: only clear PICSR when level triggered.
	* doc/or1ksim.texi (Interrupt Configuration): Added clarification of
	interrupt behavior when edge or level triggered.

2010-11-22  Julius Baxter  <julius@opencores.org>

	* peripheral/eth.c (eth_miim_trans): comment out debug printf()s
	* cpu/or32/generate.c (generate_body): Add except_handle call to all
	generated illegal instruction cases.

2010-11-22  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* peripheral/eth.c (eth-reset): PF_PACKET renamed AF_PACKET.

2010-11-19  Julius Baxter  <julius@opencores.org>

	* peripheral/eth.c: Added new variable phy_addr to device struct and
	ability to set it in config script section. <eth_miim_trans>: function
	to emulate MIIM transactions, mainly PHYID regs at the moment.
	* peripheral/eth.h: Added MIIM bus defines.
	* doc/or1ksim.texi: Added information in eth sectin for phy_addr value

2010-11-11  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* doc/or1ksim.texi: Added information about --trace option
	* NEWS: Updated.

2010-10-27  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* cpu/common/abstract.c (disassemble_instr): Initialize store_val
	and store_addr to avoid any compiler warnings.
	* cpu/or32/or32.c (or1ksim_disassemble_trace_index): Sign extend
	trace_store_imm.

2010-10-06  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/or32.c <trace_dest_reg, trace_store_addr_reg>: New globals.
	<trace_store_imm, trace_store_val_reg, trace_store_width>: New
	globals.
	(or1ksim_disassemble_trace_index): Result now void, passes back all
	info via globals (yuk, but consistent with what exists). Handles
	store addresses.
	* cpu/or32/execute.c (trace_instr): Simplified.
	* cpu/common/abstract.c (disassemble_instr): Result now void, all
	reg info printed here. Handles store addresses.
	* cpu/common/abstract.h <disassemble_instr>: Change return type.
	* cpu/or1k/opcode/or32.h <trace_dest_reg, trace_store_addr_reg>:
	New globals marked extern.
	<trace_store_imm, trace_store_val_reg, trace_store_width>: New
	globals marked extern.
	<or1ksim_disassemble_trace_index>: Change return type.

2010-10-06  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Updated version.
	* cpu/or32/or32.c (or1ksim_disassemble_trace_index): Added.
	* cpu/or32/execute.c (trace_instr): Added.
	(exec_main): Call trace_instr rather than dumpreg if tracing.
	* cpu/common/abstract.c (disassemble_instr): Added.
	* cpu/common/execute.h <trace_instr>: Added.
	* cpu/common/abstract.h <diassemble_instr>: Added.
	* cpu/or1k/opcode/or32.h <or1ksim_disassemble_trace_index>: Added.
	* libtoplevel.c (or1ksim_run): Call trace_instr rather than
	dumpreg if tracing.

2010-10-02  Julius Baxter  <julius@opencores.org>

	* peripheral/memory.c: Added support for exitnops memory fill option
	* doc/or1ksim.texi: Added information about exitnops option

2010-10-02  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* Release 0.5.0rc2.

2010-10-02  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Fixed DEJAGNU to always be set, with no user override.

2010-10-02  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to 0.5.0rc2.
	* debug/rsp-server.c (rsp_query): Simplified handling of
	"qTStatus" to indicate we just do not support tracing.
	* doc/or1ksim.texi <Configuring the Build>: No longer mandatory to
	specify the target.
	<Memory Configuration>: Warns about issues with memory controller.
	<Memory Controller Configuration>: Warns about issues with memory
	controller and advises not to use it.
	<Standalone Simulator>: Details for options with arguments updated.
	* NEWS: Updated for 0.5.0rc2.
	* peripheral/mc.c (mc_poc): Use constant MC_POC_VALID
	(mc_index): Ensure value is valid.
	* peripheral/mc-defines.h <MC_CE_VALID>: Defined.

2010-09-30  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure.ac: Minor tidy ups.
	* configure: Regenerated.

2010-09-24 Julius Baxter <julius.baxter@orsoc.se>

	* debug/rsp-server.c: Added rsp_query handler entries for new packets
	seen with gdb-7.2.

2010-09-20  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/execute.c (exec_main): Dump regs if tracing enabled.
	* doc/or1ksim.texi <Usage>: Document -t/--trace.
	<Simulator Library>: or1ksim_write_mem second argument is now
	const.
	* libtoplevel.c (or1ksim_run): Dump regs if tracing enabled.
	(or1ksim_write_mem): Second argument is now const.
	* or1ksim.h <or1ksim_write_mem>: Second argument is now const.
	* sim-config.c (parse_args): New option -t/--trace.
	* toplevel.c (main): Remove setting of runtim.sim.hush.

2010-09-07  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* config.h.in: Regenerated.
	* debug.cfg, rsp.cfg: Deleted.
	* doc/or1ksim.texi: Updated for new options and library interface.
	* doc/or1ksim.info, doc/version.texi: Regenerated.
	* Makefile.am: Added sim.cfg to EXTRA_DIST.
	* NEWS: Updated for 0.5.0rc1.
	* or1ksim.h <enum or1ksim_rc>: OR1KSIM_RC_OK explicitly zero.
	* sim.cfg: Updated for consistency with the user guide.
	* sim-config.c (init_defconfig): 50000 as default VAPI port.
	(alloc_memory_block): Verbose message of amount allocated.

2010-09-06  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to 0.5.0rc1.

2010-08-08  Julius Baxter <julius.baxter@orsoc.se>

	* cpu/or32/or32.c: Fix compile warning about chars indexing arrays
	* cpu/or32/generate.c: Fix compile warning about chars indexing arrays
	* sim-cmd.c: Fix compile warning about chars indexing arrays
	* peripheral/eth.h: Removed define for MSG_WAITALL under Cygwin

2010-08-06  Julius Baxter <julius.baxter@orsoc.se>

	* cpu/or1k/spr-defs.h <SPR_VR_RES>: Fixed value (Thanks to Jonas Bonn)

2010-08-04  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date. Test for
	varargs.h dropped.
	* cpu/or32/insnset.c <l_nop>: Terminate execution on NOP_EXIT,
	even if debugging.
	* debug/rsp-server.c (rsp_query): Added support for qAttached
	packet.
	* libtoplevel.c (or1ksim_run): Stall after a single instruction if
	SPR_DMR1_ST flag is set.
	* softfloat/host.h: Make #define of INLINE conditional, to allow
	the user to override.
	* softfloat/README: Added instructions for non-optimized compilation.
	* softfloat/softfloat-macros: Add a conditional #ifndef
	NO_SOFTFLOAT_UNUSUED around unused functions.

2010-08-03  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* cpu/or32/execute.c: Remove include of gdbcomm.h.
	(exec_main): Remove two tests for config.debug.gdb_enabled.
	* cpu/or32/insnset.c <l_nop>: Change test for
	config.debug.gdb_enabled to config.debug.enabled for NOP_EXIT
	case.
	* debug/debug-unit.c (debug_gdb_enabled, debug_server_port):
	Deleted.
	(debug_rsp_enabled): Remove test for gdb_enabled.
	(reg_debug_sec): Remove gdb_enabled and server_port parameters.
	* debug/Makefile.am: Remove gdbcomm.c and gdbcomm.h.
	* sim-cmd.c: Remove include of gdbcomm.h.
	(initialize_readline): Remove conditional setting of
	rl_event_hook.
	(check_gdbcomm): Deleted.
	(handle_sim_command): Remove check of gdb_enabled.
	* sim-config.c (init_defconfig): Remove setting of
	config.debug.gdb_enabled and config.debug.server_port.
	(parse_args): Use --srv and --nosrv to set/clear RSP debugging.
	* sim-config.h <struct config>: Removed debug.gdb_enabled and
	debug.server_port.
	* toplevel-support.c: Remove include of gdbcomm.h.
	(sim_init): Remove two tests for gdb_enabled.

2010-08-03  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.

2010-08-03  Julius Baxter  <julius.baxter@orsoc.se>

	* softfloat: Directory for softfloat, software emulation of 32-bit FPU.
	* softfloat/Makefile.am: Created.
	* softfloat/Makefile.in: Regenerated.
	* softfloat/README: Created.
	* softfloat/host.h: Created.
	* softfloat/milieu.h: Created.
	* softfloat/softfloat-macros: Created.
	* softfloat/softfloat-specialize: Created.
	* softfloat/softfloat.c: Created.
	* softfloat/softfloat.h: Created.
	* configure: Regenerated.
	* configure.ac: Added softfloat path to appropriate places
	* Makefile.am: Added softfloat path and library to appropriate places
	* Makefile.in: Regenerated.
	* cpu/or32/execute-fp.h: deleted
	* cpu/or32/execute.c: Updated with FPU flag and rounding mode functions
	* cpu/or32/insnset.c: FP insns. now call softfloat functions for ops.
	* cpu/or1k/spr-defs.h: Add timer disabled bit

2010-08-01  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* cpu/or1k/opcode/or32.h <or1ksim_build_automata>: Renamed from
	build_automata.
	<l_none, num_opcodes, insn_index>: Deleted.
	<or1ksim_op_start>: Renamed from op_start.
	<or1ksim_automata>: Renamed from automata.
	<or1ksim_ti>: Renamed from ti.
	<or1ksim_or32_opcodes>: Renamed from or32_opcodes.
	<or1ksim_disassembled>: Renamed from disassembled.
	<or1ksim_insn_len>: Renamed from insn_len.
	<or1ksim_insn_name>: Renamed from insn_name.
	<or1ksim_destruct_automata>: Renamed from destruct_automata.
	<or1ksim_insn_decode>: Renamed from insn_decode.
	<or1ksim_disassemble_insn>: Renamed from disassemble_insn.
	<or1ksim_disassemble_index>: Renamed from disassemble_index.
	<or1ksim_extend_imm>: Renamed from extend_imm.
	<or1ksim_or32_extract>: Renamed from or32_extract
	* cpu/or32/or32.c, cpu/or32/execute.c, cpu/or32/generate.c,
	* cpu/common/stats.c, cpu/common/abstract.c, cpu/common/parse.c,
	* cpu/or1k/opcode/or32.h, cuc/load.c, cuc/cuc.c,
	* support/dumpverilog.c, toplevel-support.c: Renaming
	corresponding to changes in cpu/or1k/opcode/or32.h.
	* cpu/or32/execute-fp.h: Deleted
	* cpu/or32/generate.c <include_strings>: Remove reference to
	execute-fp.h
	* cpu/or32/execute.c <host_fp_rm>: Declared static.
	(fp_set_flags_restore_host_rm, fp_set_or1k_rm): Declared static,
	forward declaration removed.
	* or1ksim.h (or1ksim_read_mem, or1ksim_write_mem): addr arg
	changed to unsigned long int.
	(or1ksim_read_spr): sprval_ptr arg changed to unsigned long int *.
	(or1ksim_write_spr): sprval arg changed to unsigned long int.
	(or1ksim_read_reg): regval_ptr arg changed to unsigned long int *.
	(or1ksim_write_reg): regval arg changed to unsigned long int.
	* libtoplevel.c (or1ksim_read_mem, or1ksim_write_mem): addr arg
	changed to unsigned long int.
	(or1ksim_read_spr): sprval_ptr arg changed to unsigned long int *.
	(or1ksim_write_spr): sprval arg changed to unsigned long int.
	(or1ksim_read_reg): regval_ptr arg changed to unsigned long int *.
	(or1ksim_write_reg): regval arg changed to unsigned long int.

2010-07-30  Julius Baxter <julius.baxter@orsoc.se>
	* cpu/or32/execute-fp.h: Added for inclusion by generated execute code
	* cpu/or32/execute.c: Added floating point support functions
	* cpu/or32/simpl32-defs.h: removed duplicate l_invalid() defn.
	* cpu/or32/insnset.c: Add calls to floating point support funcs.
	* cpu/or32/generate.c: Added ability to configure includes for execgen
	* cpu/or1k/sprs.c: Added FPCSR returning 0 when no hardfloat
	* cpu/or1k/spr-defs.h: Added FP group and FPCSR addr and bits defines
	* testsuite/test-code-or1k/support/spr-defs.h: ditto

2010-06-31  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* config/dcache-model.c (reg_dc_sec): Upper case enumeration
	elements.
	* config/icache-model.c (reg_ic_sec): Upper case enumeration
	elements.
	* cpu/or1k/spr-defs.h <System control and status group>: Add
	SPR_GPR_BASE.
	* debug/debug-unit.c (reg_debug_sec): Upper case enumeration
	elements.
	* sim-config.h <enum param_t>: Upper case enumeration elements.
	* doc/or1ksim.texi: Delete reference to using include files.
	* cuc/cuc.c (reg_cuc_sec): Upper case enumeration elements.
	* or1ksim.h <or1ksim_read_mem, or1ksim_write_mem>: Argument order
	changed.
	<or1ksim_read_reg, or1ksim_write_reg>: Argument as value, not
	buffer.
	<or1ksim_read_spr, or1ksim_write_spr, or1ksim_set_stall_state>:
	Added.
	* NEWS: Updated with new features.
	* peripheral/gpio.c (reg_gpio_sec): Upper case enumeration
	elements.
	* peripheral/mc.c (reg_mc_sec): Upper case enumeration elements.
	* peripheral/generic.c (reg_generic_sec): Upper case enumeration
	elements.
	* peripheral/eth.c (reg_eth_sec): Upper case enumeration
	elements.
	* peripheral/kbd.c (reg_kbd_sec): Upper case enumeration
	elements.
	* peripheral/fb.c (reg_fb_sec): Upper case enumeration elements.
	* peripheral/dma.c (reg_dma_sec): Upper case enumeration
	elements.
	* peripheral/ata.c (reg_ata_sec): Upper case enumeration
	elements.
	* peripheral/memory.c (reg_memory_sec): Upper case enumeration
	elements.
	* peripheral/vga.c (reg_vga_sec): Upper case enumeration
	elements.
	* peripheral/uart.c (reg_uart_sec): Upper case enumeration
	elements.
	* mmu/dmmu.c (reg_dmmu_sec): Upper case enumeration elements.
	* mmu/immu.c (reg_immu_sec): Upper case enumeration elements.
	* vapi/vapi.c (reg_vapi_sec): Upper case enumeration elements.
	* bpb/branch-predict.c (reg_bpb_sec): Upper case enumeration
	elements.
	* cpu-config.c (reg_cpu_sec): Upper case enumeration elements.
	* libtoplevel.c: Include debug-unit.h, spr-defs.h and sprs.h
	headers.
	(or1ksim_step): Deleted.
	(or1ksim_read_mem, or1ksim_write_mem): Argument order
	changed.
	(or1ksim_read_reg, or1ksim_write_reg): Argument as value, not
	buffer. Mapped to SPR read/write calls.
	(or1ksim_read_spr, or1ksim_write_spr, or1ksim_set_stall_state):
	Created.
	* pic/pic.c (reg_pic_sec): Upper case enumeration elements.
	* pm/pm.c (reg_pm_sec): Upper case enumeration elements.
	* sim-config.c <cur_sections>: Global variable deleted and
	replaced by local arguments.
	<section_master_list>: Renamed from sections.
	<read_script_file>: Forward declaration deleted.
	(lookup_section, lookup_param): Created.
	(set_config_param): Renamed from switch_param. Simplified - no
	preceding blanks and string and word representations are
	identical.
	(next_word, next_lexeme): Created.
	(read_script_file): Also search ~/.or1ksim. Use new functions to
	get lexemes and to lookup sections and parameters.
	(alloc_memory_block): Created.
	(parse_args): New arguments -q/--quiet, --report-memory-errors,
	-m/--memory. No use of sim.cfg as default config file.
	(reg_sim_sec): Upper case enumeration elements.
	(set_config): Use new section and parameter lookup functions.

2010-06-31  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* cpu/common/abstract.c (setsim_mem32, setsim_mem16, setsim_mem8)
	(evalsim_mem32, evalsim_mem16, evalsim_mem8): Only report out of
	memory writes if --report-memory-errors is set.
	(set_direct32, set_direct16, set_direct8, eval_direct32)
	(eval_direct16, eval_direct8): Report memory errors to standard
	error.
	* cpu/common/parse.c (readfile_elf, identifyfile, loadcode): Use
	PRINTFQ for informative messages.
	* cpu/or1k/opcode/or32.h <build_automata>: Function declaration
	now takes argument.
	* cpu/or32/generate.c (main): build_automata takes argument.
	* cpu/or32/insnset.c <l_nop>: all output from NOP_EXIT is via
	PRINTFQ.
	* cpu/or32/or32.c (build_automata). Takes an argument. Only prints
	informative output if argument is zero.
	* libtoplevel.c (or1ksim_init): Changed syntax to use full
	argument vector.
	* or1ksim.h <or1ksim_init>: Changed prototype.
	* pic/pic.c (pic_reset): Reset message uses PRINTFQ.
	* sim-config.c (parse_args): Added new args -q/--quiet and
	--report-memory-errors.
	* sim-config.h <struct config>: New fields sim.quiet and
	sim.report_mem_errs.
	* toplevel-support.c (sim_init): Identification message is printed
	using PRINTFQ, call to build_automata takes parameter.

2010-07-17  Julius Baxter  <julius.baxter@orsoc.se>

	* sim-config.c: Adding binary execution trace support
	* sim-config.h: Adding binary execution trace options to config struct
	* toplevel.c: do_stats variable now set when binary insn. trace enabled
	* toplevel-support.c: Added file handling for binary execution trace
	* cpu/or32/execute.c: Adding binary execution dump function
	* cpu/common/execute.h: Adding proptoype for binary dump function

2010-06-31  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* argtable2/argtable2.c (arg_print_formatted): Cast argument to
	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	isspace to int (x2).
	* debug/rsp-server.c (rsp_remove_matchpoint)
	(rsp_insert_matchpoint): Don't cast pointer to enum. Invalidate
	instruction cache before writing.
	(rsp_write_mem, rsp_write_mem_bin): Invalidate caches before writing.
	* NEWS: Updated for new version

2010-06-29  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* cpu/or32/insnset.c <l_nop>: On exit, mark cpu as halted if this
	is library.
	* libtoplevel.c: Add definitions of GDB register numbers.
	(or1ksim_init): Initailize config.sim.is_library.
	(or1ksim_run): Distinguish between halting and hitting breakpoint,
	return if stalled/halted after cpu_cock ().
	(or1ksim_step, or1ksim_read_mem, or1ksim_write_mem)
	(or1ksim_read_reg, or1ksim_write_reg): New functions.
	* NEWS: Updated for new version
	* sim-config.c (init_defconfig): Initialize config.sim.is_library.
	* sim-config.h <struct config>: Added field sim.is_library.
	<struct runtime>: Added field cpu.halted.

2010-06-22  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to 0.4.0.
	* NEWS: Updated for 0.4.0.

2010-06-16  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to 0.4.0rc2. New conditional to
	allow l.xori to have unsigned immediate operand.
	* cpu/or32/or32.c <or32_opcodes>: l.xori optionally uses unsigned
	immediate.
	* doc/or1ksim.texi: Updated with enable-unsigned-xori config
	option.
	* NEWS: Updated with new bugs fixed.

2010-06-15  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date. enable-arith-flag
	and enable-ov-flag config options removed.
	* cpu/or32/insnset.c <l_mfspr, l_mtspr>: Use bitwise OR, not
	addition to calculate SPR address.
	<l_and, l_or, l_sll, l_sra, l_srl, l_xor>: Do not now affect CY and OV
	flags.
	<l_sub>: Sets OV and CY flags correctly, and triggers Range
	Exception if required.
	* doc/or1ksim.texi: Updated to remove enable-arith-flag	and
	enable-ov-flag config options.
	* NEWS: Updated with new bugs fixed.

2010-06-14  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* cpu/or32/generate.c (gen_eval_operands): Generate macro
	REG_PARAM0 to identify register. Corrected undef of SET_PARAM0.
	* cpu/or32/insnset.c <l_jalr>: Trigger exceptions on use of link
	register as destination or non-aligned effective address.
	<l_jr>: Trigger exception on use of non-aligned effective address.
	<l_ror>: Created.
	* cpu/or32/or32.c <or32_opcodes>: l.ror and l.rori enabled.
	* NEWS: Updated with new bugs fixed.

2010-06-13  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* cpu/or32/generate.c (generate_header): stdint.h included in header.
	* cpu/or32/insnset.c <l_mul>: Overflow and carry flags computed and
	range exception triggered if SR[OVE] is set.
	<l_mulu>: Created
	* cpu/or32/or32.c <or32_opcodes>: l.mulu enabled.
	* NEWS: Updated with new bugs fixed.

2010-06-11  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/insnset.c <l_maci>: Intermediate result computed as 32
	bits, then sign extended.
	<l_macrc>: Computation corrected.
	* cpu/or32/or32.c <or32_opcodes>: l.maci bit pattern corrected.
	* NEWS: Updated with new bugs fixed.

2010-06-10  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/insnset.c <l_fl1>: New entry.
	* cpu/or32/or32.c <or32_opcodes>: l.fl1 enabled.
	* NEWS: Updated with new bugs fixed.

2010-06-10  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* peripheral/Makefile.am: mc-defines.h added to sources.
	* cpu/or32/insnset.c <l_addc>: Updated to handle overflow and
	exceptions correctly.
	* cpu/or32/or32.c <or32_opcodes>: l.addic enabled.
	* NEWS: Updated with new bugs fixed.

2010-06-09  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date. Removed
	enable_ov_flag as option for configuration.
	* cpu/or32/insnset.c <l_add>: Updated to handle overflow and
	exceptions correctly.
	* peripheral/Makefile.am: mc-defines.h added to sources.
	* NEWS: Updated with new bugs fixed.

2010-06-08  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* peripheral/mc.h: mc_defines.h -> mc-defines.h.
	* peripherals/mc-defines.h: Renamed from mc_defines.h

2010-06-08  Julius Baxter  <julius.baxter@orsoc.se>

	* peripherals/mc.h: Moved defines to peripherals/mc_defines.h
	* peripherals/mc_defines.h: Created.

2010-06-06  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure: Regenerated.
	* configure.ac: Version changed to current date.
	* cpu/or32/insnset.c <l_div, l_divu>: Corrected divide by zero
	exception. Set carry flag on divide by zero.
	* NEWS: Updated with bugs fixed.

2010-06-01  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/generate.c (generate_header): Include math.h.
	* cpu/or32/insnset.c <l_lws>: Added definition.
	* cpu/or32/insnset.c <lf_rem_s>: Corrected implementation.
	* cpu/or32/or32.c <or32_opcodes>: Made l.lws valid, rather than
	ignored.

2010-05-31  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/insnset.c <lf_cust2, lf_cust3, lf_cust4>: Removed since
	invalid.

2010-05-25  Julius Baxter  <julius.baxter@orsoc.se>

	* profiler.c: PROF_DEBUG added as symbol, MAX_STACK increased.
	(prof_acquire): Conditional debugging statements added.
	* profiler.h: MAX_FUNCS increased.

2010-05-25  Jungsook yang  <jungsook.yang@uci.edu>

	* cpu/common/labels.c (add_label): Improved commenting.
	* cpu/or32/generate.c (generate_header): extend typedef generation
	for FP opcodes.
	* cpu/or32/insnset.c <lf_add_s>: Implementation added.
	<lf_def_s>: Implementation added.
	<ftoi_s>: Implementation added.
	<mad_s>: Implementation added.
	<mul_s>: Implementation added.
	<rem_s>: Implementation added.
	<sfeq_s>: Implementation added.
	<sfge_s>: Implementation added.
	<sfgt_s>: Implementation added.
	<sfle_s>: Implementation added.
	<sflt_s>: Implementation added.
	<sfne_s>: Implementation added.
	<sub_s>: Implementation added.
	<lf_cust1>: Placeholder added.
	<lf_cust2>: Placeholder added.
	<lf_cust3>: Placeholder added.
	<lf_cust4>: Placeholder added.
	* cpu-config.c (cpu_hardfloat): Function added.
	(reg_cpu_sec): "hardfloat" parameter added.
	* doc/or1ksim.texi <CPU Configuration>: Documentation of
	"hardfloat" added.
	* sim-config.c (init_defconfig): config.cpu.hardfloat initialized.
	* sim-config.h <struct config>: cpu.hardfloat field added.

2010-05-25  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/common/abstract.c (reg_mem_area): Remove debugging printf ().
	* peripheral/generic.c (generic_read_byte): Pass class ptr to upcall.
	(generic_write_byte): Pass class ptr to upcall.
	(generic_read_hw): Pass class ptr to upcall.
	(generic_write_hw): Pass class ptr to upcall.
	(generic_read_word): Pass class ptr to upcall.
	(generic_write_word): Pass class ptr to upcall.

2010-05-20  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	configure.ac: Date of version updated.
	configure: Regenerated.

2010-05-19  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/jtag.c (wishbone_write): Corrected writing when invalid
	address.

2010-05-18  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/jtag.c (go_command_read): Change in calling convention to
	spr_read and wishbone_read.
	(go_command_write): Change in calling convention to spr_write () and
	wishbone_write ().
	(spr_read): Status passed as argument. Correcly handle
	under- and over-run.
	(spr_write): Status passed as argument. Correcly handle	under- and
	over-run.
	(wishbone_read): Correcly handle under- and over-run.
	(wishbone_write): Correcly handle under- and over-run.

2010-05-15  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/jtag.c (construct_response): Return type changed to void.
	(go_command): Number of bits passed as arg and on to subsidiary
	functions. Return type changed to void. Error message with invalid
	access type removed.
	(go_command_read): Number of bits passed as arg. Return	type changed
	to void. Size validated against prior WRITE_COMMAND. Error message due
	to invalid modules removed. Over/under-run allowed.
	(go_command_write): Number of bits passed as arg. Return type changed
	to void. Size validated against prior WRITE_COMMAND. Error message due
	to invalid modules removed. Over/under-run allowed for.
	(jtag_reset): Return type changed to void.
	(jtag_shift_dr): Number of bits passed as arg and passed to subsidiary
	functions. Return type changed to void.
	(jtag_shift_ir): Number of bits passed as arg and checked. Return type
	changed to void.
	(null_read): No longer takes bit offset as argument, takes actual data
	size as argument. Internal logic simplied and works with
	under/over-run.
	(read_command): Number of bits passed as arg and checked. Return type
	changed to void.
	(read_control): Number of bits passed as arg and checked. Return type
	changed to void. Duplicate error messages eliminated.
	(select_module): Renamed from module_select. Number of bits passed as
	arg and checked. Return type changed to void.
	(spr_read): No longer takes bit offset as argument, takes actual data
	size as argument. Internal logic simplied and works with
	under/over-run.
	(spr_write): No longer takes bit offset as argument, takes actual data
	size as argument. Internal logic simplied and works with
	under/over-run.
	(validate_spr_fields): Takes access type, address and data size as
	arguments. No correction, just report errors/warnings.
	(validate_wb_fields): Takes access type, address and data size as
	arguments. No correction, just report errors.
	(wishbone_read): No longer takes bit offset as argument, takes actual
	data size as argument. Internal logic simplied and works with
	under/over-run.
	(wishbone_write): No longer takes bit offset as	argument, takes actual
	data size as argument. Internal logic simplied and works with
	under/over-run.
	(write_command). Number of bits passed as arg and checked. Return type
	changed to void. Fields validated.
	(write_control). Number of bits passed as arg and checked. Return type
	changed to void. Duplicate error messages eliminated.
	* debug/jtag.h: Proforma for jtag_shift_dr and jtag_shift_ir
	changed to include number of bits and return type void.
	* libtoplevel.c (or1ksim_jtag_reset): Number of JTAG reset cycles
	defined locally here.
	* libtoplevel.c (or1ksim_jtag_shift_dr): Number of bits added as
	function argument and passed on to internal function.
	* libtoplevel.c (or1ksim_jtag_shift_ir): Number of bits added as
	function argument and passed on to internal function.
	* or1ksim.h: Proforma for or1ksim_jtag_shift_ir and
	or1ksim_jtag_shift_ir changed to include number of bits in reg.

2010-05-13  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/jtag.c (validate_spr_fields): More concise warnings,
	corrected length to 4, not 1.
	(reverse_bits): Fixed typo in one constant.
	* cpu/or1k/sprs.c (mtspr): Undocumented audio SPRs 0xfffd-0xffff
	and associated static vars "fo" and "audio_cnt" removed.

2010-05-12  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/jtag.c (go_command_read): Ensure null bytes set if no data
	due to error and correct CRC calcuated. Give warning for length of
	zero as well as too long.
	(wishbone_read): Set null bytes if there is a validation error.
	(null_read); New function set null bytes if erroneous read.
	(validate_spr_fields): Correctly return success when fields valid.
	(spr_read): Bytes reversed correctly.
	(read_control, write_control): Add separate message if no module
	selected.
	(read_control): Clear data and set CRC if error.
	(construct_response): Correctly compute number of bits.
	(go_command): Compute correct length in bits when access type is
	invalid.
	(write_command): Warnings in terms of bytes requested, not actual
	field. Separate warning for zero.

2010-05-11  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/jtag.c (validate_spr_fields): Check for length changed to
	4 bytes (was 1 word).
	(module_select): Save module ID, even if invalid.
	(go_command_read, go_command_write): Separate error message if
	module undefined.
	(wishbone_read): Corrected shifts by bit-off for JTAG bytes.

2010-05-04  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/jtag.c (module_select): Corrected parenthesis for
	computation of crc_in.
	(construct_response): Corrected parenthesis for computation of
	skip_bytes and bit_off.
	(go_command_read): Do not abort if the module is not valid.
	(go_command_write): Reverse each byte of data broken out. Do not
	abort if the module is not valid.
	(read_command): Returns valid zero data if no prior WRITE_COMMAND.
	(spr_read): Use zero as the value if validation fails.
	(spr_write): Do not write if validation fails.
	(validate_spr_fields): Returns a boolean response. Fails if no
	access type is specified. Add break after each switch entry for
	access type.
	(write_command): Corrected calculation of acc_type.
	(wishbone_read): reverse the value of byte before inserting.
	(wishbone_write); Correctly compute value of byte when bit-off is
	not zero (shift MS bits left not right).

2010-05-02  Mark Jarvin  <mark.jarvin@opencores.org>

	* debug/jtag.c (go_command_read): Initialize crc_out at
	declaration.
	* cpu/or32/generate.c (output_function): Close file if fgets ()
	fails (2 places).
	* configure.ac <AC_CONST>: Deleted (obsolescent, breaks MacOS X).
	* cuc/verilog.c (output_verilog): Init vars when generating state
	generator machine.
	* port/strndup.c: also include stdlib.h and string.h.

2010-04-28  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* or1ksim.h <or1ksim_init>: Upcall arguments redefined.
	* libtoplevel.c (or1ksim_init): Upcall arguments redefined.
	* sim-config.h <struct config.ext>: definition of read_up and
	write_up changed.
	* generic.c (ext_read_word, ext_write_word): Deleted.
	(mtohl, htoml, mtohs, htoms): Deleted.
	(generic_read_byte, generic_write_byte, generic_read_hw)
	(generic_write_hw, generic_read_word, generic_write_word): Changed
	to use new upcall interface.

2010-04-22  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* sim-config.c (read_script_file): Check cur_section is defined
	before dereferencing to identify parameter.
	* peripheral/generic.c (generic_read_byte, generic_write_byte)
	(generic_read_half_word, generic_write_half_word)
	(generic_read_word, generic_write_word): Use upcall availability
	as test for upcall.

2010-04-21  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* NEWS: updated
	* mprofile.c (main_mprofiler): Bug 1710 fixed.

2010-04-21  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* NEWS: updated
	* peripheral/ps2kbd.c (kbd_reset): Bug 1723 fixed.

2010-04-21  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* AUTHORS: Corrected spelling of Mark Jarvin.
	* debug/rsp-server.c (rsp_get_client): Set len before calling
	  accept ().

2010-04-20  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cache/icache-model.c (ic_end_sec): Use -1 as the invalid tag value.

2010-04-20  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* doc/or1ksim.texi: Updated with new testing instructions.
	* README: Updated.
	* configure.ac: Check for rl_event_hook declaration.
	* sim-cmd.c (initialize_readline): Only use rl_event_hook if it's
	available.
	* peripheral/atadevice.c: Added conditional includes for Apple	MAC.
	* port/strndup.c: Include stddef.h to define size_t.

2010-04-20  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or1k/spr-defs.h: NOP_PRINTF removed.
	* support/simprintf.h, support/simprintf.h: Deleted
	* support/dbchs.h: simprintf channel removed.
	* support/Makefile.am: References to simprintf.* removed.
	* cpu/or32/generate.c (generate_body): Generate exception for
	illegal instructions.
	* cpu/or32/insnset.c: NOP_PRINTF and stackaddr removed.
	* cpu/or32/execute.c (evalsim_reg): Remove simprintf reference.
	* peripheral/channels/xterm.c (xterm_open): write result used.
	* peripheral/generic.c (htoml): Fixed punning dereference.
	* peripheral/generic.c (htoms): Fixed punning dereference.
	* peripheral/generic.c (generic_read_byte): Fixed punning dereference.
	* peripheral/generic.c (generic_write_byte): Fixed punning dereference.
	* peripheral/generic.c (generic_read_hw): Fixed punning dereference.
	* peripheral/generic.c (generic_write_hw): Fixed punning dereference.
	* peripheral/atadevice.c (ata_devices_read): Clarified precedence.
	* peripheral/atadevice.c (ata_devices_write): Clarified precedence.
	* peripheral/atadevice-cmdi.c (ata_read_sect): fread result used.
	* debug/debug-unit.c (calculate_watchpoints): memset fixed.
	* debug/jtag.c (crc32): i correctly initialized.
	* debug/jtag.c (construct_response): operator precedence clarified.
	* debug/jtag.c (construct_response): jreg[zero_bytes] fixed.
	* debug/jtag.c (validate_spr_fields): Format char fixed in printf.
	* debug/jtag.c: "/*" within comments removed.
	* debug/jtag.c: included toplevel-support.h
	* cuc/bb.c (reg_dep): Duplicate code removed.
	* cuc/bb.c (detect_bb): Array bound check added
	* cuc/timings.c (load_timing_table): index initialized.

2010-04-19  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* COPYING: Updated to v3.
	* peripheral/gpio.c: #defines transfered to gpio.h
	* peripheral/gpio.h: #defines transfered from gpio.c
	* peripheral/mc.c: #defines transfered to mc.h
	* peripheral/mc.h: #defines transfered from mc.c

2010-04-18  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/insnset.c: Added support for new timing NOPs.
	* cpu/or1k/spr-defs.h: NOP_GET_TICKS and NOP_GET_PS added.

2010-04-14  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* peripheral/eth.c: #defines transfered to eth.h
	* peripheral/eth.h: #defines transfered from eth.c

2009-03-02  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* README: Reference to installation instructions updated
	* NEWS: Updated for release 0.3.0
	* doc/or1ksim.texi: Copyright date updated

2009-02-24  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure.ac: Version number upped
	* cpu/common/execute.h: cpu_state.npc_not_valid added
	* cpu/or1k/spr-defs.h: SPR_DRR_FPE added
	* cpu/or1k/spr-dump.c: SPR_DRR_FPE added
	* cpu/or1k/sprs.c: New handling of NPC added
	* cpu/or32/execute.c: High reset vector start added
	* cpu/or32/insnset.c:
	* debug/debug-unit.c:
	* debug/rsp-server.c: Performance improved
	* doc/or1ksim.texi: Updated
	* libtoplevel.c: Version prints out
	* or1ksim.h: Interrupt library routines added
	* peripheral/channels/fd.c: RSP xterm fixed
	* peripheral/generic.c: Endianess of upcalls fixed
	* sim-config.c, sim-config.h: new config fields for NPC
	functionality added.
	* toplevel-support.c (sim_init): Version number printed out

2008-11-17  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* sim-config.c: MERROR deleted (not used). WARNING replaced by
	explicit fprintf calls.
	* sim-config.h, sim-config.c, peripheral/16450.c: CONFIG_ERROR
	replaced by fprintf.

2008-11-16  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* debug/gdbcomm.c (get_server_socket): server_ip flag getting by
	fcntl corrected (wrong syntax used for GETFL).

2008-11-16  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* doc/or1ksim.texi: Documentation of the various configuration
	options added.

2008-11-16  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or32/op-mftspr-op.h, cpu/or32/op.c, cpu/or32/dyn32-defs.h,
	cpu/or32/def_op_t.h, cpu/or32/op-support.c, cpu/or32/op-swhb-op.h,
	cpu/or32/dyn-rec.c, cpu/or32/execute.c, cpu/or32/op-arith-op.h,
	cpu/or32/dyn-rec.h, cpu/or32/simpl32-defs.h, cpu/or32/insnset.c,
	cpu/or32/dyngen.c, cpu/or32/dyngen-elf.c, cpu/or32/Makefile.am:
	Numerous changes to ensure compilation succeeds with
	DYNAMIC_EXECUTION.

2008-11-16  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* cpu/or1k/opcode/or32.h: Change include of simple32_defs.h to
	simple32-defs.h and dyn32_defs.h to dyn32-defs.h
	* cpu/or32/simple32-defs.h: Made conditional and added include of
	* cpu/or32/Makefile.am: For simple execution removed insnset.c
	from the sources and added it to EXTRA sources.

2008-10-15  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* configure.ac: Corrected gcc args for --enabled-profiling
	* cpu/common/stats.h, cpu/common/stats.c: Moved definition of
	RAW_RANGE to stats.h from stats.c. Made declaration of raw_stats
	non-static and added extern declaration to stats.h
	* cpu/common/stats.c (printstats): Changed MAX_RANGE to RAW_RANGE
	* cpu/or32/execute.c (evalsim_reg): Changed MAX_RAW_RANGE to RAW_RANGE

2008-10-11  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* all: Removed redundant headers added missing GPL statements,
	formatted to GNU standard. Made all non-global functions and top
	level variables	explicitly static, eliminated most typedefs.
	* doc/or1ksim.texi: New file (user guide).
	* toplevel.c: Removed redundant headers. Tidied layout. Ensured
	explicit return code via exit() always.
	* toplevel-support.c (debug): simplified code, removing
	conditionality on DEBUG. Tidied layout
	* libtoplevel.c: Added Doxygen commenting
	* mainpage: New (top level Doxygen file)
	* doxygen.config: Doxygen configuration file
	* configure.ac: Deleted setting HAS_DEBUG (not used)
	* cpu/or32/or32.c: Deleted dummy debug definition
	* support/simprintf.c, sim-config.c, sim-config.h: Deleted
	config.sim.fstdout.
	* sim-config.c, sim-config.h: Deleted script_fn (not actually
	used)
	* sim-config.c, sim-config.h, ps2kbd.c: Deleted config.sim.kfreq -
	calculate locally instead.
	* sim-config.c: Alternative (consistent) naming for file
	parameters. Config parameters validated for range
	* sim-config.c, vapi.c: Alternative (consistent) naming for file
	parameters. Config parameters validated for range
	* sim-config.c, cuc.c: Alternative (consistent) naming for file
	parameters. Config parameters validated for range
	* mmu/immu.c, mmu/dmmu.c: Defaults set for all paramters. Warnings
	replace errors for bad parameter settings. Formatting tidied
	up. Offsets for MMU config register bits corrected.
	* sim-config.c, cachce/dcache_model.c: All parameters initialized
	and values checked. Warnings replace errors for bad parameter
	settings.xo
	* sim-config.c, sim-config.h, cache/icache_model: All parameters
	initialized and values checked. Warnings replace errors for bad
	parameter settings. static config fields in config.ic (not used)
	all deleted.
	* sim-config.c, pm/pm.c, cpu/or1k/sprs.c, cpu/or32/execute.c:
	Initialization includes setting of UPR field. All effects of the
	power management SPR are made conditional on the PM unit being
	enabled.
	* sim-config.c, sim-config.h, cpu/or1k/execute.c,
	debug/debug-unit.c, dcache/dcache.c, vapi/vapi.c, pm/pm.c:
	References to cpu.config.upr replaced by the actual SPR in the cpu
	state.
	* sim-config.c, sim-config.h, pic/pic.c, pic/pic.h,
	cpu/or1k/sprs.c: Initialization structure placed in config.pic for
	consistency with other components.
	* peripheral/mc.c (mc_sec_start, mc_poc): All fields explicitly
	set. MC enabled by default for consistency.
	* peripheral/16450.c (uart_sec_start, uart_channel): All fields
	explicitly initiated, default supplied for channel
	* peripheral/dma.c (dma_sec_start): All fields explicitly
	initiated
	* peripheral/etch.c: All fields explicitly initialized and values
	checked on entry. All socket fields issue warning if used when not
	configured in build.
	* peripheral/gpio.c (reg_gpio_sec): Alternative (preferred)
	parameter name "vapi_id" added. All fields explicitly initialized.
	* peripheral/vga.c (reg_vga_sec, vga_filename):  Alternative
	(preferred) parameter name "txfile" added. All fields explicitly
	initialized.
	* peripheral/fb.c (reg_fb_sec, fb_filename):  Alternative
	(preferred) parameter name "txfile" added. All fields explicitly
	initialized.
	* peripheral/ps2kbd.c (reg_kbd_sec, kdb_rxfile): All fields
	explicitly initialized.
	* peripheral/atahost.c (reg_ata_sec, ata_file, ata_mwdma)
	(ata_pio): All fields explicitly initialized and entry values
	checked.
	* cpu-config.h, cpu-config.cpu: New - break out the CPU config
	code from sim-config.c, sim-config.h
	* sim-config.c, sim-config.h: Transfer declaration of reg
	functions to the headers where they are implemented.
	* toplevel-support.c: new name for toplevel_support.c
	* dma-defs.h: new name for dma_defs.h
	* debug-unit.h, debug-unit.c: new names for debug_unit.h and
	debug_unit.c
	* eth.h: created from ethernet_i.h and ethernet.h, which are
	deleted
	* dcache-model.c, dcache-model.h, icache-model.c, icache-model.h:
	new names for dcache_model.c, dcache_model.h, icache_model.c,
	icache_model.h
	* branch-predict.c, branch-predict.h: new names for
	branch_predict.c, branch_predict.h
	* execute.c, insnset.c (set_reg): Deleted and replaced by setsim_reg
	* channel.c, channel.h, fd.c, fd.h, file.c, generic.c, generic.h,
	tcp.c, tty.c, xterm.c: Code restructured and declarations made
	rigorous.
	* file.h, tcp.h, tty.h, xterm.h: New files
	* cpu/or32/generate.c, cpu/or32/or32.c: Function debug moved from
	generate.c to or32.c, renamed or32_debug and declared static, to
	avoid confusion with main debug function in toplevel-support.c.

2008-09-08  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* argtable2: This directory is a direct inclusion of the argtable2
	library <argtable.sourceforge.net>
	* artable2/Makefile.am: Modified so the library and header are not
	installed
	* AUTHORS: Added argtable2 credits
	* configure.ac: Created by renaming configure.in. Added extra
	tests needed for argtable2
	* Makefile.am: Added argtable2 library and broke out separate
	commands for profiling (psim) and memory profiling (mpsim)
	* toplevel.c (main): Alternative profile and mprofile command
	lines removed from help text.
	* toplevel-mpsim.c: New top level for standalone mpsim command
	* toplevel-psim.c: New top level for standalone psim command
	* sim-config.c (parse_args): profile and mprofile options on
	command line removed.

2008-09-07  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* toplevel_support.c, sim-config.c, support/dumpverilog.c:
	or1ksim_ver replaced by PACKAGE_VERSION

2008-09-06  Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* AUTHORS: Added Jeremy Bennett
	* bpb/Makefile.am: Updated to use libtool libraries
	* cache/Makefile.am: Updated to use libtool libraries
	* configure.in: Obsolete material removed
	* cpu/common/Makefile.am: Updated to use libtool libraries
	* cpu/dlx/Makefile.am: Updated to use libtool libraries
	* cpu/or1k/Makefile.am: Updated to use libtool libraries
	* cpu/or32/Makefile.am: Updated to use libtool libraries
	* cuc/Makefile.am: Updated to use libtool libraries
	* debug/Makefile.am: Updated to use libtool libraries
	* INSTALL: instructions updated
	* libtoplevel.c: new file
	* Makefile.am: Updated to use libtool libraries. Restructured to
	generate both a standalone simulator and a library
	* mmu/Makefile.am: Updated to use libtool libraries
	* or1ksim.h: new file
	* peripheral/channels/Makefile.am: Updated to use libtool
	libraries
	* peripheral/generic.c, peripheral/generic.h: new files
	* peripheral/Makefile.am: Updated to use libtool libraries
	* pic/Makefile.am: Updated to use libtool libraries
	* pm/Makefile.am: Updated to use libtool libraries
	* port/Makefile.am: Updated to use libtool libraries
	* README: General update
	* sim-config.c (reg_config_secs): Added call to reg_generic_sec()
	* sim-config.h: Added config entries for SystemC library interface
	and to facility timing. Declare reg_generic_sec()
	* support/dbchs.h: Add a debug channel for generic peripherals
	* support/Makefile.am: Updated to use libtool libraries
	* testbench/dhry.h: ^M characters removed
	* testbench/README: Updated instructions
	* tick/Makefile.am: Updated to use libtool libraries
	* toplevel.c: Most support routines split out into
	toplevel_support.c
	* toplevel_support.c: New file
	* vapi/Makefile.am: Updated to use libtool libraries

2008-09-04 Jeremy Bennett  <jeremy.bennett@embecosm.com>

	* bpb/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* cache/dcache_model.c: Set UPR in config state when enabled
	* cache/icache_model.c: Set UPR in config state when enabled
	* cpu/common/abstract.c (eval_insn): Trigger breakpoint on
	instruction fetch address, not debug load address
	* cpu/common/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* cpu/dlx/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* cpu/or1k/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* cpu/or1k/spr_defs.h: Updated bit definitions to match current
	OR1K architecture. Added missing bit definitions and bit
	definitions for CPU config and Debug config regs. Added NOP_PUTC
	constant for l.nop.
	* cpu/or1k/spr_dump.c: Updated bit definitions and data structures
	to match changes in spr_defs.h.
	* cpu/or32/execute.c: Added initialization of CPU and Debug config
	regs
	* cpu/or32/insnset.c: Added sensitivity to breakpoint when setting
	registers and code for NOP_PUTC
	* cpu/or32/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* debug/debug_unit.c (du_clock): watchpoint status
	dropped.
	* debug/debug_unit.c (CheckDebugUnit): Check for single stepping
	removed.
	* debug/debug_unit.c (calculate_watchpoints): Completely rewritten
	to match current debug unit behavior.
	* debug/gdbcomm.c (JTAGRequest): fcntl F_GETFL corrected.
	* mmu/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* peripheral/channels/Makefile.am: Added header to SOURCES, so
	included in TAGS file
	* peripheral/channels/xterm.c: HAS_ON_EXIT changed to HAVE_ON_EXIT
	* peripheral/Makefile.am: Added header to SOURCES, so included in
	TAGS file
	* pic/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* pm/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* port/Makefile.am: Added header to SOURCES, so included in TAGS
	file
	* sim-config.c: Added entries for CPU config and made SR values
	symbolic
	* sim-config.h: Added entries for CPU config
	* support/Makefile.am: Added header to SOURCES, so included in
	TAGS file
	* support/simprintf.c (simprintf). Fixed bug with evaluating
	arguments
	* testbench/support/spr_defs.h. Apparent typo in comment
	* tick/Makefile.am: Added header to SOURCES, so included in TAGS
	file

2006-01-18 20:34  nogj

	* sim-cmd.c:

	Fix segmentation fault if setting a breakpoint on a non-existing
	label

2006-01-07 18:12  nogj

	* toplevel.c:

	Release 0.2.0-rc3

2006-01-07 18:11  nogj

	* ChangeLog:

	Update ChangeLog

2006-01-07 18:09  nogj

	* ChangeLog:

	Upgrade cvs2cl.pl to version 2.59

2006-01-04 10:44  rezso

	* ChangeLog, cpu/common/elf.h, cpu/common/parse.c,
	cpu/common/parse.h:

	[no log message]

2005-12-15 08:46  jcastillo

	* support/dumpverilog.h:

	Fixed types in function declaration

2005-12-05 01:18  phoenix

	* testbench/mmu.c:

	CI should not be set in dMMU translation tables or one gets
	different behaviour with dMMU on or off in case data cache is
	enabled. care should be taken for addresses higher than 0x7fff_ffff
	where the situation is just reversed. (since or1200 does not cache
	upper half of address space if there is no dMMU)

2005-11-26 14:19  nogj

	* ChangeLog:

	Update ChangeLog

2005-11-26 13:41  nogj

	* toplevel.c:

	0.2.0-rc2 release

2005-11-25 19:37  nogj

	* pic/pic.c:

	Avoid scheduleing too many jobs, potentially underflowing the
	scheduler stack

2005-11-25 19:35  nogj

	* toplevel.c:

	Don't drop cycles from the scheduler

2005-11-25 14:35  phoenix

	* peripheral/eth.c:

	fix uninitialized reads

2005-11-18 19:15  nogj

	* cpu/or32/or32.c:

	Execute l.ff1 instruction

2005-11-18 19:14  nogj

	* support/dumpverilog.c:

	Fix dumphex/dumpverilog to not do unaligned memory access

2005-11-06 17:44  nogj

	* peripheral/eth.c:

	Handle ethernet addresses as an address and not as an int

2005-11-06 17:23  nogj

	* cpu/or32/or32.c:

	Fix parsing the destination register

2005-11-06 17:21  nogj

	* sim-cmd.c:

	Fix handling of eof in the sim cli

2005-11-06 17:09  nogj

	* sim-config.c:

	Add default immu/dmmu page size

2005-11-06 17:08  nogj

	* support/misc.c:

	Fix the case of is_power2(0)

2005-11-06 17:08  nogj

	* sim-cmd.c, sim-config.h, toplevel.c:

	Don't kill sim on second ctrl+c if the cli prompt has already been
	shown

2005-11-03 20:01  lampret

	* cpu/or32/or32.c:

	Added l.fl1

2005-10-31 08:23  nogj

	* support/debug.c:

	Make -d channel be equivalent to -d +channel

2005-10-31 08:00  nogj

	* sim-cmd.c:

	Correct INT_MAX->INT32_MAX

2005-10-26 16:32  nogj

	* peripheral/memory.c:

	Charles Qi Fix memory handling on big endian machines

2005-10-21 00:15  phoenix

	* cpu/or1k/except.c:

	added missing exception, fixes segfault with trap exception

2005-10-20 01:10  phoenix

	* cpu/common/abstract.c, cpu/or32/execute.c, sim-cmd.c:

	usability improvments

2005-10-11 08:21  nogj

	* sim-cmd.c, sim-config.c, sim-config.h:

	Stephan Bourduas  * Fix starting instruction logger from > 2^31 - 1
	instructions  * Fix `run x' command, where x > 2^31.

	nog.

2005-09-29 13:16  nogj

	* cpu/or1k/sprs.c:

	Add missing break; statements

2005-09-29 13:15  nogj

	* testbench/support/support.c:

	Put consecutive asm statements into one __asm__() block to prevent
	gcc from scheduleing other instructions between them.

2005-09-29 13:12  nogj

	* cpu/or32/generate.c:

	gcc4 compile fix

2005-09-29 00:54  phoenix

	* Makefile.in, aclocal.m4, config.h.in, configure, configure.in,
	bpb/Makefile.in, cache/Makefile.in, cpu/common/Makefile.in,
	cpu/Makefile.in, cpu/dlx/Makefile.in, cpu/or1k/Makefile.in,
	cpu/or32/Makefile.in, cuc/Makefile.in, debug/Makefile.in,
	mmu/Makefile.in, peripheral/Makefile.in,
	peripheral/channels/Makefile.in, pic/Makefile.in, pm/Makefile.in,
	port/Makefile.in, support/Makefile.in, tick/Makefile.in,
	vapi/Makefile.in:

	configure updates

2005-09-13 18:01  nogj

	* ChangeLog:

	Update ChangeLog with cvs2cl.pl -S

2005-09-06 18:32  nogj

	* support/debug.c:

	Fix segfault when parsing invalid debug options

2005-09-06 18:32  nogj

	* testbench/: acv_gpio.cfg, default.cfg:

	Update config files

2005-09-06 18:31  nogj

	* peripheral/ps2kbd.c:

	Hush noisy message that was making test think that the ethernet
	test failed

2005-09-06 18:31  nogj

	* testbench/tick.c:

	Make the timer test emit the correct success protocol

2005-09-06 18:30  nogj

	* testbench/test:

	Revert previous `fix' to accept the correct return code

2005-09-06 18:30  nogj

	* peripheral/gpio.c:

	Fix internal clock handling

2005-09-06 18:29  nogj

	* peripheral/16450.c:

	Fix sending too many interrupts in the uart

2005-09-05 10:53  nogj

	* configure.in:

	Remove the no-longer used --enable-impl configure option

2005-09-05 10:52  nogj

	* sim-config.c:

	Fix segfault when parsing unknown config sections

2005-09-05 10:50  nogj

	* tick/tick.c:

	Fix bug of not reporting timer interrupts when one was pending and
	a write happens to the ttmr spr that is not clearing the interrupt
	pending flag

2005-09-05 10:50  nogj

	* tick/tick.c:

	Make the tick interrupt work when except_handle does not return

2005-09-05 10:49  nogj

	* support/sched.h:

	Fix a bug where the scheduler stack would underrun when a job was
	scheduled run in negative time

2005-09-05 10:47  nogj

	* sim-cmd.c, sim-config.c, sim-config.h, toplevel.c,
	cache/dcache_model.c, cpu/common/abstract.c, cpu/common/parse.c,
	cpu/common/stats.c, cpu/or1k/sprs.c, cpu/or32/execute.c,
	cpu/or32/insnset.c, cpu/or32/or32.c, cuc/bb.c, cuc/cuc.c,
	cuc/cuc.h, cuc/insn.c, cuc/verilog.c, debug/debug_unit.c,
	debug/debug_unit.h, debug/gdbcomm.c, debug/gdbcomm.h,
	peripheral/16450.c, peripheral/atadevice.c,
	peripheral/atadevice_cmdi.c, peripheral/atahost.c,
	peripheral/eth.c, peripheral/fb.c, peripheral/mc.c,
	peripheral/memory.c, peripheral/ps2kbd.c, peripheral/vga.c,
	peripheral/channels/tcp.c, peripheral/channels/tty.c,
	peripheral/channels/xterm.c, support/debug.c,
	support/dumpverilog.c, support/misc.h, support/sched.c,
	support/simprintf.c, vapi/vapi.c, vapi/vapi.h:

	Fix most warnings issued by gcc4

2005-09-05 10:42  nogj

	* cpu/common/abstract.c, cpu/common/abstract.h, cpu/common/parse.c,
	peripheral/memory.c:

	Create an 8-bit program load function to be able to load an
	unaligned section

2005-09-05 10:41  nogj

	* sim-config.c, cache/dcache_model.c, cache/icache_model.c,
	cpu/or1k/spr_dump.c, cuc/adv.c, cuc/cuc.c, cuc/cuc.h,
	cuc/verilog.c, mmu/dmmu.c, mmu/immu.c, support/Makefile.am,
	support/misc.c, support/misc.h:

	* Moved log2_int() from cuc/cuc.c as it is usefull for other things
	aswell.  * Changed code to use log2_int() instead of log2(), which
	is also a builtin   library function (fixes compile on gcc4).  *
	Moved is_power2() from sim-config.c to misc.c.

2005-08-19 00:13  phoenix

	* cpu/or32/or32.c:

	fixed l.maci encoding

2005-07-21 22:02  robertmh

	* config.guess, config.sub, testbench/config.sub:

	Update most config.guess and config.sub scripts.

2005-07-05 21:54  nogj

	* cpu/: or1k/sprs.c, or32/dyn_rec_stubs.c, or32/execute.c:

	Remove the pcprev global

2005-07-05 21:53  nogj

	* mprofiler.c, mprofiler.h, sim-config.c, sim-config.h, toplevel.c,
	cpu/or1k/sprs.c, cpu/or32/dyn_rec.c, cpu/or32/execute.c,
	debug/debug_unit.c, debug/gdbcomm.c:

	* prototype() -> prototype(void) where appropriate.  * Use `static'
	where it can be used.

2005-07-05 21:53  nogj

	* sim-config.c, cpu/common/abstract.h, cpu/or1k/sprs.c,
	cpu/or32/dyn32_defs.h, cpu/or32/op.c, peripheral/16450.c,
	peripheral/channels/channel.c, testbench/acv_uart.c:

	Spelling fixes

2005-07-05 21:52  nogj

	* toplevel.c:

	Print the useage of the -d in the help text

2005-07-05 21:52  nogj

	* cpu/: common/execute.h, or32/dyn_rec.c, or32/dyn_rec.h,
	or32/op_support.c:

	Use an array to keep track of the recompiled pages instead of a
	linked list

2005-07-05 21:51  nogj

	* debug/debug_unit.c:

	Only tell the user that we don't simulate a stalled cpu when it
	would actually get stalled

2005-07-05 21:51  nogj

	* sim-cmd.c, pic/pic.c, support/sched.c, support/sched.h,
	tick/tick.c:

	move sched_next_insn from sim-cmd.c to sched.c.  It is also usefull
	for the pic and the tick timer

2005-07-05 21:50  nogj

	* cpu/or32/op_support.c:

	Print the exit code in decimal, like with the complex execution

2005-07-05 21:50  nogj

	* cpu/or32/dyn_rec.c:

	Try to find a symbolic name of the location where we crashed

2005-07-05 21:50  nogj

	* cpu/or32/dyn_rec.c:

	Print stackdump to stderr instead of stdout

2005-07-05 21:49  nogj

	* support/: dbchs.h, sched.h:

	Print the scheduler jobs when the sched_jobs debug channel has been
	specified

2005-07-05 21:49  nogj

	* cpu/or1k/sprs.c, testbench/Makefile.am, tick/tick.c, tick/tick.h,
	testbench/tick.c:

	* Breakup the tick_job function into smaller ones.  * Fix lots of
	conner cases.  * Add tests for the tick timer.

2005-07-05 08:34  nogj

	* sim-config.h, toplevel.c, cpu/common/abstract.h, mmu/dmmu.c,
	mmu/dmmu.h:

	Speed up the dmmu

2005-07-05 08:33  nogj

	* sim-config.h, toplevel.c, cpu/common/abstract.h, mmu/immu.c,
	mmu/immu.h:

	Speed up the immu

2005-07-05 08:33  nogj

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/or32/insnset.c, debug/debug_unit.c:

	Remove old spr logging code.  Use `-d +spr' to get spr access
	logged to stderr

2005-07-01 22:04  nogj

	* cpu/or1k/Makefile.am, cpu/or1k/sprs.c, cpu/or1k/sprs.h,
	mmu/dmmu.c, mmu/immu.c, support/dbchs.h, cpu/or1k/spr_dump.c:

	Add pretty spr dumping code

2005-07-01 22:03  nogj

	* cpu/or1k/sprs.c:

	Remove non-trigerable out-of-range checks

2005-07-01 22:03  nogj

	* support/: debug.c, debug.h:

	Move the checking of the debug channel into the TRACE() macro

2005-06-30 19:53  nogj

	* cpu/or1k/sprs.c:

	* The effective address as written to the I/DCBPR registers needs
	to be translated by the respective mmu.  * Don't treat any values
	as special in the handling of DCPBR, DCBFR, DCBIR, ICBPR and ICBIR.

2005-06-30 13:42  nogj

	* port/port.h:

	s/HAS_ISBLANK/HAVE_ISBLANK/ fix compileing on windows/cygwin.
	Reported by Kuoping Hsu and Girish Venkatar

2005-06-30 13:42  nogj

	* cpu/or32/dyn_rec.c:

	Fix the execution log when an mtspr instruction causes an itlb miss

2005-06-30 13:42  nogj

	* cpu/or32/dyn_rec.c:

	Fix a very outdated comment

2005-06-30 13:42  nogj

	* cpu/: common/abstract.h, or1k/except.c, or32/dyn_rec.c,
	or32/op_support.c:

	Rename ADDR_PAGE to IADDR_PAGE

2005-06-30 13:41  nogj

	* cpu/or32/dyn_rec.c:

	Check OR32_IF_DELAY instead of it_jump || it_branch

2005-06-30 13:41  nogj

	* testbench/: acv_gpio.cfg, acv_uart.cfg, mmu.cfg:

	Bring config files up-to-date with recent changes

2005-06-30 13:41  nogj

	* support/: dbchs.h, debug.c:

	Add the cycles debug channel to print the value of the cycle
	counter before each line

2005-06-30 13:40  nogj

	* support/debug.h:

	Add {TRACE,ERR,FIXME,WARN}_ON macros to get the state of the given
	debug channel

2005-06-30 13:40  nogj

	* sim-config.c:

	Remove unused code

2005-06-30 13:40  nogj

	* peripheral/mc.c:

	Add a usefull trace to the mc

2005-06-30 13:39  nogj

	* peripheral/16450.c:

	Print a '\n' at the end of the trace

2005-06-30 13:39  nogj

	* peripheral/16450.c:

	Use uint8_t instead of char

2005-06-30 13:39  nogj

	* debug/debug_unit.c:

	Make non-writeable memory writeable by the debug core

2005-06-30 13:38  nogj

	* debug/debug_unit.c, support/dbchs.h:

	Use the new debug channel code instead of a compile time macro

2005-06-30 13:38  nogj

	* cpu/or32/execute.c:

	Fix compileation with --enable-execution=simple

2005-06-30 13:38  nogj

	* cpu/: or1k/sprs.c, or32/execute.c, or32/insnset.c:

	Remove the flag global

2005-06-30 13:37  nogj

	* cpu/or32/Makefile.am:

	Fix compileing on windows (Reported my Kuoping Hsu and Girish
	Venkatar)

2005-06-30 13:37  nogj

	* cpu/or1k/spr_defs.h, testbench/support/spr_defs.h:

	Fix typo

2005-06-30 13:37  nogj

	* cpu/or1k/except.c, support/dbchs.h:

	Create a seporate debug channel to dump exceptions to

2005-06-30 13:37  nogj

	* cpu/or1k/arch.h:

	Remove 08 prefix from PRIdREG

2005-06-30 13:36  nogj

	* cpu/or1k/except.c, cpu/or1k/sprs.c, cpu/or1k/sprs.h,
	cpu/or32/dyn_rec_stubs.c, cpu/or32/execute.c, cpu/or32/insnset.c,
	debug/debug_unit.c, mmu/dmmu.c, mmu/immu.c, pm/pm.c:

	Remove m{f,t}spr calls where we can access the spr directly

2005-06-30 13:36  nogj

	* configure.in:

	Use readline by default if it is availible

2005-06-30 13:36  nogj

	* sim-config.c, toplevel.c, cache/dcache_model.c,
	cache/icache_model.c, cpu/common/stats.c, cpu/or1k/except.c,
	cpu/or1k/sprs.h, cpu/or32/execute.c, cpu/or32/insnset.c,
	debug/debug_unit.c, mmu/dmmu.c, mmu/immu.c, pic/pic.c, tick/tick.c:

	* Remove very slow {set,test}sprbit{,s} functions.  * Remove uses
	of getsprbits in time critical functions.

2005-06-15 15:02  nogj

	* peripheral/16450.c:

	Make output clearer

2005-06-15 15:01  nogj

	* peripheral/: 16450.c, 16450.h:

	Use proper types

2005-06-15 15:01  nogj

	* peripheral/16450.c:

	Move loopback handling out of uart_clock16

2005-06-15 15:00  nogj

	* peripheral/: 16450.c, 16450.h:

	Move interrupt handling out of uart_clock16

2005-06-15 15:00  nogj

	* peripheral/: 16450.c, 16450.h:

	Move RX logic out of uart_clock16

2005-06-15 15:00  nogj

	* peripheral/16450.c:

	Move vapi command handling out of uart_clock16

2005-06-15 14:59  nogj

	* peripheral/: 16450.c, 16450.h:

	Move TX logic out of uart_clock16

2005-06-15 14:59  nogj

	* testbench/acv_uart.c:

	Correct a couple of tests

2005-06-15 14:58  nogj

	* testbench/acv_uart.c:

	Print more verbose ouput

2005-06-15 14:58  nogj

	* pic/pic.c:

	Don't issue a pending interrupt when it has already been cleared

2005-05-23 09:59  nogj

	* support/: dbchs.h, simprintf.c:

	Make simprintf use the new debugging functions

2005-05-23 09:58  nogj

	* support/dbchs.h, vapi/vapi.c:

	Make the vapi use the new debugging functions

2005-05-23 09:57  nogj

	* peripheral/dma.c, support/dbchs.h:

	Make the dma peripheral use the new debugging functions

2005-05-23 09:57  nogj

	* peripheral/mc.c, support/dbchs.h:

	Make the mc peripheral use the new debugging functions

2005-05-23 09:56  nogj

	* peripheral/gpio.c, support/dbchs.h:

	Make the gpio use the new debugging functions

2005-05-23 09:55  nogj

	* peripheral/atadevice.c, peripheral/atadevice.h,
	peripheral/atadevice_cmdi.c, peripheral/atahost.c,
	peripheral/messages.h, support/dbchs.h:

	Make the ata peripheral use the new debugging functions

2005-05-23 09:55  nogj

	* sim-cmd.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/parse.c, cpu/or32/dyn_rec.c, cpu/or32/dyn_rec_stubs.c,
	cpu/or32/execute.c, cuc/cuc.c, debug/debug_unit.c,
	peripheral/dma.c, peripheral/eth.c, peripheral/fb.c,
	peripheral/vga.c, support/dumpverilog.c, support/simprintf.c:

	Remove useless *breakpoint argument from the {set,eval}_direct*
	functions

2005-05-18 13:13  nogj

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cache/dcache_model.c, cache/dcache_model.h, cache/icache_model.c,
	cache/icache_model.h, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/parse.c, cpu/or1k/sprs.c, cpu/or32/dyn_rec.c,
	cpu/or32/dyn_rec.h, cpu/or32/dyn_rec_stubs.c, cuc/bb.c,
	peripheral/16450.c, peripheral/Makefile.am, peripheral/atahost.c,
	peripheral/atahost.h, peripheral/dma.c, peripheral/eth.c,
	peripheral/fb.c, peripheral/gpio.c, peripheral/mc.c,
	peripheral/mc.h, peripheral/memory.c, peripheral/ps2kbd.c,
	peripheral/vga.c, testbench/default.cfg:

	* Seporate out the code used for handling the memory peripheral to
	peripheral/memory.c * Mostly decouple the memory controller from
	the internals of the memory handling.  * Rewrite memory handling to
	be more linear and thus much faster.  * Issue a bus error on
	read/write with invalid granularity.

2005-05-18 13:11  nogj

	* sim-config.c, sim-config.h, peripheral/Makefile.am,
	peripheral/test.c:

	Remove nolonger used test peripheral

2005-05-12 18:57  nogj

	* sim-cmd.c, cpu/common/abstract.c, cpu/common/parse.c,
	cpu/or32/execute.c, cuc/cuc.c, peripheral/fb.c, peripheral/vga.c,
	support/dumpverilog.c:

	Use the {set,eval}_direct* functions where they are supposed to be
	used

2005-04-27 21:17  nogj

	* cpu/: common/abstract.h, or32/dyn_rec.c, or32/op.c:

	Remove fixed pagesize limitation from the recompiler

2005-04-27 21:16  nogj

	* cpu/or32/execute.c:

	Fix instruction counter

2005-04-27 21:16  nogj

	* cpu/: common/execute.h, or1k/except.c, or32/dyn32_defs.h,
	or32/dyn_rec.c, or32/dyn_rec.h, or32/dyn_rec_stubs.c,
	or32/dyngen.c, or32/op.c, or32/op_i386.h, or32/op_support.c,
	or32/op_support.h, or32/op_t_reg_mov_op.h, or32/rec_i386.h:

	Remove the useless cross reference stuff: it was a bad idea to
	begin with

2005-04-27 21:14  nogj

	* toplevel.c:

	Kill the sim on the second ctrl-c

2005-04-27 21:14  nogj

	* sim-cmd.c:

	The `break' and `stall' commands don't work correctly in the
	recompiler (yet)

2005-04-27 21:14  nogj

	* pic/pic.c:

	Move a TRACE such that it is displayed when except handle does not
	return

2005-04-27 21:13  nogj

	* peripheral/vga.c:

	Fix typo such that the vga peripheral may be disabled

2005-04-27 21:13  nogj

	* peripheral/16450.c:

	Change the wording of error messages to more acuretly reflect the
	error they are talking about.

2005-04-27 21:13  nogj

	* cpu/or32/or32.c:

	l.rfe does not have a delay slot.  Don't mark it as such.

2005-04-27 21:12  nogj

	* cpu/or32/Makefile.am:

	* Building op.S and op.o depend on op_t_reg_mov_op.h * Clean
	generated files produced by the recompiler

2005-03-31 18:18  nogj

	* cpu/or1k/except.c, pic/pic.c:

	Add warning that except_handle may not return

2005-03-31 18:16  nogj

	* sim-cmd.c, sim-config.h, toplevel.c, cpu/or1k/sprs.c,
	cpu/or32/execute.c, cpu/or32/insnset.c, debug/debug_unit.c:

	Rewrite the interactive mode handling to also work in the
	recompiler

2005-03-31 18:15  nogj

	* peripheral/: eth.c, fb.c, ps2kbd.c:

	Don't halt the sim when not needed

2005-03-31 18:15  nogj

	* peripheral/: dma.c, vga.c:

	* Remove useless checks.  * Don't halt the sim when not really
	necessary.

2005-03-31 18:14  nogj

	* peripheral/dma.c:

	Fix printing of uninitialised value

2005-03-31 18:13  nogj

	* peripheral/eth.c, support/dbchs.h:

	Make the ethernet peripheral use the new debug channels

2005-03-31 18:13  nogj

	* sim.cfg, peripheral/16450.c, peripheral/16450.h,
	peripheral/atahost.c, peripheral/atahost.h, peripheral/dma.c,
	peripheral/dma.h, peripheral/eth.c, peripheral/ethernet_i.h,
	peripheral/fb.c, peripheral/gpio.c, peripheral/gpio_i.h,
	peripheral/mc.c, peripheral/ps2kbd.c, peripheral/vga.c:

	Add an optional `enabled' paramter to every peripheral

2005-03-31 18:12  nogj

	* sim-config.c, support/dbchs.h:

	Add traces to the config file parsing routines

2005-03-31 18:12  nogj

	* debug/debug_unit.c:

	Fix typo in the debug unit configureation

2005-03-31 18:11  nogj

	* sim-config.c, sim-config.h, toplevel.c:

	Remove nolonger needed --output-cfg option

2005-03-31 18:10  nogj

	* configure.in:

	Spelling fix spotted by Matjaz

2005-03-31 18:09  nogj

	* configure.in, toplevel.c, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/common/execute.h, cpu/or1k/except.c,
	cpu/or1k/except.h, cpu/or1k/sprs.c, cpu/or1k/opcode/or32.h,
	cpu/or32/Makefile.am, cpu/or32/common_i386.h,
	cpu/or32/dyn32_defs.h, cpu/or32/dyn_rec.c, cpu/or32/dyn_rec.h,
	cpu/or32/dyn_rec_stubs.c, cpu/or32/dyngen.c, cpu/or32/dyngen.h,
	cpu/or32/dyngen_elf.c, cpu/or32/dyngen_i386.c, cpu/or32/execute.c,
	cpu/or32/i386_regs.h, cpu/or32/op.c, cpu/or32/op_arith_op.h,
	cpu/or32/op_comp_op.h, cpu/or32/op_extend_op.h,
	cpu/or32/op_ff1_op.h, cpu/or32/op_i386.h, cpu/or32/op_lwhb_op.h,
	cpu/or32/op_mac_op.h, cpu/or32/op_mftspr_op.h,
	cpu/or32/op_support.c, cpu/or32/op_support.h,
	cpu/or32/op_swhb_op.h, cpu/or32/op_t_reg_mov_op.h, cpu/or32/or32.c,
	cpu/or32/rec_i386.h, cpu/or32/sched_i386.h, support/sched.h:

	Implement a dynamic recompiler to speed up the execution

2005-03-31 18:06  nogj

	* configure.in:

	Change --enable-simple to --enable-execution to be able to select
	between more than two mutually exclusive execution models

2005-03-31 18:05  nogj

	* configure.in:

	Issue an error if the selected target cpu is unknown

2005-03-31 18:04  nogj

	* sim-cmd.c, sim-config.h, toplevel.c, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/or1k/sprs.c, cpu/or32/execute.c,
	mmu/immu.c, peripheral/fb.c, peripheral/ps2kbd.c, pic/pic.c,
	support/simprintf.c, testbench/mmu.c, tick/tick.c:

	Cosmetic fixes

2005-03-31 18:03  nogj

	* cpu/: or1k/opcode/or32.h, or32/simpl32_defs.h:

	Move the definitions needed for the simple execution model out of
	or32.h and into simpl32_defs.h

2005-03-31 18:02  nogj

	* cpu/: or1k/except.c, or1k/sprs.h, or32/execute.c:

	Replace some problematic calles to mfspr/mtspr with direct access
	to the spr

2005-03-31 18:01  nogj

	* cpu/or32/or32.c:

	Reclasify l.trap and l.sys to be an exception instruction

2005-03-31 18:01  nogj

	* cpu/or32/insnset.c:

	NOP_REPORT should report numbers in hex not decimal

2005-03-31 18:00  nogj

	* cpu/common/trace.c:

	Rearange some code to make it clearer what it does

2005-03-31 18:00  nogj

	* cpu/common/execute.h:

	Fix the prototype of setsim_reg

2005-03-31 17:59  nogj

	* sim-cmd.c, sim-config.c, toplevel.c, cache/dcache_model.c,
	cache/icache_model.c, cpu/common/abstract.c, cpu/common/execute.h,
	cpu/common/stats.c, cpu/or1k/except.c, cpu/or1k/sprs.c,
	cpu/or1k/sprs.h, cpu/or32/execute.c, cpu/or32/generate.c,
	cpu/or32/insnset.c, debug/debug_unit.c, mmu/dmmu.c, mmu/immu.c,
	pic/pic.c, pm/pm.c, support/dumpverilog.c, tick/tick.c:

	Collect most of the cpu state variables in a structure (cpu_state)

2005-03-31 17:57  nogj

	* cpu/or32/execute.c:

	Log SPR_SR in the execution log

2005-03-31 17:55  nogj

	* cpu/: common/stats.c, common/stats.h, or32/execute.c:

	Remove useless indirection: check_depend()->depend_operands()

2005-03-31 17:55  nogj

	* pic/pic.c, support/dbchs.h:

	* Fix some warnings.  * Add some debugging messages.

2005-03-31 17:54  nogj

	* testbench/: acv_gpio.cfg, acv_uart.cfg, default.cfg:

	Update the config files for the tests to the new format

2005-03-31 17:52  nogj

	* testbench/support/support.c:

	Remove the useless include "sys/time.h"

2005-03-31 17:52  nogj

	* testbench/test:

	Fix test to expect the correct `return code'

2005-03-31 17:51  nogj

	* mmu/immu.c:

	Rearange some code such that it is not assumed that except_handle
	returns

2005-03-31 17:51  nogj

	* mmu/immu.c, support/dbchs.h:

	Make the immu use the new debug functions

2005-03-31 17:50  nogj

	* mmu/dmmu.c:

	Rearange code in the dmmu such that it is not assumed that
	except_handle returns

2005-03-31 17:50  nogj

	* mmu/dmmu.c, support/dbchs.h:

	Make the dmmu use the new debug functions

2005-03-31 17:49  nogj

	* tick/: tick.c, tick.h:

	Use the uorreg_t where it should be used

2005-03-31 17:49  nogj

	* support/dbchs.h, tick/tick.c:

	Make the tick timer use the new debug functions

2005-03-31 17:48  nogj

	* cache/icache_model.c:

	Fix the declaration of `sec' in reg_ic_sec

2005-03-31 17:48  nogj

	* toplevel.c, cache/icache_model.c, cache/icache_model.h,
	cpu/or1k/sprs.c:

	Move the function of ic_clock() to mtspr() and remove it

2005-03-31 17:47  nogj

	* toplevel.c, cache/dcache_model.c, cache/dcache_model.h,
	cpu/or1k/sprs.c:

	Do what dc_clock() did in mtspr() and remove it

2005-03-31 17:46  nogj

	* peripheral/dma.c:

	Useing set_mem32 and eval_mem32 is incorrect.  Use set_direct32 and
	eval_direct32 instead

2005-03-31 17:46  nogj

	* cpu/common/abstract.h, support/simprintf.c:

	Correct incorrect calls to eval_direct8

2005-03-31 17:44  nogj

	* peripheral/16450.c:

	Remove useless use of floats

2005-03-31 17:44  nogj

	* peripheral/16450.c:

	Fix VAPI in the uart

2005-03-31 17:43  nogj

	* peripheral/16450.c, support/dbchs.h:

	Make uart use the new trace functions

2005-03-31 17:40  nogj

	* toplevel.c, peripheral/16450.c, peripheral/dma.c,
	peripheral/eth.c, peripheral/fb.c, peripheral/gpio.c,
	peripheral/ps2kbd.c, peripheral/vga.c, support/dbchs.h,
	support/sched.c, support/sched.h, tick/tick.c:

	 * Change scheduler to count down to 0 instead of reaching a
	certain cycle
	   count.
	 * Change the SCHED_ADD interface to take a time out as the
	parameter instead of   the number of cycles.

2005-03-25 13:20  nogj

	* sim-cmd.c, sim-config.c, support/Makefile.am, support/dbchs.h,
	support/debug.c, support/debug.h:

	Implement debug channels based on the wine debugging scheme

2005-03-25 13:19  nogj

	* peripheral/eth.c:

	Remove useless define

2005-03-25 13:18  nogj

	* toplevel.c, pic/pic.c, pic/pic.h:

	Remove pic_clock()

2005-03-25 13:17  nogj

	* cache/dcache_model.c, cache/icache_model.c,
	cpu/common/abstract.c, cpu/or1k/except.c, cpu/or1k/except.h,
	cpu/or1k/sprs.c, cpu/or32/execute.c, cpu/or32/insnset.c,
	tick/tick.c:

	Rework exception handling

2005-03-16 13:25  nogj

	* cpu/or32/or32.c:

	Fix the parameters to the l.ff1/l.maci instructions

2005-03-16 13:14  nogj

	* peripheral/gpio.c:

	Nir Mor:  Corrected stupid typo

2005-03-16 13:03  nogj

	* sim-config.c, cache/dcache_model.c, cache/dcache_model.h,
	cache/icache_model.c, cache/icache_model.h, cpu/or1k/spr_defs.h,
	testbench/support/spr_defs.h, mmu/dmmu.c, mmu/immu.c:

	Nir Mor:  Implemented DCCFGR, ICCFGR, DMMUCFGR and IMMUCFGR spr
	registers.

2005-03-12 03:25  phoenix

	* cuc/Makefile:

	removed

2005-02-26 13:46  phoenix

	* vapi/Makefile.in:

	aclocal && autoconf && automake

2005-02-26 13:40  phoenix

	* port/Makefile.in, Makefile.in, aclocal.m4, configure,
	bpb/Makefile.in, cache/Makefile.in, cpu/Makefile.in,
	cpu/common/Makefile.in, cpu/dlx/Makefile.in, cpu/or1k/Makefile.in,
	cpu/or32/Makefile.in, cuc/Makefile.in, debug/Makefile.in,
	mmu/Makefile.in, peripheral/Makefile.in,
	peripheral/channels/Makefile.in, pic/Makefile.in, pm/Makefile.in,
	support/Makefile.in, tick/Makefile.in:

	aclocal && autoconf && automake

2005-02-26 12:51  phoenix

	* port/Makefile.in:

	aclocal && autoconf && automake, missing piece

2005-02-26 12:51  phoenix

	* port/Makefile.in:

	file Makefile.in was added on branch stable_0_1_x on 2005-02-26
	12:40:59 +0000

2005-02-25 12:56  phoenix

	* Makefile.in, aclocal.m4, configure, bpb/Makefile.in,
	cache/Makefile.in, cpu/Makefile.in, cpu/common/Makefile.in,
	cpu/or1k/Makefile.in, cpu/or32/Makefile.in, cuc/Makefile.in,
	debug/Makefile.in, mmu/Makefile.in, peripheral/Makefile.in,
	peripheral/channels/Makefile.in, pic/Makefile.in, pm/Makefile.in,
	support/Makefile.in, tick/Makefile.in, vapi/Makefile.in,
	cpu/dlx/Makefile.in:

	aclocal && autoconf && automake

2005-02-18 22:04  nogj

	* configure.in, sim-cmd.c, sim-config.c, sim-config.h, toplevel.c,
	cpu/common/abstract.c, cpu/or32/insnset.c:

	Remove FAST_SIM, it nolonger provides a speed up

2005-02-18 22:03  nogj

	* sim-cmd.c, sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/gpio.c, peripheral/gpio.h:

	Cleanup the gpio peripheral useing the new callbacks

2005-02-18 22:02  nogj

	* sim-cmd.c, sim-config.c, sim-config.h, toplevel.c,
	peripheral/mc.c, peripheral/mc.h:

	Cleanup the memory controller useing the new callbacks

2005-02-18 22:01  nogj

	* sim-cmd.c, sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/eth.c, peripheral/ethernet.h, peripheral/ethernet_i.h:

	Cleanup ethernet peripheral, useing the new callbacks

2005-02-18 22:01  nogj

	* sim-cmd.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/ps2kbd.c, peripheral/ps2kbd.h:

	Cleanup kbd peripheral useing the new callbacks

2005-02-18 22:00  nogj

	* sim-cmd.c, sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/dma.c, peripheral/dma.h:

	Cleanup dma peripheral useing the new callbacks

2005-02-18 21:59  nogj

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c, peripheral/fb.c,
	peripheral/fb.h:

	Cleanup FB peripheral, useing the new callbacks

2005-02-18 21:59  nogj

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/vga.c, peripheral/vga.h:

	Cleanup VGA peripheral useing the new callbacks

2005-02-18 21:58  nogj

	* sim-cmd.c, sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/16450.c, peripheral/16450.h:

	Cleanup uart peripheral useing the new callback mechanism

2005-02-18 21:57  nogj

	* peripheral/16450.c, peripheral/eth.c, peripheral/gpio.c,
	vapi/vapi.c, vapi/vapi.h:

	Pass a caller given pointer to the vapi_read callback

2005-02-18 21:56  nogj

	* toplevel.c, peripheral/atadevice.c, support/sched.c,
	support/sched.h, tick/tick.c:

	Pass a pointer as the user given argument in the schedular callback

2005-02-18 21:55  nogj

	* sim-cmd.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/atadevice.c, peripheral/atadevice.h,
	peripheral/atahost.c, peripheral/atahost.h:

	Clean up the ata peripheral useing the new set of callbacks

2005-02-18 21:55  nogj

	* sim-cmd.c, sim-config.h:

	Add status callback

2005-02-18 21:54  nogj

	* cpu/common/abstract.c:

	initialise dev_mem->chip_select in register_memory

2005-02-18 21:53  nogj

	* sim-config.c, sim-config.h, peripheral/test.c:

	Cleanup test peripheral

2005-02-18 21:52  nogj

	* sim-config.h, toplevel.c:

	Add dynamic hooks to sim_reset

2005-02-18 21:51  nogj

	* cpu/common/abstract.c, cpu/common/abstract.h, debug/debug_unit.c,
	peripheral/16450.c, peripheral/atahost.c, peripheral/atahost.h,
	peripheral/dma.c, peripheral/eth.c, peripheral/fb.c,
	peripheral/gpio.c, peripheral/mc.c, peripheral/ps2kbd.c,
	peripheral/test.c, peripheral/vga.c:

	Pass private data in readfunc/writefunc callbacks

2005-02-18 21:47  nogj

	* profiler.c, sim-config.c, sim-config.h, toplevel.c,
	bpb/branch_predict.c, cache/dcache_model.c, cache/icache_model.c,
	cpu/common/abstract.c, cpu/common/labels.c, cuc/cuc.c,
	debug/debug_unit.c, debug/gdbcomm.c, mmu/dmmu.c, mmu/immu.c,
	peripheral/16450.c, peripheral/atahost.c, peripheral/dma.c,
	peripheral/eth.c, peripheral/fb.c, peripheral/gpio.c,
	peripheral/mc.c, peripheral/ps2kbd.c, peripheral/test.c,
	peripheral/vga.c, pm/pm.c, support/dumpverilog.c, support/sched.c,
	vapi/vapi.c:

	Modularise config file parseing.  Paving the way for further
	modularisation.

2005-02-11 11:23  nogj

	* peripheral/dma.h, peripheral/dma_defs.h, testbench/dmatest.c:

	Fix dmatest testcase

2005-02-10 15:53  phoenix

	* cpu/: common/abstract.c, or1k/sprs.c, or1k/sprs.h:

	typing fixes

2005-02-09 19:18  nogj

	* Makefile.am, sim-cmd.c, sim-config.c, sim-config.h, toplevel.c,
	cpu/common/parse.c, cpu/common/parse.h:

	Modularise simulator command parsing

2005-02-09 19:02  nogj

	* cpu/: common/abstract.h, or32/execute.c:

	Optimise execution history tracking

2005-02-09 18:57  nogj

	* toplevel.c:

	Optimise execution history tracking

2005-02-09 18:47  nogj

	* debug/debug_unit.c:

	Reindent create_watchpoints useing a more compact indentation style

2005-02-09 18:40  nogj

	* Makefile.am, configure.in, mprofiler.c, sim-config.c, toplevel.c,
	bpb/branch_predict.c, bpb/branch_predict.h, cache/dcache_model.c,
	cache/dcache_model.h, cache/icache_model.c, cache/icache_model.h,
	cpu/common/abstract.c, cpu/common/abstract.h, cpu/common/execute.h,
	cpu/common/labels.c, cpu/common/labels.h, cpu/common/parse.c,
	cpu/common/parse.h, cpu/common/stats.c, cpu/common/trace.c,
	cpu/common/trace.h, cpu/or1k/arch.h, cpu/or1k/except.c,
	cpu/or1k/except.h, cpu/or1k/sprs.c, cpu/or1k/sprs.h,
	cpu/or32/execute.c, cpu/or32/generate.c, cpu/or32/insnset.c,
	cpu/or32/or32.c, cuc/adv.c, cuc/bb.c, cuc/cuc.c, cuc/insn.c,
	cuc/load.c, cuc/memory.c, cuc/timings.c, cuc/verilog.c,
	debug/debug_unit.c, debug/gdb.h, extras/Makefile.am,
	extras/Makefile.in, extras/extras.c, extras/extras.h, mmu/dmmu.c,
	mmu/dmmu.h, mmu/immu.c, mmu/immu.h, peripheral/16450.c,
	peripheral/atadevice.c, peripheral/atahost.c, peripheral/atahost.h,
	peripheral/dma.c, peripheral/dma.h, peripheral/eth.c,
	peripheral/ethernet_i.h, peripheral/fb.c, peripheral/gpio.c,
	peripheral/gpio_i.h, peripheral/mc.c, peripheral/ps2kbd.c,
	peripheral/test.c, peripheral/vga.c, peripheral/channels/channel.c,
	pic/pic.c, pm/pm.c, port/Makefile.am, port/isblank.c, port/port.h,
	port/strndup.c, support/dumpverilog.c, support/profile.c,
	support/profile.h, support/simprintf.c, tick/tick.c, vapi/vapi.c:

	Mark a simulated cpu address as such, by introducing the new
	oraddr_t type

2005-01-29 07:54  nogj

	* debug/debug_unit.c.bak:

	Remove backup file

2005-01-27 15:14  nogj

	* cpu/: or32/execute.c, or32/or32.c, or32/generate.c,
	common/abstract.h:

	Remove the global op structure

2005-01-27 15:02  nogj

	* cpu/or32/Makefile.am, configure.in:

	Fix out-of-tree builds

2005-01-27 14:51  nogj

	* cpu/or32/execute.c, cpu/or32/insnset.c, cpu/or1k/opcode/or32.h,
	toplevel.c, sim-config.c, cache/dcache_model.c,
	cache/icache_model.c, mmu/immu.c, mmu/dmmu.c,
	cpu/common/abstract.h, cpu/common/abstract.c, cpu/common/stats.c,
	bpb/branch_predict.c, support/dumpverilog.c:

	 * Avoid doing a store in *every* instruction executed by storeing
	the instruction function unit in or32_opcodes

2005-01-27 14:41  nogj

	* cpu/or32/: execute.c, insnset.c:

	 * Fix warnings in insnset.c and execute.c

2005-01-27 14:35  nogj

	* cpu/: or32/generate.c, or32/or32.c, or32/execute.c,
	or32/insnset.c, or1k/opcode/or32.h:

	 * Fix generate.c to produce a execgen.c with less warnings.
	 * Fix the --enable-simple configure option.

2005-01-27 14:15  nogj

	* cpu/: or32/or32.c, or1k/opcode/or32.h:

	Mark wich operand is the destination operand in the architechture
	definition

2005-01-11 16:41  andreje

	* cpu/: or1k/opcode/or32.h, or32/insnset.c, or32/or32.c:

	l.ff1 instruction added

2004-12-23 22:16  phoenix

	* peripheral/eth.c:

	gcc 3.4.3 compile fix

2004-10-22 00:26  phoenix

	* cpu/common/abstract.c:

	memory access functions fixes

2004-10-20 18:02  phoenix

	* configure.in, cpu/common/parse.c, cpu/common/stats.c,
	peripheral/ethernet_i.h:

	Adrian Wise: or1ksim bugfix & Solaris build

2004-10-18 00:55  phoenix

	* cpu/or32/insnset.c:

	some tests rely on exit(0) as a last std output text to pass

2004-10-16 01:08  phoenix

	* sim-config.h:

	cpu/sim memory accesses separation, tick, exception, nr. of
	operands, cycles count,... corrections.

2004-10-16 00:52  phoenix

	* tick/tick.c, support/sched.h, support/simprintf.c,
	cpu/or32/execute.c, cpu/or32/insnset.c, cpu/or1k/except.c,
	cpu/or1k/spr_defs.h, testbench/support/spr_defs.h,
	cpu/common/abstract.c, cpu/common/abstract.h:

	cpu/sim memory accesses separation, tick, exception, nr. of
	operands, cycles count,... corrections.

2004-09-28 03:14  phoenix

	* cpu/or1k/arch.h:

	added a warning

2004-09-28 03:09  phoenix

	* support/simprintf.c:

	missing declaration when defined STACK_ARGS

2004-09-28 02:58  phoenix

	* cpu/or1k/arch.h:

	in some cases (cbasic test from orp for example) this caused
	problems, disable for now

2004-07-22 22:17  phoenix

	* cpu/or32/or32.c:

	removed includes

2004-07-20 01:05  phoenix

	* debug/gdbcomm.c, debug/gdbcomm.h, mmu/dmmu.c, mmu/dmmu.h,
	mmu/immu.c, mmu/immu.h, cuc/load.c, cuc/memory.c, cuc/timings.c,
	cuc/verilog.c, debug/debug_unit.c, debug/debug_unit.h,
	configure.in, bpb/branch_predict.h, cache/dcache_model.c,
	cache/dcache_model.h, cache/icache_model.c, cache/icache_model.h,
	cpu/common/abstract.c, cpu/common/abstract.h, cpu/common/execute.h,
	cpu/common/labels.c, cpu/common/labels.h, cpu/common/parse.c,
	cpu/common/parse.h, cpu/common/stats.c, cpu/common/trace.c,
	cpu/or1k/except.c, cpu/or1k/sprs.c, cpu/or32/execute.c,
	cpu/or32/generate.c, cpu/or32/insnset.c, cpu/or32/or32.c,
	cuc/adv.c, cuc/bb.c, cuc/cuc.c, cuc/cuc.h, cuc/insn.c:

	Gyorgy Jeney: extensive cleanup

2004-07-20 01:01  phoenix

	* peripheral/dma.h, peripheral/eth.c, peripheral/fb.c,
	peripheral/gpio.c, peripheral/mc.c, peripheral/ps2kbd.c,
	peripheral/ps2kbd.h, peripheral/vga.c, pic/pic.h,
	peripheral/atadevice_cmdi.c, peripheral/atahost.c,
	peripheral/atahost.h, peripheral/dma.c, peripheral/channels/tcp.c,
	peripheral/channels/tty.c, peripheral/channels/xterm.c,
	mprofiler.c, mprofiler.h, peripheral/16450.c, peripheral/16450.h,
	peripheral/atadevice.c:

	Gyorgy Jeney: extensive cleanup

2004-07-20 00:56  phoenix

	* cpu/common/trace.h, profiler.c, sim-config.c, sim-config.h,
	toplevel.c, support/dumpverilog.c, support/dumpverilog.h,
	support/sched.h, support/simprintf.c, pic/pic.c, vapi/vapi.c:

	Gyorgy Jeney: extensive cleanup

2004-07-02 13:14  phoenix

	* cpu/or32/insnset.c:

	compile fix regarding lf.itof.s, lf.itof.d

2004-07-02 03:19  phoenix

	* cpu/or1k/sprs.c:

	compile fix (remove const)

2004-06-28 00:56  lampret

	* cpu/or32/or32.c:

	Updated instruction set descriptions. Changed FP instructions
	encoding.

2004-05-20 01:09  phoenix

	* cpu/or32/generate.c:

	added more operands

2004-05-09 21:52  lampret

	* cpu/or32/: or32.c:

	Changed desciption of the l.cust5 insns

2004-04-05 15:15  jurem

	* testbench/: support/Makefile.in, aclocal.m4, uos/Makefile.in,
	Makefile.in, configure:

	aclocal, autoconf and automake dependency problem solved (so it
	doesn't do automatic update of aclocal, configure and Makefile.in
	files)

2004-03-29 13:29  jurem

	* testbench/: Makefile.in, configure, configure.in:

	Fixed CCAS & CCASFLAGS, now works

2004-03-26 15:57  markom

	* support/simprintf.c:

	simprintf now uses stack vargs -- same as printf

2004-03-26 15:24  jurem

	* testbench/: Makefile.in, configure, configure.in,
	uos/Makefile.in:

	CCAS added to configure.in, CCASCOMPILE changed in Makefile.in

2004-03-26 10:25  markom

	* cpu/or1k/arch.h:

	simprintf now uses stack vargs -- same as printf

2004-02-14 20:50  phoenix

	* cpu/or1k/opcode/or32.h:

	page size is 8192 on or32

2004-02-06 00:23  lampret

	* depcomp:

	Added depcomp \(should this be part of configure process with
	automake --add-missing\?\)

2004-02-06 00:08  lampret

	* Makefile.in, aclocal.m4, config.h.in, configure, bpb/Makefile.in,
	cache/Makefile.in, cpu/Makefile.in, cpu/common/Makefile.in,
	cpu/dlx/Makefile.in, cpu/or1k/Makefile.in, cpu/or32/Makefile.in,
	cuc/Makefile.in, debug/Makefile.in, extras/Makefile.in,
	extras/extras.c, mmu/Makefile.in, peripheral/Makefile.in,
	peripheral/channels/Makefile.in, pic/Makefile.in, pm/Makefile.in,
	support/Makefile.in, testbench/Makefile.in, testbench/configure,, 	tick/Makefile.in, vapi/Makefile.in:

	Downgrading back to automake-1.4

2004-02-03 16:04  hpanther

	* toplevel.c:

	Correct typo.

2004-02-03 15:33  hpanther

	* peripheral/: 16450.c, eth.c, ethernet_i.h, fb.c,
	channels/channel.c, channels/fd.c, channels/file.c,
	channels/generic.c, channels/xterm.c:

	Added "cm" command to copy data inside memory.	Make or1ksim work
	on little endian platforms.  Port to Mac OS X.	Some bugfixes.
	Allow JTAG write access to read-only memory regions.

2004-02-03 15:29  hpanther

	* extras/: Makefile.am, Makefile.in, extras.c, extras.h:

	Added "cm" command to copy data inside memory.	Make or1ksim work
	on little endian platforms.  Port to Mac OS X.	Some bugfixes.
	Allow JTAG write access to read-only memory regions.

2004-02-03 15:26  hpanther

	* cuc/adv.c, cuc/cuc.c, cuc/cuc.h, cuc/verilog.c,
	debug/debug_unit.c, debug/debug_unit.h:

	Added "cm" command to copy data inside memory.	Make or1ksim work
	on little endian platforms.  Port to Mac OS X.	Some bugfixes.
	Allow JTAG write access to read-only memory regions.

2004-02-03 15:23  hpanther

	* cpu/common/abstract.c, cpu/common/coff.h, cpu/common/elf.h,
	cpu/common/stats.c, cpu/common/stats.h, cpu/or1k/spr_defs.h,
	testbench/support/spr_defs.h, cpu/or32/execute.c,
	cpu/or32/generate.c, cpu/or32/insnset.c:

	Added "cm" command to copy data inside memory.	Make or1ksim work
	on little endian platforms.  Port to Mac OS X.	Some bugfixes.
	Allow JTAG write access to read-only memory regions.

2004-02-03 15:17  hpanther

	* bpb/branch_predict.c:

	Added "cm" command to copy data inside memory.	Make or1ksim work
	on little endian platforms.  Port to Mac OS X.	Some bugfixes.
	Allow JTAG write access to read-only memory regions.

2004-02-03 15:12  hpanther

	* ChangeLog, Makefile.am, Makefile.in, README.gdb, aclocal.m4,
	config.guess, config.h.in, config.sub, configure, configure.in,
	mprofiler.c, toplevel.c:

	Added "cm" command to copy data inside memory.	Make or1ksim work
	on little endian platforms.  Port to Mac OS X.	Some bugfixes.
	Allow JTAG write access to read-only memory regions.

2004-01-30 05:21  phoenix

	* peripheral/eth.c:

	make it work with MMU enabled

2004-01-30 05:12  phoenix

	* cpu/common/abstract.c:

	additional functions to bypass cache and mmu needed for peripheral
	devices

2004-01-30 05:07  phoenix

	* mmu/dmmu.c:

	additional functions to bypass cache and mmu needed for peripheral
	devices

2004-01-06 03:14  phoenix

	* peripheral/channels/tty.c:

	cfmakeraw is not avaliable on cygwin

2003-12-13 02:27  phoenix

	* cpu/common/abstract.c:

	segfault when there is no memory context fix

2003-11-28 16:04  phoenix

	* sim-config.c:

	fix for gdb_debug config

2003-11-11 04:42  phoenix

	* cpu/or32/execute.c:

	added additional field into executed log wich besides EA also
	prints PA (physical address)

2003-11-11 04:39  phoenix

	* cpu/or1k/sprs.c:

	value stored in ITLB and DTLB match registers was wrong. fixed.

2003-11-11 04:27  phoenix

	* cpu/or1k/except.c:

	at exception print insn number to ease debugging

2003-10-13 09:22  danwi

	* configure:

	Daniel Wiklund: Removed multiple entries of debug/Makefile in
	configure

2003-09-17 18:29  phoenix

	* Makefile.in:

	make it compile on RH 8,9

2003-09-12 12:17  dries

	* configure.in:

	removed second debug/Makefile (credits: Daniel Wiklund -
	danwi@isy.liu.se)

2003-07-13 03:58  phoenix

	* cpu/or32/execute.c:

	avoid another immu exception that should not happen

2003-07-11 21:21  phoenix

	* cpu/or32/execute.c:

	more informative output

2003-07-10 02:06  phoenix

	* cpu/or32/execute.c, mmu/immu.c:

	fix for immu exceptions that never should have happened

2003-07-01 22:07  csanchez

	* cpu/or32/insnset.c:

	Added support for l.addc instruction.

2003-07-01 21:33  csanchez

	* cpu/: or1k/opcode/or32.h, or32/or32.c:

	Added support for l.addc instruction.

2003-06-09 17:46  markom

	* peripheral/16450.c:

	timeout bug fixed; contribution by Carlos

2003-04-13 08:55  sfurman

	* peripheral/channels/tty.c:

	When using tty channel, put the serial port into raw mode (no echo,
	no CR/LF conversion, no other line discipline/buffering).

2003-04-12 22:21  sfurman

	* peripheral/16450.c:



	When multiple interrupts were pending, e.g. TX buffer empty and RX
	available, reading the UART's IIR register could potentially clear
	a TX interrupt before it had been sent to the processor, thus
	dropping the interrupt permanently.

	Fix tested w/ both eCos and uclinux.

2003-04-12 18:24  phoenix

	* debug/gdb.h:

	[no log message]

2003-04-12 16:48  phoenix

	* cpu/common/elf.h:

	remove unneded include

2003-04-12 05:08  phoenix

	* cuc/cuc.h:

	[no log message]

2003-04-12 05:02  phoenix

	* debug/debug_unit.c, debug/gdb.h, debug/gdbcomm.c, vapi/vapi.c:

	remove unneeded include

2003-04-12 04:57  phoenix

	* peripheral/ethernet_i.h:

	cygwin fix

2003-04-12 04:52  phoenix

	* peripheral/channels/xterm.c:

	cygwin fix

2003-04-12 04:33  sfurman

	* peripheral/16450.c:


	1) Fix trivial bug w/ transmitter empty interrupts that I
	introduced in the    last check-in.  2) Improve printed output from
	debugging-only uart_status() routine.

2003-04-09 08:11  sfurman

	* peripheral/16450.c:

	Make UART transmitter-empty interrupts match both 16450 and 16550
	behavior.

2003-04-02 04:26  sfurman

	* peripheral/channels/tty.c:

	Fixed my bustage: Add missing 2nd argument to open().  Otherwise,
	opening a serial port channel can sporadically fail.

2003-03-30 03:42  sfurman

	* peripheral/channels/: Makefile.am, Makefile.in, channel.c, tty.c:

	Added ability to map I/O from simulated UARTs to physical serial
	ports on the host running the simulator.

2003-03-28 00:22  sfurman

	* sim.cfg:

	Added lengthy comment explaining all possible choices for UART
	channels, e.g. xterm, tcp, file, etc.

2003-02-28 21:06  sfurman

	* peripheral/channels/xterm.c:

	Get rid of C++ style declarations (which can appear in the middle
	of a block) in C program.  Some older compilers complain.

2003-02-28 20:31  sfurman

	* .cvsignore:

	Ignore generated files

2003-02-28 20:19  sfurman

	* peripheral/channels/Makefile.in:

	Fix my dumb automake bustage

2003-02-28 00:25  sfurman

	* peripheral/channels/Makefile.in:



	1) Fix the "channels:xterm" feature so that it functions on linux.
	   The existing implementation relies on SysV STREAMS behavior that
	    Linux does not possess.

	2) Allow arguments to be passed to the xterm from the sim.cfg file,
	   e.g. to set the window dimensions or fonts.

	3) Add the ability for a program to interact with the simulator
	UART	through a TCP socket.

2003-02-28 00:15  sfurman

	* peripheral/channels/: channel.c, Makefile.am, tcp.c, xterm.c:



	1) Fix the "channels:xterm" feature so that it functions on linux.
	   The existing implementation relies on SysV STREAMS behavior that
	    Linux does not possess.

	2) Allow arguments to be passed to the xterm from the sim.cfg file,
	   e.g. to set the window dimensions or fonts.

	3) Add the ability for a program to interact with the simulator
	UART	through a TCP socket.

2003-02-28 00:01  sfurman

	* bpb/.cvsignore, cpu/common/.cvsignore, cpu/.cvsignore,
	cpu/or1k/.cvsignore, cpu/or32/.cvsignore, cache/.cvsignore,
	cuc/.cvsignore, debug/.cvsignore, mmu/.cvsignore,
	peripheral/channels/.cvsignore, peripheral/.cvsignore,
	pic/.cvsignore, pm/.cvsignore, support/.cvsignore,
	testbench/support/.cvsignore, testbench/.cvsignore,
	testbench/uos/.cvsignore, tick/.cvsignore, vapi/.cvsignore:

	Ignore generated files for CVS purposes

2003-02-27 23:23  sfurman

	* peripheral/16450.c:



	There was a bug in the simulator's UART implementation that caused
	the UART's LSR register to become corrupted.  This was due to an
	assumption that 'char' is an unsigned type, but that is not true on
	all platforms.

	When the char type is signed and a character is read in the range
	0x80-0xff, the high bit is sign-extended into the upper bits of an
	entry in the receive FIFO.  When the character reaches the head of
	the FIFO, the upper bits of the FIFO entry are OR'ed into the LSR,
	causing the LSR to be set to 0xFF.

	A simple cast fixes the problem.

2003-01-28 04:49  lampret

	* cpu/or32/or32.c:

	Added cvs log keywords

2002-12-09 16:51  simons

	* cpu/or1k/sprs.c:

	Cache invalidate bug fixed again (it was ok before).

2002-12-03 15:43  markom

	* cuc/verilog.c:

	sync problem in cuc not yet fixed

2002-12-03 15:39  markom

	* cuc/: Makefile, verilog.c:

	few cuc bug fixes

2002-12-03 12:45  markom

	* cuc/verilog.c:

	cuc now compiles

2002-12-03 12:42  markom

	* cuc/Makefile, peripheral/atadevice.h:

	cvs problem fixed

2002-12-03 12:37  markom

	* Makefile.in, aclocal.m4, cache/Makefile.in, cuc/Makefile,
	mmu/Makefile.in:

	cvs bug fixed

2002-12-03 12:24  markom

	* sim-config.c, cuc/cuc.c, cuc/cuc.h, cuc/verilog.c,
	peripheral/atadevice.h:

	small bug in cuc fixed

2002-12-02 22:20  simons

	* cpu/or1k/sprs.c:

	Cache invalidate bug fixed.

2002-12-02 22:13  simons

	* Makefile.in, bpb/Makefile.in, cpu/Makefile.in:

	Cache invalidate bug fixed.

2002-11-26 04:37  lampret

	* support/simprintf.c:

	eval_reg replaced with the new evalsim_reg32

2002-11-26 02:21  lampret

	* cpu/or1k/arch.h:

	STACK_ARGS is getting obsolete and is only needed by simprintf,
	which needs it to be 0.

2002-11-20 22:33  simons

	* cache/: dcache_model.c, icache_model.c:

	Bug fixed.

2002-11-06 03:03  rprescott

	* configure:

	channels integration

2002-10-29 10:48  simons

	* testbench/README:

	or32-uclinux tool chain have to be used to build the testbench.

2002-10-27 22:30  rprescott

	* sim.cfg:

	channels integration

2002-10-27 22:26  rprescott

	* configure.in, sim-config.c, sim-config.h:

	channels integration

2002-10-27 22:19  rprescott

	* Makefile.am:

	channels integration

2002-10-27 22:15  rprescott

	* configure, configure.in:

	channels integration

2002-10-27 22:11  rprescott

	* configure, configure.in:

	channels integration

2002-10-25 20:19  rprescott

	* peripheral/: 16450.c, 16450.h, Makefile.am:

	channels support

2002-10-25 20:17  rprescott

	* AUTHORS:

	Added me ;-)

2002-10-25 19:41  rprescott

	* peripheral/channels/: channel.c, channel.h, Makefile.am,
	Makefile.in, fd.c, fd.h, file.c, generic.c, generic.h, xterm.c:

	Channels (fd,file,xterm) first import

2002-10-25 19:41  rprescott

	* peripheral/channels/: channel.c, channel.h, Makefile.am,
	Makefile.in, fd.c, fd.h, file.c, generic.c, generic.h, xterm.c:

	Initial revision

2002-10-24 03:09  simons

	* peripheral/eth.c:

	Minimum packet length cheching changed to present the real hw.

2002-10-21 11:37  rherveille

	* peripheral/atadevice.h:

	Changed main structure.

2002-10-21 11:30  markom

	* README:

	readme updated

2002-10-18 15:07  rherveille

	* peripheral/: atadevice.c, atadevice_cmdi.c:

	Removed trailing ' \' used to continue code on the next line.  This
	caused problems with some compilers.

2002-10-11 12:55  markom

	* cuc/: bb.c, cuc.c, cuc.h, insn.c, load.c:

	few cuc bugs fixed

2002-10-10 16:11  markom

	* toplevel.c, cpu/common/parse.c, cuc/bb.c, cuc/cuc.c, cuc/cuc.h,
	cuc/load.c, cuc/verilog.c:

	ELF sym loading improved

2002-09-27 16:58  markom

	* cuc/load.c:

	cuc sw loading bug fixed

2002-09-27 16:46  markom

	* cuc/: cuc.c, insn.c, verilog.c:

	several cuc bugs fixed; different verilog cuc file naming

2002-09-16 22:48  simons

	* peripheral/mc.h:

	Different memory controller.

2002-09-13 21:07  ivang

	* toplevel.c:

	HUGE VOODOO BUG FIXED

2002-09-13 18:51  ivang

	* toplevel.c:

	Added help for "breaks" command.

2002-09-13 18:49  ivang

	* cpu/common/labels.c, cpu/common/labels.h, toplevel.c:

	Added "breaks" command that prints all set breakpoints.

2002-09-12 16:43  markom

	* toplevel.c, cuc/verilog.c, testbench/acv_uart.c,
	testbench/acv_uart.cfg:

	breakpoint can be set on labels

2002-09-10 18:37  markom

	* cuc/: cuc.c, insn.c:

	options missing bug fixed

2002-09-10 18:10  markom

	* cuc/insn.c:

	cmov pushing through

2002-09-10 12:44  markom

	* cuc/bb.c:

	fixed type 2 joining FLAG_REG bug

2002-09-10 11:36  markom

	* cuc/bb.c:

	uncond branch simplification bug fixed

2002-09-10 11:10  markom

	* cuc/load.c:

	cuc delay slot loading bug fixed

2002-09-09 17:18  markom

	* cuc/bb.c:

	added a-b-c, a-c bb simplification

2002-09-09 16:20  markom

	* cuc/: bb.c, cuc.c, insn.c:

	profiling miscalculation and add-sfxx joining bugs fixed

2002-09-08 04:29  lampret

	* cpu/or32/or32.c:

	Fixed encoding for l.div/l.divu.

2002-09-05 11:07  simons

	* testbench/support/support.c:

	PRINTF/printf mess fixed.

2002-09-04 22:05  simons

	* cpu/or1k/spr_defs.h, testbench/support/spr_defs.h:

	PRINTF/printf mess fixed.

2002-09-04 13:29  simons

	* testbench/acv_gpio.c, testbench/acv_uart.c, testbench/cbasic.c,
	testbench/dhry.c, testbench/dhry.h, testbench/dmatest.c,
	testbench/eth.c, testbench/eth0.tx, testbench/except_test.c,
	testbench/functest.c, testbench/kbdtest.c, testbench/mc_async.c,
	testbench/mc_common.c, testbench/mc_dram.c, testbench/mc_ssram.c,
	testbench/mc_sync.c, testbench/mmu.c, testbench/mul.c,
	testbench/mycompress.c, cpu/or1k/spr_defs.h,
	testbench/support/spr_defs.h, testbench/support/support.c,
	testbench/support/support.h, testbench/uos/spr_defs.h,
	testbench/uos/task.c, testbench/uos/uos.c:

	Mess with printf/PRINTF fixed. Ethernet test changed to support
	latest changes.

2002-08-30 21:46  rherveille

	* sim.cfg:

	[no log message]

2002-08-30 21:45  rherveille

	* peripheral/atahost.c:

	fixed some bugs detected by Bender hardware

2002-08-30 14:57  simons

	* peripheral/eth.c:

	TX_BD_NUM register now contains a real number of transmit BDs
	(before this was n*2)

2002-08-29 12:26  simons

	* config.guess:

	Host type was not recognized.

2002-08-23 14:57  markom

	* cuc/cuc.c:

	cuc temporary files are deleted upon exiting

2002-08-23 14:50  markom

	* cuc/verilog.c:

	fixed load/store state machine verilog generation errors

2002-08-23 11:38  markom

	* sim-config.c:

	added missing fout initialization

2002-08-23 10:38  markom

	* config.guess, mprofiler.c, profiler.c, sim-config.c,
	sim-config.h, toplevel.c, bpb/Makefile.in, bpb/branch_predict.c,
	cache/dcache_model.c, cache/icache_model.c, cpu/Makefile.in,
	cpu/common/Makefile.in, cpu/common/abstract.c, cpu/common/parse.c,
	cpu/common/stats.c, cpu/common/trace.c, cpu/dlx/execute.c,
	cpu/or1k/Makefile.in, cpu/or1k/except.c, cpu/or1k/sprs.c,
	cpu/or1k/sprs.h, cpu/or32/Makefile.in, cpu/or32/execute.c,
	cpu/or32/insnset.c, cuc/bb.c, cuc/cuc.c, cuc/cuc.h, cuc/insn.c,
	cuc/load.c, cuc/memory.c, cuc/timings.c, cuc/verilog.c,
	debug/debug_unit.c, debug/debug_unit.c.bak, debug/gdbcomm.c,
	mmu/dmmu.c, mmu/immu.c, peripheral/16450.c, peripheral/atadevice.c,
	peripheral/atahost.c, peripheral/dma.c, peripheral/eth.c,
	peripheral/fb.c, peripheral/gpio.c, peripheral/mc.c,
	peripheral/ps2kbd.c, pic/pic.c, pm/pm.c, support/dumpverilog.c,
	support/sched.h, support/simprintf.c, testbench/acv_gpio.c,
	testbench/acv_uart.c, testbench/cbasic.c, testbench/dhry.c,
	testbench/dhry.h, testbench/dmatest.c, testbench/eth.c,
	testbench/except_test.c, testbench/functest.c, testbench/kbdtest.c,
	testbench/mc_async.c, testbench/mc_common.c, testbench/mc_dram.c,
	testbench/mc_ssram.c, testbench/mc_sync.c, testbench/mmu.c,
	testbench/mul.c, testbench/mycompress.c,
	testbench/support/support.c, testbench/support/support.h,
	testbench/uos/task.c, testbench/uos/uos.c, tick/tick.c,
	vapi/vapi.c:

	PRINTF should be used instead of printf; command redirection
	repaired

2002-08-22 11:59  markom

	* cuc/: Makefile, cuc.c, insn.c, verilog.c:

	some minor bugs fixed

2002-08-21 19:12  simons

	* cache/dcache_model.c, cache/icache_model.c,
	cpu/common/abstract.c:

	A bug when cache enabled and bus error comes fixed.

2002-08-19 11:44  markom

	* cuc/verilog.c:

	outputs out of function are not registered anymore

2002-08-16 15:38  markom

	* cuc/: bb.c, cuc.c, insn.c, memory.c, verilog.c:

	generated cuc top scheduler builds without syntax errors; not
	tested yet

2002-08-16 15:17  simons

	* testbench/: board.h, default.cfg, eth0.tx:

	Interrupt suorces fixed.

2002-08-16 12:30  simons

	* testbench/: kbdtest.c, kbdtest.rx:

	Now even keyboard test passes.

2002-08-15 23:41  simons

	* testbench/: board.h, xess.ld:

	Testbench is now running on ORP architecture platform.

2002-08-15 23:38  simons

	* Makefile.in, aclocal.m4, sim-config.c, sim-config.h,
	bpb/Makefile.in, cache/Makefile.in, cpu/Makefile.in,
	cpu/common/Makefile.in, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/or1k/Makefile.in, cpu/or32/Makefile.in,
	cuc/Makefile, debug/Makefile.in, mmu/Makefile.in,
	peripheral/16450.c, peripheral/Makefile.am, peripheral/Makefile.in,
	peripheral/atahost.c, peripheral/dma.c, peripheral/eth.c,
	peripheral/fb.c, peripheral/gpio.c, peripheral/mc.c,
	peripheral/ps2kbd.c, peripheral/vga.c, pic/Makefile.in,
	pm/Makefile.in, support/Makefile.in, testbench/Makefile.am,
	testbench/Makefile.in, testbench/basic.S, testbench/cache.cfg,
	testbench/cache.ld, testbench/cache_asm.S, testbench/cfg.S,
	testbench/default.cfg, testbench/default.ld, testbench/dmatest.c,
	testbench/dmatest.cfg, testbench/eth.c, testbench/eth.cfg,
	testbench/eth0.tx, testbench/except.S, testbench/except_test.c,
	testbench/except_test.cfg, testbench/except_test_s.S,
	testbench/fbtest.c, testbench/fbtest.cfg, testbench/flag.S,
	testbench/int_test.S, testbench/int_test.cfg, testbench/kbdtest.c,
	testbench/kbdtest.cfg, testbench/mmu.c, testbench/mmu.cfg,
	testbench/uos/except_or32.S, tick/Makefile.in, vapi/Makefile.in,
	peripheral/test.c, testbench/int_test.ld:

	Testbench is now running on ORP architecture platform.

2002-08-13 22:15  simons

	* testbench/: except.S, mmu.c, mmu.cfg, xess.ld:

	Flash at 0x04000000 RAM at 0x00000000. Only MMU test works.

2002-08-13 18:03  simons

	* testbench/: basic.S, cache.ld, cfg.S, default.ld, eth0.tx,
	except.S, except_mc.ld, except_test.c, except_test.cfg,
	except_test_s.S, fbtest.c, flag.S, int_test.S, mul.c, mycompress.c,
	xess.ld, support/support.c:

	Changed to work with or32-uclinux tool chain. Everything works
	except keyboard test.

2002-08-12 13:42  markom

	* cuc/memory.c:

	some debugging code cleanup

2002-08-12 12:58  markom

	* cuc/: bb.c, cuc.c, cuc.h, insn.c, memory.c:

	burst detection for bytes & halfwords added

2002-08-09 14:17  markom

	* cuc/: bb.c, cuc.c, cuc.h, memory.c:

	memory optimizations moved into main optimization loop

2002-08-08 16:59  markom

	* profiler.c, cuc/bb.c, cuc/cuc.c, cuc/cuc.h, cuc/verilog.c:

	profiling and cuc can be made in one run

2002-08-08 11:11  markom

	* cuc/: bb.c, cuc.c, cuc.h, insn.c:

	caller saved register r11 fixed

2002-08-08 10:50  markom

	* cuc/: adv.c, insn.c:

	conditional facts does not work for assignments outside BB

2002-08-08 10:00  markom

	* cuc/: adv.c, cuc.c, cuc.h, insn.c, memory.c, verilog.c:

	added file; cleanup

2002-08-07 14:43  markom

	* cuc/: Makefile, Makefile.am, Makefile.in, bb.c, cuc.c, cuc.h,
	insn.c:

	simple conditional facts generation tested

2002-08-06 16:19  markom

	* cuc/: bb.c, cuc.c:

	conditional facts generation

2002-08-06 13:19  markom

	* cuc/: bb.c, cuc.c, cuc.h, verilog.c:

	adding fact generation from conditionals; still under development

2002-08-06 12:11  markom

	* cuc/: bb.c, cuc.c, cuc.h, insn.c, insn.h, timings.c, verilog.c:

	adv. dead code elimination; few optimizations

2002-08-05 18:11  markom

	* cuc/: bb.c, cuc.c, cuc.h, insn.c, insn.h, verilog.c:

	more CMOV optimizations; some bugs fixed; more complex optimization
	structure

2002-08-05 16:40  markom

	* cuc/: bb.c, insn.c, timings.c:

	more CMOV optimizations; cse tested

2002-08-02 14:10  markom

	* cuc/insn.c:

	add - sfxx optimization

2002-08-02 13:35  markom

	* configure, virtex.tim, cuc/bb.c, cuc/insn.c, cuc/insn.h:

	sfor instruction replaced by conditional cmov

2002-08-02 13:17  markom

	* virtex.tim, cuc/bb.c, cuc/insn.c:

	problems with LRBB removal solved

2002-08-01 19:15  markom

	* cuc/: insn.c, verilog.c:

	regs and loads do not use rst - can yield less logic

2002-08-01 19:12  markom

	* virtex.tim, cuc/bb.c, cuc/cuc.h, cuc/insn.c, cuc/verilog.c:

	new BB joining type; BBID_END added; virtex.tim sample cuc timings

2002-08-01 12:13  markom

	* cuc/: bb.c, cuc.c, verilog.c:

	bb joining, basic block triggers bugs fixed; more verilog
	generation of arbiter

2002-07-31 20:17  rherveille

	* peripheral/: atadevice.c, atadevice.h, atadevice_cmdi.c,
	atadevice_cmdi.h, atahost.c, atahost.h:

	stable release

2002-07-31 13:47  markom

	* cuc/cuc.c:

	sa command bug fixed

2002-07-31 13:46  markom

	* cuc/insn.c:

	optimize cmovs bug fixed

2002-07-30 16:31  markom

	* cuc/bb.c, cuc/cuc.c, cuc/verilog.c, testbench/mul.c,
	testbench/support/support.h:

	cuc main verilog file generation

2002-07-30 11:25  lampret

	* cpu/or1k/sprs.c:

	SR[FO] is always set to 1.

2002-07-30 11:12  lampret

	* cpu/or32/execute.c:

	Executed log insns counter output in decimal instead of hex.

2002-07-30 11:09  lampret

	* sim-config.c:

	Reset SR (and ESR) have TEE set to zero (no tick timer).

2002-07-30 11:06  lampret

	* cpu/or32/execute.c:

	Added instruction count to hardware executed log

2002-07-30 10:26  lampret

	* configure.in:

	No arith and overflow flags by default.

2002-07-28 23:54  lampret

	* testbench/basic.S:

	Bug fix.

2002-07-24 16:01  markom

	* cuc/verilog.c:

	busy signal added

2002-07-24 15:58  markom

	* cuc/: cuc.h, memory.c, timings.c, verilog.c:

	function calling generation; not tested yet

2002-07-24 12:46  markom

	* cuc/: bb.c, cuc.c, cuc.h, insn.c, insn.h, load.c, verilog.c:

	function dependency analysis added

2002-07-23 17:18  markom

	* cuc/: bb.c, cuc.c, cuc.h, insn.c, load.c:

	type 2 bb joining; few small bugs fixed; cmov edge condition added

2002-07-23 11:31  markom

	* cuc/: cuc.c, cuc.h, memory.c:

	duplicated memory loads (same location) can be removed

2002-07-22 18:21  markom

	* cuc/: cuc.c, insn.c:

	a few gui improvements

2002-07-22 17:28  markom

	* cuc/: bb.c, cuc.c, insn.c, insn.h, verilog.c:

	separated async and sync cond rst||... and fixed few other bugs in
	verilog generator; advanced cmov optimization

2002-07-17 18:55  markom

	* cuc/: Makefile, bb.c, cuc.c, load.c:

	l.movhi added; (signed) comparison bug fixed

2002-07-17 18:32  markom

	* configure, configure.in, sim-config.c, sim-config.h, sim.cfg,
	toplevel.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/parse.c, cpu/common/parse.h, cpu/or32/execute.c,
	cuc/Makefile, cuc/bb.c, cuc/cuc.c, cuc/cuc.h, cuc/insn.c,
	cuc/insn.h, cuc/load.c, cuc/memory.c, cuc/timings.c:

	improved CUC GUI; pre/unroll bugs fixed

2002-07-13 02:28  simons

	* configure, configure.in:

	Typing mistake fixed.

2002-07-12 20:20  ivang

	* sim-config.c, sim-config.h, cuc/Makefile, peripheral/eth.c,
	peripheral/ethernet.h, peripheral/ethernet_i.h,
	testbench/Makefile.in, testbench/aclocal.m4, testbench/configure,
	testbench/eth0.tx, testbench/support/Makefile.in,
	testbench/uos/Makefile.in:

	Modified Ethernet model.

2002-07-10 18:24  simons

	* cpu/or1k/sprs.c, mmu/dmmu.c, mmu/immu.c:

	MMU registers reserved fields protected from writing.

2002-07-10 12:32  markom

	* sim-config.h, toplevel.c, cache/dcache_model.c,
	cache/icache_model.c, cpu/common/abstract.c, cpu/common/stats.c,
	cpu/or1k/sprs.c, cpu/or32/execute.c, cpu/or32/insnset.c,
	debug/debug_unit.c, debug/debug_unit.h, mmu/dmmu.c, mmu/immu.c,
	peripheral/16450.c, peripheral/dma.c, peripheral/eth.c,
	peripheral/fb.c, peripheral/ps2kbd.c, peripheral/vga.c,
	support/sched.c, support/sched.h, support/simprintf.c, tick/tick.c:

	code cleaning - a lot of global variables moved to runtime struct

2002-07-09 17:37  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/parse.c, cuc/bb.c, cuc/cuc.c, cuc/cuc.h, cuc/insn.c,
	cuc/insn.h, cuc/load.c, cuc/timings.c, cuc/verilog.c:

	cuc updated, cuc prompt parsing; CSM analysis

2002-07-07 14:50  simons

	* cpu/common/: abstract.c, abstract.h:

	Routine for adjusting read and write delay for devices added.

2002-07-04 18:35  markom

	* Makefile.am, Makefile.in, README, configure, configure.in,
	mprofiler.h, profiler.c, profiler.h, sim.cfg, toplevel.c,
	cpu/dlx/Makefile.in, cpu/or1k/opcode/or32.h, cpu/or32/or32.c,
	cuc/Makefile, cuc/Makefile.am, cuc/Makefile.in, cuc/bb.c,
	cuc/cuc.c, cuc/cuc.h, cuc/insn.c, cuc/insn.h, cuc/load.c,
	cuc/memory.c, cuc/timings.c, cuc/verilog.c:

	Initial version of OpenRISC Custom Unit Compiler added

2002-07-03 00:53  rherveille

	* cpu/common/Makefile.in, cpu/or1k/Makefile.in,
	cpu/or32/Makefile.in, peripheral/messages.h:

	ata beta release

2002-07-03 00:44  rherveille

	* Makefile.in, aclocal.m4, sim-config.c, sim-config.h, sim.cfg,
	toplevel.c, bpb/Makefile.in, cache/Makefile.in, cpu/Makefile.in,
	debug/Makefile.in, mmu/Makefile.in, peripheral/Makefile.am,
	peripheral/Makefile.in, peripheral/atacmd.h,
	peripheral/atadevice.c, peripheral/atadevice.h,
	peripheral/atadevice_cmdi.c, peripheral/atadevice_cmdi.h,
	peripheral/atahost.c, peripheral/atahost.h,
	peripheral/atahost_define.h, pic/Makefile.in, pm/Makefile.in,
	support/Makefile.in, tick/Makefile.in, vapi/Makefile.in:

	Beta release of ATA simulation

2002-06-05 08:26  markom

	* toplevel.c:

	help added for mprofiler and profiler commands

2002-06-03 08:10  markom

	* peripheral/: eth.c, ethernet_i.h, fb.c:

	ifdefs changed to ifs, to exclude ethernet_i header file

2002-05-24 00:27  ivang

	* cpu/common/abstract.c:

	Added delayr and delayw variable initialization (default value 1)

2002-05-22 09:15  markom

	* peripheral/: fb.c, fb.h:

	camera support added to fb

2002-05-14 12:15  markom

	* sim-config.c:

	I/D MMU and I/D caches takes some cycles by default

2002-05-13 14:58  markom

	* config.h.in, configure, configure.in, peripheral/eth.c,
	peripheral/ethernet.c, peripheral/ethernet_i.h:

	eth phy is now optional and disabled by default, use
	--enable-ethphy to enable it

2002-05-10 12:22  markom

	* mprofiler.c, toplevel.c, cpu/common/parse.c, cpu/common/parse.h:

	profiler and mprofiler commands added to interactive mode of
	or1ksim

2002-05-10 11:32  markom

	* mprofiler.c, mprofiler.h, profiler.c, profiler.h, sim-config.c,
	sim-config.h, toplevel.c:

	profiler now uses nicer parameters

2002-05-10 11:19  markom

	* peripheral/fb.c:

	fb refresh updated

2002-05-09 11:06  markom

	* peripheral/: fb.c, fb.h:

	refresh indicator/count added to frame buffer

2002-05-03 18:45  ivang

	* peripheral/eth.c:

	Fix.

2002-04-29 17:06  simons

	* peripheral/eth.c:

	Controller reset fixed.

2002-04-26 14:26  ivang

	* testbench/test:

	Added execution of pre and post simulation shell scripts.  Script
	should be named <testname>.pre.sh for pre-execution script and
	<testname>.post.sh for post-execution script.

2002-04-25 21:10  ivang

	* testbench/eth.c:

	Bug fix.

2002-04-25 18:49  ivang

	* testbench/: eth.cfg, eth0.tx:

	Configuration for ethernet testcase.

2002-04-25 18:39  ivang

	* peripheral/eth.c, testbench/eth.c:

	Fixed bug in file interface. Modified testcase to suid
	modifications.

2002-04-18 12:20  markom

	* config.sub, testbench/config.sub:

	or32-uclinux target added

2002-04-17 16:23  ivang

	* support/simprintf.c, sim-config.c, sim-config.h:

	Added configuration parameter for specifying stdout file filename.

2002-04-15 15:54  markom

	* peripheral/16450.c, support/sched.h:

	ugly bug with duplicate redefined i removed

2002-04-12 17:18  simons

	* cpu/common/parse.c:

	Physical address bug fixed.

2002-04-11 22:52  simons

	* cpu/common/elf.h:

	Elf support added.

2002-04-11 12:20  simons

	* cpu/common/parse.c:

	Elf support added.

2002-04-10 09:46  markom

	* configure, configure.in, cpu/common/Makefile.am,
	cpu/common/Makefile.in, support/Makefile.am, support/Makefile.in,
	support/sched.c, support/sched.h:

	sched files moved to support dir

2002-04-10 09:40  markom

	* toplevel.c, peripheral/16450.c, peripheral/16450.h:

	uart now partially uses scheduler

2002-04-10 09:10  markom

	* sim-config.c, sim-config.h, toplevel.c, cpu/or1k/sprs.c,
	peripheral/16450.c, peripheral/fb.c, peripheral/fb.h,
	peripheral/ps2kbd.c, peripheral/ps2kbd.h, peripheral/vga.c,
	peripheral/vga.h, pic/pic.c, pm/pm.c, pm/pm.h:

	kbd, fb, vga devices now uses scheduler

2002-04-09 15:15  markom

	* cpu/or32/execute.c, peripheral/mc.c:

	memory regions can now overlap with MC -- not according to MC spec

2002-04-05 11:11  simons

	* testbench/Makefile.am, testbench/Makefile.in,
	testbench/int_test.S, testbench/int_test.cfg, tick/tick.c:

	Cache and tick timer tests fixed.

2002-04-03 15:09  markom

	* cpu/or32/or32.c:

	l.muli instruction added

2002-03-29 23:11  simons

	* peripheral/fb.c:

	Wrapping around 512k boundary to simulate real hw.

2002-03-26 17:04  simons

	* peripheral/fb.c:

	Color bits position changed.

2002-03-17 20:48  simons

	* peripheral/: eth.c, ethernet.h, ethernet_i.h:

	Some changes and fixes.

2002-03-15 12:12  ivang

	* peripheral/: mc.c, mc.h:

	Added status info dump.

2002-03-15 11:57  ivang

	* toplevel.c:

	Added dump of MC status.

2002-03-14 11:59  ivang

	* cpu/or32/Makefile.in:

	[no log message]

2002-03-08 17:00  ivang

	* sim-config.c:

	Fixed eth configuration.

2002-03-08 17:00  ivang

	* testbench/: eth.c, eth.cfg:

	Fixed configuration.

2002-03-08 16:34  ivang

	* sim-config.c, sim-config.h:

	Fixed error during merge.

2002-03-08 16:16  ivang

	* sim-config.c, sim-config.h:

	Merge.

2002-03-07 12:03  markom

	* sim-config.c, sim.cfg, testbench/default.cfg,
	testbench/dmatest.cfg, testbench/except_test.cfg,
	testbench/int_test.cfg:

	tick section is now obsolete; update your .cfg files!

2002-03-07 12:02  markom

	* pic/pic.c:

	some small optimizations

2002-03-07 11:39  markom

	* toplevel.c, cpu/common/Makefile.am, cpu/common/Makefile.in,
	cpu/or1k/sprs.c, cpu/or1k/sprs.h, tick/tick.c, tick/tick.h:

	tick timer works with scheduler

2002-03-06 16:53  ivang

	* cpu/or32/Makefile.am, sim-config.c:

	Fixed building problem.

2002-03-06 16:29  ivang

	* sim-config.c, sim-config.h, sim.cfg, peripheral/eth.c:

	Added some more configuration parameters.

2002-03-06 16:16  ivang

	* sim.cfg:

	Configuration of ethernet model socket interface and IRQ added.

2002-03-06 16:13  ivang

	* sim-config.c, sim-config.h, peripheral/eth.c:

	Added configuration for socket interface and IRQ level.

2002-03-06 14:28  markom

	* cpu/or32/: execute.c, insnset.c, or32.c:

	floating point registers are obsolete; GPRs should be used instead

2002-03-06 10:52  markom

	* configure, configure.in:

	configure files updated

2002-03-06 10:30  markom

	* cpu/: common/abstract.h, or1k/opcode/or32.h, or32/execute.c,
	or32/generate.c, or32/insnset.c, or32/or32.c:

	single floating point support added

2002-03-06 10:29  markom

	* config.h.in:

	config.h.in updated

2002-03-06 08:44  markom

	* cpu/or32/: execute.c, generate.c, or32.c:

	some minor improvements

2002-03-05 09:38  markom

	* testbench/dhry.c:

	dhrystones strcmp repaired

2002-03-04 13:09  markom

	* toplevel.c, cpu/or32/execute.c, cpu/or32/generate.c,
	cpu/or32/or32.c:

	do_stats introduced for faster no-stats execution

2002-03-04 10:27  markom

	* sim-config.c, sim-config.h, toplevel.c, cpu/common/stats.c,
	cpu/or32/execute.c, cpu/or32/generate.c, cpu/or32/insnset.c,
	mmu/immu.c, peripheral/16450.c, peripheral/16450.h:

	lot of small minor improvements: code documented, cleaned; runs at
	about same speed when not actually logging, but exe_log is enabled;
	raw_stats now run only with simple execution - enable
	RAW_USAGE_STATS macro

2002-03-01 13:29  markom

	* cpu/or32/: execute.c, generate.c, insnset.c:

	eval_operand and set_operand functions are being generated

2002-03-01 07:39  markom

	* cpu/or32/: execute.c, generate.c, or32.c:

	eval_operands is now being generated

2002-02-28 15:04  markom

	* aclocal.m4, config.h.in, configure, configure.in,
	cpu/or1k/opcode/or32.h, cpu/or32/Makefile.am, cpu/or32/Makefile.in,
	cpu/or32/execute.c, cpu/or32/insnset.c, cpu/or32/or32.c:

	insn_decode execution part replaced by generated function
	decode_execute; use --enable-simple to use runtime decoding

2002-02-27 14:17  ivang

	* peripheral/eth.c, peripheral/ethernet.h, testbench/eth.c:

	Updated changed registers.

2002-02-27 13:06  markom

	* support/simprintf.c:

	exe_logs now print also l.nop 3 printfs

2002-02-27 10:30  markom

	* cpu/: common/parse.c, or1k/except.c, or1k/opcode/or32.h,
	or32/execute.c, or32/or32.c:

	small optimizations to dissasemble

2002-02-27 09:56  ivang

	* sim.cfg, cpu/common/stats.c, peripheral/Makefile.am,
	peripheral/Makefile.in, peripheral/eth.c, peripheral/ethernet.h,
	peripheral/ethernet_i.h, testbench/eth.c:

	Initial coding of ethernet simulator model finished.

2002-02-22 21:39  simons

	* testbench/support/support.c:

	Simprintf bug fixed again.

2002-02-22 21:24  simons

	* testbench/support/support.c:

	Simprintf bug fixed again.

2002-02-22 21:13  simons

	* testbench/support/support.c:

	Simprintf bug fixed again.

2002-02-20 14:20  ivang

	* peripheral/eth.c:

	Development version of ethernet.c

2002-02-20 14:20  ivang

	* peripheral/: ethernet.h, ethernet_i.h:

	Modifications and additions for finished ethernet core.

2002-02-20 10:19  markom

	* cpu/common/: parse.c, stats.c:

	immediate stats added

2002-02-20 08:41  markom

	* cpu/or1k/except.c, cpu/or32/execute.c, debug/debug_unit.c:

	exception info is outputted only in verbose mode

2002-02-20 08:40  markom

	* cpu/common/stats.c:

	stats data is now initialized; should fix some problems with
	caches, etc

2002-02-20 08:38  markom

	* peripheral/ps2kbd.c:

	some more file sanity checking

2002-02-20 08:36  markom

	* testbench/: cache.cfg, eth.cfg, acv_gpio.cfg, acv_uart.cfg,
	except_test.cfg, mmu.cfg:

	update

2002-02-20 08:17  markom

	* sim.cfg:

	profiling disabled in sample configuration

2002-02-19 21:31  lampret

	* peripheral/: ps2kbd.c, ps2kbd.h:

	Now works with the uClinux ps/2 keyboard driver.

2002-02-19 21:28  lampret

	* toplevel.c:

	Added info for ps2kbd.

2002-02-17 18:21  ivang

	* cpu/or1k/opcode/or32.h:

	num_opcodes better because of linking.

2002-02-17 16:03  ivang

	* cpu/or1k/opcode/or32.h:

	extern CONST int num_opcodes -> extern CONST unsigned int
	or32_num_opcodes.

2002-02-15 16:00  markom

	* cpu/or32/execute.c, testbench/default.cfg:

	some minor improvements

2002-02-15 14:47  markom

	* cpu/or32/execute.c, testbench/default.cfg:

	executed log output looks nicer (and more correct :))

2002-02-15 14:21  markom

	* cpu/: or1k/opcode/or32.h, or32/or32.c:

	update of shared files

2002-02-15 12:59  markom

	* sim-config.c, sim-config.h, sim.cfg, cpu/or32/execute.c:

	register output added to sw executed log

2002-02-15 10:11  markom

	* sim-config.c, sim-config.h, sim.cfg, cpu/or32/execute.c:

	advanced exe_log functionality added

2002-02-15 10:06  markom

	* cpu/or32/or32.c:

	wrong version was restored

2002-02-15 10:05  markom

	* peripheral/ps2kbd.c:

	typo fixed

2002-02-15 09:32  markom

	* peripheral/ps2kbd.c:

	some corrections to model; control and status is not yet
	implemented!

2002-02-12 12:26  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/Makefile.am, peripheral/Makefile.in,
	peripheral/ps2kbd.c, peripheral/ps2kbd.h, testbench/Makefile.am,
	testbench/Makefile.in, testbench/kbdtest.c, testbench/kbdtest.cfg,
	testbench/kbdtest.rx:

	very simple PS/2 keyboard model with associated test added

2002-02-11 12:23  ivang

	* cpu/: or1k/opcode/or32.h, or32/or32.c:

	GNU binutils merge.

2002-02-06 09:47  markom

	* sim-config.c, sim-config.h, sim.cfg, peripheral/fb.c,
	testbench/fbtest.c, testbench/fbtest.cfg:

	fb now works in system memory

2002-02-05 15:23  markom

	* sim-config.c, sim-config.h, peripheral/fb.c, peripheral/fb.h,
	testbench/fbtest.c, testbench/fbtest.cfg:

	some changes to fb to make it compatible with HW

2002-02-05 13:38  markom

	* Makefile.am, Makefile.in, sim-config.c:

	some bugs fixed

2002-02-05 09:57  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/Makefile.am, peripheral/Makefile.in, peripheral/fb.c,
	peripheral/fb.h, peripheral/vga.c, peripheral/vga.h,
	testbench/Makefile.am, testbench/Makefile.in,
	testbench/default.cfg, testbench/fbtest.c, testbench/fbtest.cfg,
	vapi/vapi.h:

	simple frame buffer peripheral with test added

2002-02-04 14:39  ivang

	* cpu/or1k/: sprs.c, sprs.h:

	Modified logging of SPR accesses. Logging only explicit instruction
	accesses.

2002-02-04 14:35  ivang

	* debug/debug_unit.c:

	Quick bug fix.

2002-02-04 14:32  ivang

	* debug/debug_unit.c:

	Modified logging of SPR accesses. Logging only explicit instruction
	accesses.

2002-02-04 14:17  ivang

	* cpu/or32/execute.c:

	Modified logging of SPR accesses. Logging only explicit instruction
	accesses.

2002-02-04 12:54  ivang

	* Makefile.in:

	Merge profiler and mprofiler with sim.

2002-02-01 22:22  simons

	* testbench/: mmu.c, mmu.cfg, mmu_asm.S:

	MMU cache inhibit bit test added.

2002-02-01 22:04  simons

	* cpu/common/abstract.c, cpu/common/abstract.h,
	cache/dcache_model.c, cache/icache_model.c, mmu/dmmu.c, mmu/immu.c:

	TLBTR CI bit is now working properly.

2002-01-31 17:01  ivang

	* sim-config.c:

	Bug fix in command line parser.

2002-01-30 22:02  ivang

	* Makefile.am, sim-config.c, toplevel.c, mprofiler.c, mprofiler.h,
	profiler.c, profiler.h, sim-config.h, sim.cfg:

	profiler and mprofiler merged into sim.

2002-01-29 23:09  simons

	* cache/dcache_model.c, cache/dcache_model.h, cache/icache_model.c,
	cache/icache_model.h, cpu/common/abstract.c, sim-config.c,
	sim-config.h, testbench/cache.c, testbench/cache.cfg,
	cpu/or32/execute.c:

	Real cache access is simulated now.

2002-01-29 14:07  markom

	* cpu/: common/stats.c, or32/execute.c:

	some bug fixes in store buffer analysis

2002-01-29 10:47  markom

	* sim-config.h, sim.cfg, cpu/common/stats.c, cpu/or32/execute.c:

	typo fixed

2002-01-29 10:05  markom

	* cpu/or32/or32.c:

	or32 restored

2002-01-29 10:04  markom

	* sim-config.c, sim-config.h, sim.cfg, cache/dcache_model.h,
	cpu/common/stats.c, cpu/or32/execute.c:

	store buffer added

2002-01-28 17:33  ivang

	* cpu/or1k/sprs.c, cpu/or1k/sprs.h, sim-config.c, sim-config.h,
	sim.cfg, toplevel.c:

	Added logging of writes/read to/from SPR registers.

2002-01-28 15:39  markom

	* cpu/or32/or32.c:

	update based on recent changes; arithmetic instructions does not
	modify carry yet

2002-01-28 12:26  simons

	* testbench/cache.ld:

	Cache test works on hardware.

2002-01-28 11:24  simons

	* testbench/: Makefile.am, Makefile.in, cache.c, cache.cfg,
	cache_asm.S:

	Cache test works on hardware.

2002-01-28 11:18  markom

	* cpu/or32/execute.c:

	use ARITH_SET_FLAG to turn off set flag by arith. instructions

2002-01-28 11:14  markom

	* cpu/or32/execute.c, testbench/except_test.c,
	testbench/int_test.S, testbench/xess.ld:

	all test pass, after newest changes

2002-01-25 16:07  markom

	* testbench/flag.S:

	flags test added

2002-01-25 16:06  markom

	* cpu/common/stats.c, cpu/or1k/spr_defs.h,
	testbench/support/spr_defs.h, cpu/or1k/opcode/or32.h,
	cpu/or32/execute.c, cpu/or32/or32.c, testbench/Makefile.am,
	testbench/Makefile.in:

	cmov and extxx instructions; add, addi, and, andi now set flag

2002-01-24 10:40  simons

	* testbench/except_test.c:

	Tick timer period extended to meet real timing.

2002-01-23 09:10  simons

	* cpu/common/abstract.c, cpu/or32/execute.c, pic/pic.c,
	testbench/except_test.c, testbench/except_test.cfg,
	testbench/xess.ld, tick/tick.c:

	EEAR register is not changed by trap, sys, int, tick and range
	exception.

2002-01-22 13:28  simons

	* testbench/: except_test.c, except_test.cfg, except_test_s.S:

	Range exception removed from test.

2002-01-21 13:05  markom

	* cpu/or32/execute.c:

	raw register range bug fixed; acv_uart test passes

2002-01-21 12:54  markom

	* toplevel.c, cpu/or32/execute.c:

	simulator prints out a message, when gdb is not attached and stall
	occurs; OV flag fixed

2002-01-21 12:23  markom

	* cpu/or32/execute.c, testbench/Makefile.am, testbench/Makefile.in,
	testbench/mul.c, testbench/pic.c:

	mul test repaired - signed multiplication; obsolete pic test
	removed; make check pass

2002-01-19 23:54  simons

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/abstract.c, cpu/or1k/except.c, cpu/or1k/except.h,
	cpu/or1k/spr_defs.h, cpu/or1k/sprs.c, cpu/or1k/sprs.h,
	testbench/support/spr_defs.h, cpu/or32/execute.c,
	debug/debug_unit.c, mmu/dmmu.c, mmu/immu.c, pic/pic.c,
	testbench/acv_gpio.c, testbench/acv_uart.c, testbench/except.S,
	testbench/except_mc.S, testbench/except_test.c,
	testbench/except_test_s.S, testbench/int_test.S, testbench/mmu.c,
	testbench/mmu_asm.S, testbench/pic.c, testbench/support/int.c,
	testbench/support/int.h, testbench/support/support.c,
	testbench/support/support.h, testbench/uos/spr_defs.h,
	testbench/uos/tick.c, testbench/uos/uos.c, tick/tick.c:

	No more low/high priority interrupts (PICPR removed). Added tick
	timer exception.

2002-01-17 16:17  markom

	* cpu/common/abstract.c, debug/debug_unit.c:

	gdb messages disabled

2002-01-15 15:12  markom

	* testbench/: Makefile.am, Makefile.in, inst_set_test.c,
	int_test.S, int_test.cfg:

	some risc test added

2002-01-15 12:47  simons

	* testbench/cache.c:

	Not needed to be compiled with -O2 optimization any more.

2002-01-15 10:49  markom

	* sim-config.c, cpu/common/abstract.c, cpu/or32/execute.c,
	testbench/Makefile.am, testbench/Makefile.in, testbench/cache.c,
	testbench/cache.cfg, testbench/functest.c:

	fixed some tests to work

2002-01-14 22:15  simons

	* sim-config.c, cpu/common/abstract.c, cpu/or1k/except.c,
	cpu/or1k/sprs.c, mmu/dmmu.c:

	Some new bugs fixed.

2002-01-14 10:06  markom

	* sim-config.c, sim.cfg, testbench/configure,
	testbench/configure.in:

	include command added to cfg script

2002-01-14 09:50  simons

	* pic/pic.c:

	Commit lapsus fixed.

2002-01-14 09:26  simons

	* configure, configure.in:

	Fast sim switch fixed.

2002-01-13 18:34  simons

	* cpu/or1k/sprs.c, pic/pic.c, tick/tick.c:

	Tick timer is not connected to PIC.

2002-01-11 10:21  markom

	* toplevel.c, cpu/common/abstract.c, cpu/common/execute.h,
	cpu/or32/execute.c:

	some code cleanup

2002-01-10 14:21  ivang

	* peripheral/fields.h:

	Fixed bug in SET_FIELD macro. (setting register field to 0 is not
	such a good idea)

2002-01-10 12:06  markom

	* cpu/: common/stats.c, or32/execute.c:

	nop statistics removed

2002-01-10 11:14  markom

	* configure, configure.in, sim-config.c, sim-config.h, sim.cfg,
	toplevel.c, cpu/common/abstract.c, cpu/common/execute.h,
	cpu/common/labels.c, cpu/common/labels.h, cpu/or32/execute.c,
	pic/pic.c:

	some optimizations; fsim running at 2MIPS; pm section added to
	config; configure bug fixed

2002-01-10 08:59  markom

	* sim-config.c, sim-config.h, sim.cfg, cpu/common/stats.c,
	cpu/or1k/except.c, cpu/or32/execute.c:

	support for SPR_SR_EP added; cpu.sr added to config

2002-01-10 08:21  markom

	* cpu/common/stats.c:

	stats 1 requirement bug fixed

2002-01-10 08:13  markom

	* sim-config.c, toplevel.c, cpu/common/abstract.c:

	memory fill bug fixed

2002-01-10 08:08  markom

	* sim.cfg:

	FLASH and RAM were named incorrectly

2002-01-09 17:01  ivang

	* testbench/: mc_async.c, mc_async.h, mc_common.c, mc_dram.c,
	mc_dram.h, mc_ssram.c, mc_ssram.h, mc_sync.c, mc_sync.h:

	Added option to read configuration from MC.  Fixed bugs in address
	calculation.

2002-01-09 15:58  markom

	* config.h.in, configure, configure.in, sim-config.c, sim-config.h,
	toplevel.c, testbench/acv_uart.cfg, testbench/cache.cfg,
	testbench/default.cfg, testbench/except_test.cfg, vapi/vapi.c:

	fsim runs 4 times faster than sim

2002-01-09 14:32  markom

	* sim-config.h, toplevel.c, cpu/common/abstract.c,
	cpu/or32/execute.c:

	deprecated GDB_ENABLED and DEBUG_ENABLED macros removed

2002-01-09 14:25  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/16450.c, peripheral/dma.c, peripheral/ethernet.c,
	peripheral/gpio.c, testbench/acv_gpio.cfg, testbench/default.cfg,
	testbench/dmatest.cfg, testbench/eth.cfg, testbench/mmu.cfg:

	enabled parameters removed from devices, which also have number of
	devices; command line --output-cfg parameter added

2002-01-09 11:31  markom

	* mprofiler.c:

	update of mprofiler

2002-01-09 10:03  markom

	* Makefile.am, Makefile.in, mprofiler.c, profiler.c, sim-config.c,
	sim-config.h, sim.cfg, toplevel.c, cpu/common/abstract.c,
	support/Makefile.am, support/Makefile.in, support/profile.c,
	support/profile.h:

	memory profiler added

2002-01-08 21:10  simons

	* cpu/common/abstract.c, testbench/mem_test.c:

	Alignment bug fixed.

2002-01-08 18:36  ivang

	* peripheral/mc.c:

	Fixed mc_read_word() bug!

2002-01-08 16:22  ivang

	* testbench/: mc_async.c, mc_sync.c, mc_common.h, mc_dram.c,
	mc_ssram.c:

	Added GPIO output for progress indication for FPGA simulation.

2002-01-08 15:08  simons

	* toplevel.c, cpu/common/abstract.c, cpu/common/abstract.h,
	peripheral/mc.c:

	Memory controller fixed.

2002-01-08 14:20  markom

	* cpu/common/abstract.c:

	lot of new parameters concerning memory delays added; bpb parameter
	moved from cpu to new bpb section; UPDATE YOUR .CFG FILES!

2002-01-08 14:05  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	bpb/branch_predict.c, cache/dcache_model.c, cache/icache_model.c,
	cpu/common/stats.c, cpu/or32/execute.c, mmu/dmmu.c, mmu/immu.c,
	testbench/acv_gpio.cfg, testbench/acv_uart.cfg,
	testbench/cache.cfg, testbench/default.cfg,
	testbench/except_test.cfg, testbench/mmu.cfg:

	lot of new parameters concerning memory delays added; bpb parameter
	moved from cpu to new bpb section; UPDATE YOUR .CFG FILES!

2002-01-08 11:19  simons

	* cpu/common/abstract.c:

	CS number added to mem dev list.

2002-01-08 11:16  simons

	* peripheral/: mc.c, mc.h:

	Missing parts added.

2002-01-08 10:39  markom

	* toplevel.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/dlx/Makefile.in, cpu/or32/execute.c, testbench/Makefile.am,
	testbench/Makefile.in, testbench/mem_test.c,
	testbench/support/support.c:

	memory width increased to 32bit; new memory test mem_test added -
	simple big endian test

2002-01-08 08:53  markom

	* toplevel.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/or32/execute.c:

	memory cycles are calculated according to parameters from .cfg file

2002-01-07 15:36  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/abstract.c, cpu/common/stats.c, cpu/common/stats.h,
	cpu/or1k/except.c, cpu/or32/execute.c, mmu/dmmu.c, mmu/immu.c:

	stats is updated; statical single stats removed; t command output
	cleaned, added time output; cycles is moved to instructions; cycles
	now count time

2002-01-07 13:29  simons

	* testbench/cache.c:

	Changed to work with new simulator.

2002-01-07 10:39  markom

	* profiler.c:

	profiler updated; lot of comments; bug with missaligned return call
	resolving fixed

2002-01-07 09:50  markom

	* sim-config.c, sim-config.h, sim.cfg, cpu/common/abstract.c,
	cpu/common/stats.c, cpu/common/stats.h, cpu/or32/execute.c,
	support/dumpverilog.h, testbench/acv_gpio.cfg,
	testbench/acv_uart.cfg, testbench/cache.cfg, testbench/default.cfg,
	testbench/dhry.c, testbench/except_test.cfg, testbench/mmu.cfg:

	removed stats 6 command, handling SLP; function profiling is
	supported by profiler; subroutine level parallelism is not covered
	yet, but should be done in profiler

2002-01-06 21:08  simons

	* peripheral/16450.c:

	THRI interrupt fixed.

2002-01-06 18:55  simons

	* peripheral/16450.c:

	Bug in receiver fixed.

2002-01-06 10:50  simons

	* cpu/common/abstract.c, testbench/except_test.c:

	EEAR shows virtual address on bus error exception.

2002-01-05 18:25  simons

	* testbench/except_test_s.S:

	Bug fixed.

2002-01-05 18:03  simons

	* testbench/support/support.c:

	Simprintf bug fixed.

2002-01-05 16:28  simons

	* testbench/except_test.c:

	LP interrupt test removed, because it can not be tested with tick
	timer.

2002-01-05 15:40  simons

	* testbench/: except_test.S, except_test_s.S:

	except_test.S renamed to except_test_s.S

2002-01-04 15:52  markom

	* configure, configure.in, sim-config.c, toplevel.c,
	cpu/common/stats.c, cpu/or1k/sprs.c, cpu/or1k/sprs.h:

	some more performance optimizations

2002-01-04 14:58  markom

	* Makefile.in, configure, configure.in, bpb/Makefile.in,
	cache/Makefile.in, cpu/Makefile.in, cpu/common/Makefile.in,
	cpu/or1k/Makefile.in, cpu/or1k/sprs.c, cpu/or1k/sprs.h,
	cpu/or32/Makefile.in, debug/Makefile.in, mmu/Makefile.in,
	peripheral/Makefile.in, pic/Makefile.in, pm/Makefile.in,
	support/Makefile.in, testbench/dhry.c, tick/Makefile.in,
	vapi/Makefile.in:

	some performance optimizations

2002-01-04 11:37  markom

	* testbench/: Makefile.am, Makefile.in, except.cfg, except_main.c,
	except_test.c, except_test.cfg:

	except test files renamed

2002-01-04 11:26  markom

	* cpu/or1k/sprs.c, support/simprintf.c, testbench/acv_uart.c:

	uart test updated; simprintf updated

2002-01-04 09:39  markom

	* configure, configure.in, cpu/common/coff.h, cpu/common/parse.c,
	testbench/test3.o:

	obsolete --enable-profiler and --disable-debugmod configure options
	removed; parse.c now loads only external symbols

2002-01-03 15:44  markom

	* cpu/or1k/spr_defs.h, cpu/or1k/sprs.c,
	testbench/support/spr_defs.h, cpu/or32/execute.c,
	testbench/basic.S, testbench/cfg.S, testbench/test,
	testbench/support/support.c, testbench/uos/except_or32.S:

	new reporting system

2002-01-03 14:38  markom

	* testbench/mmu.c:

	unused var warning corrected

2002-01-03 14:04  markom

	* cpu/or32/or32.c:

	nop instruction now has immediate

2002-01-02 13:13  erez

	* peripheral/dma.c:

	Fixed tabs in dma.c

2002-01-02 11:38  erez

	* peripheral/gpio.c, peripheral/gpio.h, peripheral/gpio_i.h,
	testbench/acv_gpio.c:

	Added RGPIO_INTS (according to GPIO spec)

2002-01-02 11:16  erez

	* testbench/.cvsignore:

	Added .cvsignore files for annoying generated files in testbench

2002-01-02 11:14  erez

	* .cvsignore, bpb/.cvsignore, cache/.cvsignore, cpu/.cvsignore,
	cpu/common/.cvsignore, cpu/dlx/.cvsignore, cpu/or16/.cvsignore,
	cpu/or1k/.cvsignore, cpu/or32/.cvsignore, debug/.cvsignore,
	mmu/.cvsignore, peripheral/.cvsignore, pic/.cvsignore,
	pm/.cvsignore, support/.cvsignore, testbench/support/.cvsignore,
	testbench/uos/.cvsignore, tick/.cvsignore, vapi/.cvsignore:

	Added .cvsignore files for annoying generated files

2002-01-02 11:11  erez

	* peripheral/gpio.c, testbench/acv_gpio.c, testbench/support/int.c,
	testbench/support/int.h, testbench/uos/tick.c:

	Made testbench/support/int.c more usable and changed acv_gpio test
	to use it

2001-12-22 02:16  lampret

	* cpu/or32/execute.c:

	Fixed data type bug in l_mac() that caused incorrect calculation of
	MACHI. Possible that l_msb has the same bug.

2001-12-22 01:25  lampret

	* cpu/or32/or32.c:

	Fixed encoding of the following insns:
	l.mac,l.msb,l.maci,l.mtspr,l.mfspr

2001-12-21 14:11  markom

	* sim-config.c:

	added missing enddevice command in GPIO section

2001-12-21 14:09  markom

	* toplevel.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/trace.c, cpu/common/trace.h, cpu/or32/execute.c,
	debug/debug_unit.c, peripheral/dma.c, peripheral/ethernet.c,
	support/dumpverilog.c:

	trace.h removed; removed absolete trace_fd code - use exe_log
	instead

2001-12-21 11:15  markom

	* peripheral/Makefile.in, testbench/Makefile.am,
	testbench/Makefile.in, testbench/acv_uart.c, testbench/cbasic.c,
	testbench/configure, testbench/configure.in,
	testbench/support/Makefile.in, testbench/uos/Makefile.am,
	testbench/uos/Makefile.in:

	--enable-opt switch added to testbench configure

2001-12-21 11:14  markom

	* peripheral/16450.c:

	uart THRE interrupt immedialty after write to IER

2001-12-20 15:53  markom

	* toplevel.c:

	pc command fixed

2001-12-20 15:36  markom

	* sim-config.c, peripheral/16450.c:

	clkcycle parsing problem fixed

2001-12-20 09:55  erez

	* sim.cfg:

	Updated documentation in default sim.cfg

2001-12-20 08:22  markom

	* debug/debug_unit.c, debug/gdb.h, testbench/Makefile.am,
	testbench/Makefile.in, testbench/default.ld, testbench/except.ld:

	gdb.h moved to debug dir; except.ld renamed to default.ld

2001-12-19 20:12  simons

	* testbench/: cache.c, cache.cfg:

	Changed to support execution from various addresses.

2001-12-19 19:34  erez

	* peripheral/gpio.c, peripheral/gpio_i.h, testbench/acv_gpio.c,
	testbench/acv_gpio.cfg:

	Implemented some GPIO tests

2001-12-19 15:56  markom

	* cpu/or32/execute.c:

	profiling uses l.jr instead of obsolete l.jalr

2001-12-19 15:54  markom

	* sim-config.c:

	-f bug fixed

2001-12-19 15:44  simons

	* testbench/mmu.c:

	RTL_SIM define added for shorter simulation runtime.

2001-12-19 15:31  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/abstract.c, cpu/common/abstract.h, cpu/common/stats.c,
	cpu/or1k/except.c, cpu/or1k/except.h, cpu/or1k/spr_defs.h,
	cpu/or1k/sprs.c, cpu/or1k/sprs.h, cpu/or32/execute.c,
	debug/debug_unit.c, debug/debug_unit.h, debug/gdbcomm.c,
	debug/gdbcomm.h, testbench/support/spr_defs.h, testbench/configure,
	testbench/functest.c, testbench/support/Makefile.in,
	testbench/uos/Makefile.in:

	connection with gdb repaired; temp_except_delay removed; lot of
	except and debug code cleaned; sys 203 causes stall under gdb;
	non-sim memory area log bug fixed

2001-12-19 15:18  erez

	* testbench/: Makefile.am, Makefile.in, acv_gpio.c, acv_gpio.cfg,
	acv_uart.cfg:

	Started adding acv_gpio testbench

2001-12-19 15:16  erez

	* sim-config.c, sim-config.h, peripheral/gpio.c, peripheral/gpio.h,
	peripheral/gpio_i.h, vapi/vapi.c, vapi/vapi.h:

	Improved multi-id vapi logs (i.e. GPIO)

2001-12-19 14:36  ivang

	* testbench/mc_common.c:

	Fixed warnings.

2001-12-19 13:38  simons

	* testbench/: except.S, except_mc.S, except_test.S, mmu_asm.S:

	l.jalr r9 is not used any more.

2001-12-19 09:58  ivang

	* testbench/mc_async.h:

	Added test flag templates.

2001-12-19 09:57  ivang

	* testbench/mc_async.c:

	Removed MC initialization. Must be done in except_mc.S

2001-12-19 09:46  ivang

	* testbench/mc_sync.c:

	Removed MC initialization. Must be done in except_mc.S

2001-12-19 09:46  ivang

	* testbench/mc_sync.h:

	Added test flag templates.

2001-12-19 09:36  ivang

	* testbench/mc_ssram.h:

	Added test flag templates

2001-12-19 09:36  ivang

	* testbench/mc_ssram.c:

	Removed MC initialization. Must be done in except_mc.S

2001-12-19 09:13  ivang

	* testbench/mc_common.c:

	Fixed some typos.

2001-12-18 23:28  simons

	* testbench/mmu.c:

	EEAR is used for determing ITLB miss and IPF page address.

2001-12-18 23:26  simons

	* testbench/: except_main.c, except_test.S:

	New tests added.

2001-12-18 23:24  simons

	* toplevel.c:

	Interrupt has the highest priority among all exceptions.

2001-12-18 23:23  simons

	* cpu/: or32/execute.c, or1k/except.c, or1k/sprs.c:

	Some small bugs fixed.

2001-12-18 00:09  simons

	* testbench/: except.cfg, except_main.c, except_test.S:

	Exception test.

2001-12-17 23:49  simons

	* testbench/except.S:

	DTLBMISS and DPF exceptions are fixed in simulator.

2001-12-17 23:47  simons

	* testbench/: Makefile.am, Makefile.in:

	excpt test removed except test added.

2001-12-17 23:46  simons

	* testbench/excpt.S:

	This is replaced by except test.

2001-12-17 23:20  simons

	* cpu/: or32/execute.c, common/abstract.c, or1k/except.c:

	Align, bus error and range exception fixed.

2001-12-14 19:55  simons

	* testbench/: mmu.c, mmu.cfg:

	Page size set to 8192.

2001-12-14 19:54  simons

	* mmu/: dmmu.c, immu.c:

	Page size bug fixed.

2001-12-14 14:59  ivang

	* testbench/except_mc.ld:

	For mc tests

2001-12-14 14:55  ivang

	* testbench/: mc_async.c, mc_async.h, mc_common.c, mc_common.h,
	mc_dram.c, mc_dram.h, mc_ssram.c, mc_ssram.h, mc_sync.c, mc_sync.h:

	MC Tests.

2001-12-14 14:48  ivang

	* testbench/except_mc.S:

	Also performs mc initialization.

2001-12-14 14:44  ivang

	* testbench/Makefile.am:

	Added mc tests.

2001-12-14 13:27  markom

	* testbench/: Makefile.am, Makefile.in, configure.in:

	each test should define its own LDFLAGS

2001-12-14 11:01  simons

	* cpu/or1k/: except.c, sprs.c:

	Exceptions are allways enabled.

2001-12-13 10:34  simons

	* testbench/mmu.cfg:

	MMU test configuration.

2001-12-13 10:07  simons

	* testbench/mmu.c:

	Permission test added.

2001-12-13 09:14  simons

	* cpu/or1k/spr_defs.h, testbench/support/spr_defs.h, mmu/immu.c:

	ITLBMR register bit fields set in order.

2001-12-13 07:55  erez

	* peripheral/gpio.c:

	Reading GPIO input reg now also returns values on output bits

2001-12-12 23:21  erez

	* sim-config.c, sim-config.h, toplevel.c, peripheral/Makefile.am,
	peripheral/Makefile.in, peripheral/ethernet.h, peripheral/gpio.c,
	peripheral/gpio.h, peripheral/gpio_i.h:

	Added GPIO simulation

2001-12-12 19:45  simons

	* testbench/except.ld:

	Text and data sections are put in ram.

2001-12-12 16:28  erez

	* vapi/vapi.c:

	VAPI can now accept requests for different device ids on the same
	stream

2001-12-12 15:54  simons

	* testbench/except.S:

	Two instructions removed from reset wrapper to save space.

2001-12-12 15:45  erez

	* vapi/: vapi.c, vapi.h:

	Changed VAPI device ID in log file to 16 bits

2001-12-12 15:24  erez

	* sim-config.c, sim-config.h, debug/gdbcomm.c, debug/gdbcomm.h,
	peripheral/ethernet.c, vapi/vapi.c, vapi/vapi.h:

	Added "fake" JTAG proxy log to vapi log file

2001-12-12 15:10  simons

	* mmu/dmmu.c:

	ITLB -> DTLB lapsus fixed.

2001-12-12 15:09  simons

	* cpu/: common/abstract.c, or1k/except.c, or32/execute.c,
	or1k/except.h:

	When lsu instruction produce exception registers are preserved.

2001-12-12 15:04  simons

	* testbench/except.S:

	Copying from flash to ram only when there is 0xff on address 0.

2001-12-12 09:56  markom

	* sim-config.c, sim.cfg:

	isblank changed to isspace

2001-12-12 09:18  markom

	* sim-config.c, sim-config.h, sim.cfg, cpu/common/abstract.c,
	cpu/common/abstract.h:

	clkcycle parameter added to configuration

2001-12-12 09:16  markom

	* testbench/basic.S:

	added missing basic.S file

2001-12-12 08:30  markom

	* cpu/or32/execute.c:

	stepping over breakpoint added

2001-12-11 16:06  markom

	* cpu/common/abstract.c, mmu/dmmu.c, mmu/dmmu.h, mmu/immu.c:

	dpfault and ipfault exceptions implemented

2001-12-11 15:38  markom

	* sim-config.c, sim-config.h, sim.cfg, cache/dcache_model.c,
	cache/dcache_model.h, cache/icache_model.c, cache/icache_model.h,
	cpu/common/abstract.c, cpu/common/abstract.h, mmu/dmmu.c,
	mmu/immu.c:

	cache configuration added

2001-12-11 14:52  markom

	* sim-config.c, sim.cfg, toplevel.c, cpu/common/abstract.c,
	cpu/common/abstract.h, testbench/acv_uart.cfg:

	memory_table status output; some bugs fixed in configuration
	loading

2001-12-11 14:29  markom

	* sim-config.c, sim-config.h, toplevel.c, cpu/common/abstract.c,
	cpu/common/abstract.h:

	memory logging added

2001-12-11 13:51  markom

	* sim-config.c, sim-config.h, sim.cfg, mmu/dmmu.c, mmu/dmmu.h,
	mmu/immu.c, mmu/immu.h:

	immu and dmmu configurations added

2001-12-11 11:31  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/abstract.c, cpu/common/abstract.h, peripheral/16450.c,
	peripheral/dma.c, peripheral/ethernet.c, testbench/Makefile.am,
	testbench/Makefile.in, testbench/acv_uart.cfg, testbench/basic.s,
	testbench/cache.c, testbench/default.cfg, testbench/defaultmem.cfg,
	testbench/dmatest.cfg, testbench/eth.cfg, testbench/excpt.S,
	testbench/functest.c:

	memory configuration file joined into .cfg file; *mem.cfg are
	obsolete; read-only and write-only memory is supported; memory
	logging is not yet supported; update of testbench - only cache test
	fails, since it writes to RO memory

2001-12-10 16:00  markom

	* peripheral/16450.c, peripheral/16450.h, testbench/acv_uart.c,
	testbench/acv_uart.cfg, testbench/defaultmem.cfg:

	changed break behaviour and interrupt pending; interrupt line
	chabnged to 15; sync bug in mode switch

2001-12-10 13:57  simons

	* testbench/except.ld:

	Data section is put to flash when loading.

2001-12-10 13:35  markom

	* testbench/functest.c:

	aadded missing file

2001-12-10 11:35  simons

	* testbench/excpt.S:

	Jump bug fixed.

2001-12-09 22:23  erez

	* sim-config.c, sim-config.h, testbench/acv_uart.cfg, vapi/vapi.c:

	Added config parameter vapi.log_device_id

2001-12-09 22:21  erez

	* peripheral/crc32.c, peripheral/dma.c, peripheral/ethernet.c,
	peripheral/ethernet.h, peripheral/ethernet_i.h,
	testbench/dmatest.cfg, testbench/eth.c, testbench/eth.cfg:

	Renamed ethernet's RX_BD_NUM to TX_BD_NUM (following change in
	original files)

2001-12-09 00:53  simons

	* testbench/mmu.c:

	ITLB test tested on simulator.

2001-12-09 00:52  simons

	* cpu/or32/execute.c, cpu/common/abstract.c, mmu/immu.c:

	IMMU bugs fixed.

2001-12-08 00:14  simons

	* testbench/: mmu.c, mmu_asm.S:

	DTLB test tested on simulator.

2001-12-07 16:16  simons

	* testbench/xess.ld:

	Stack section should not be loaded into mamory.

2001-12-07 14:42  markom

	* testbench/: Makefile.in, basic.s, cfg.S, except.S, except.ld,
	mmu.c, mmu_asm.S:

	some section changes

2001-12-07 13:47  simons

	* testbench/mmu.c:

	[no log message]

2001-12-07 10:56  markom

	* peripheral/16450.c, peripheral/16450.h, testbench/acv_uart.c:

	acv uart testsuite now works (without modem test)

2001-12-06 17:13  simons

	* testbench/: Makefile.am, Makefile.in, configure, configure.in,
	except.S, except.ld, mmu.c, mmu_asm.S, xess.ld, support/support.h:

	MMU test added.

2001-12-06 10:51  markom

	* peripheral/16450.c, peripheral/16450.h, pic/pic.c,
	testbench/Makefile.am, testbench/Makefile.in, testbench/acv_uart.c,
	testbench/acv_uart.cfg, testbench/cbasic.c, testbench/default.cfg,
	testbench/except.S:

	some minor changes to or1ksim; Testbench except.s modified.
	Interrupt test almost finished for uart ACV.

2001-12-05 14:37  erez

	* peripheral/ethernet.c:

	Fixed errant rx_bd_num

2001-12-05 12:02  erez

	* peripheral/ethernet.c, peripheral/ethernet.h,
	peripheral/ethernet_i.h, testbench/eth.c:

	Renamed ethernet's RX_BD_ADR to RX_BD_NUM

2001-11-28 14:44  ivang

	* peripheral/mc.h:

	added register field defines

2001-11-28 13:23  markom

	* config.sub, configure, configure.in, toplevel.c,
	cpu/or16/Makefile.am, cpu/or16/Makefile.in, cpu/or16/arch.h,
	cpu/or16/execute.c, cpu/or1k/opcode/or16.h, cpu/or1k/opcode/or32.h:

	removed or16 architecture

2001-11-28 11:20  markom

	* testbench/: acv_uart.c, defaultmem.cfg:

	added missing file

2001-11-28 09:21  markom

	* testbench/: acv_uart.cfg, default.cfg:

	removed obsolete dependency and history from cpu section

2001-11-28 08:07  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/or32/execute.c:

	dependency joined with dependstats; history moved to sim section

2001-11-28 07:56  markom

	* cpu/: dlx/execute.c, or16/execute.c, or32/execute.c:

	messages: exception on many places changed to abort

2001-11-27 22:12  lampret

	* cpu/or32/execute.c:

	Changed default delay for load and store in superscalar cpu.

2001-11-27 22:11  lampret

	* sim.cfg:

	Added comments for cpu section.

2001-11-27 14:39  markom

	* peripheral/16450.c, peripheral/16450.h, testbench/Makefile.am,
	testbench/Makefile.in, testbench/configure, testbench/configure.in,
	testbench/test, testbench/support/Makefile.in,
	testbench/uos/Makefile.in:

	check testbench now modified to work with new report output

2001-11-27 13:20  markom

	* sim.cfg:

	modified simmem.cfg structure! ADD > BEFORE EACH LINE!

2001-11-27 13:17  markom

	* sim.cfg, cpu/common/abstract.c, testbench/acv_uartmem.cfg,
	testbench/uos/int.h:

	modified simmem.cfg structure! ADD

2001-11-27 11:37  markom

	* cpu/common/abstract.c:

	bitmask function bug fixed

2001-11-27 11:33  markom

	* cpu/or1k/sprs.c, testbench/Makefile.am, testbench/Makefile.in,
	testbench/acv_uart.c, testbench/configure, testbench/configure.in,
	testbench/dhry.c, testbench/mul.c, testbench/support/Makefile.in,
	testbench/support/int.c, testbench/support/support.c,
	testbench/support/support.h, vapi/vapi.c:

	number display is more strict with 0x prefix with hex numbers

2001-11-27 10:59  markom

	* testbench/: Makefile.am, Makefile.in, acv_uart.c, acv_uart.cfg,
	default.cfg, dmatest.cfg, eth.cfg:

	all tests pass check

2001-11-27 09:36  markom

	* cpu/or1k/spr_defs.h, cpu/or1k/sprs.c,
	testbench/support/spr_defs.h, cpu/or32/execute.c,
	debug/debug_unit.c, testbench/support/int.c,
	testbench/support/int.h, testbench/support/support.c,
	testbench/uos/Makefile.am, testbench/uos/Makefile.in:

	cleanup in testbench; pc divided into ppc and npc

2001-11-27 09:00  markom

	* testbench/: acv_uart.c, acv_uartmem.cfg, support/Makefile.am,
	support/Makefile.in, support/int.c, support/int.h, uos/Makefile.am,
	uos/Makefile.in, uos/int.c:

	int.c and int.h are general enough and should be useful for other
	tests beside uos

2001-11-26 17:34  simons

	* cpu/or32/or32.c:

	[no log message]

2001-11-26 11:02  markom

	* config.h.in, configure, configure.in, cpu/or1k/Makefile.am,
	cpu/or1k/Makefile.in, cpu/or1k/sprs.c, cpu/or1k/opcode/or32.h,
	cpu/or32/or32.c, peripheral/Makefile.in, testbench/acv_uart.c,
	testbench/acv_uart.cfg, testbench/except.S:

	steps toward joining or32.c and opcode/or32.h of or1ksim and gdb;
	decode.c moved to or32.c

2001-11-23 09:51  simons

	* testbench/README:

	Configuration command description added.

2001-11-22 20:10  simons

	* INSTALL:

	[no log message]

2001-11-21 09:09  markom

	* sim-config.c, sim-config.h, toplevel.c, cpu/common/abstract.c,
	cpu/common/parse.c, cpu/or32/execute.c, peripheral/16450.c,
	testbench/acv_uart.c, testbench/acv_uart.cfg, vapi/vapi.c:

	set config command added; config struct has been divided into two
	structs - config and runtime; -f option allows multiple config
	scripts

2001-11-20 12:30  markom

	* sim-config.c, sim-config.h, sim.cfg, cpu/or32/or32.c,
	peripheral/16450.c, peripheral/16450.h, testbench/acv_uart.c,
	testbench/acv_uart.cfg, vapi/vapi.c:

	uart VAPI model improved; changes to MC and eth.

2001-11-16 21:06  simons

	* cpu/common/abstract.c, cpu/or32/execute.c, pic/pic.c,
	testbench/cache.c:

	Some bugs regarding cache simulation fixed.

2001-11-14 16:02  erez

	* peripheral/: Makefile.am, Makefile.in, crc32.c, crc32.h,
	ethernet.c:

	Added CRC32 calculation to Ethernet

2001-11-14 14:40  erez

	* peripheral/: ethernet.c, ethernet.h, ethernet_i.h:

	Improved Ethernet simulation

2001-11-14 14:38  erez

	* config.h.in, configure, configure.in:

	Added check for net/ethernet.h (needed by ethernet simulator)

2001-11-14 12:33  markom

	* sim.cfg, toplevel.c, cpu/common/parse.c, cpu/common/stats.c,
	cpu/or16/execute.c, cpu/or1k/except.c, cpu/or32/execute.c,
	cpu/or32/or32.c, mmu/dmmu.c, mmu/immu.c, peripheral/16450.c,
	peripheral/16450.h, peripheral/mc.c, support/simprintf.c,
	testbench/Makefile.am, testbench/Makefile.in, testbench/acv_uart.c,
	testbench/acv_uart.cfg, testbench/basic.s, testbench/cfg.S,
	testbench/except.S, testbench/except.ld, testbench/excpt.S:

	added acv test for uart; sim debug now has verbose levels; lot of
	bugs fixed in uart model

2001-11-14 10:22  erez

	* testbench/uos/: tick.c, uos.c:

	Small touches to test programs

2001-11-13 13:35  markom

	* testbench/: Makefile.am, Makefile.in, except.S, except.ld,
	except.s, support/support.c, support/support.h:

	added exception vectors to support and modified section names

2001-11-13 11:43  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	peripheral/16450.c, peripheral/16450.h, testbench/README,
	testbench/pic.c, vapi/vapi.h:

	added VAPI for uart; uart 16550 support, some bugs fixed

2001-11-12 15:43  markom

	* toplevel.c, peripheral/16450.c, vapi/vapi.c, vapi/vapi.h:

	VAPI works

2001-11-12 14:40  markom

	* sim-config.c, sim.cfg, toplevel.c, vapi/vapi.c:

	some small bugs fixed

2001-11-12 11:50  markom

	* vapi/vapit.c:

	removed vapi client file

2001-11-12 08:49  markom

	* sim-config.c, tick/tick.c:

	small bug fixed

2001-11-12 08:46  markom

	* sim-config.c, sim-config.h, sim.cfg, peripheral/16450.c,
	pic/pic.h, testbench/default.cfg, testbench/dmatest.cfg,
	tick/tick.c, tick/tick.h:

	removed fixed irq numbering from pic.h; tick timer section added

2001-11-12 07:54  markom

	* sim.cfg, toplevel.c:

	dependecy is required by history analisis

2001-11-12 02:38  lampret

	* cpu/common/abstract.c:

	simulate_dc_mmu_load() was calling insn cache/mmu routines instead
	of data cache/mmu. Fixed.

2001-11-12 02:33  lampret

	* sim-config.c:

	More realistic default cache type.

2001-11-10 23:21  erez

	* testbench/: eth.c, eth.cfg:

	minor ethernet testbench modifications

2001-11-10 23:18  erez

	* peripheral/: ethernet.c, ethernet.h:

	added initial ethernet RX simulation (very simple for now)

2001-11-10 23:17  erez

	* sim-config.c:

	small fix

2001-11-10 19:11  simons

	* testbench/cache.c:

	IC test repaired.C

2001-11-10 16:52  markom

	* debug/: gdbcomm.c, gdbcomm.h:

	added missing gdbcomm files

2001-11-10 11:38  erez

	* sim-config.c:

	added prototypes for xxx_vapi_id()

2001-11-09 11:11  markom

	* sim-config.c, sim-config.h, sim.cfg:

	added vapi_id to cfg

2001-11-09 11:05  markom

	* sim.cfg:

	a lot of help in sim.cfg

2001-11-09 09:19  markom

	* testbench/: default.cfg, dmatest.cfg, eth.cfg:

	added missing files

2001-11-09 09:18  markom

	* sim-config.c, sim-config.h, sim.cfg, testbench/Makefile.am,
	testbench/Makefile.in, testbench/dmatest.c, testbench/eth.c,
	testbench/excpt.S, testbench/test:

	make check working for all tests except cache

2001-11-08 16:03  markom

	* cpu/or1k/spr_defs.h, testbench/support/spr_defs.h,
	testbench/basic.s, testbench/cbasic.c, testbench/cfg.S,
	testbench/local_global.c, testbench/mul.c, testbench/test:

	more tests run; added cfg capabilities for tests

2001-11-08 14:24  markom

	* sim-config.c, cpu/common/abstract.c, testbench/Makefile.am,
	testbench/Makefile.in, testbench/configure, testbench/configure.in,
	testbench/except.ld, testbench/test, testbench/support/Makefile.in,
	testbench/uos/Makefile.in:

	testbench now has make check

2001-11-08 13:22  markom

	* peripheral/ethernet.c:

	ignore reset if ethernet is disabled

2001-11-08 10:53  markom

	* Makefile.am, Makefile.in, sim-config.c, sim-config.h, toplevel.c,
	bpb/branch_predict.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/parse.c, cpu/common/stats.c, cpu/or32/execute.c,
	debug/Makefile.in, testbench/Makefile.in, vapi/Makefile.am,
	vapi/Makefile.in, vapi/vapi.c:

	corrected lots of bugs

2001-11-08 09:50  markom

	* sim-config.c, toplevel.c, vapi/vapi.c, vapi/vapi.h, vapi/vapit.c:

	VAPI should work, but not tested with sim yet.

2001-11-08 09:00  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/parse.c, cpu/common/parse.h, debug/Makefile.am,
	vapi/vapi.c, vapi/vapi.h, vapi/vapit.c:

	included VAPI in execution, but it is still not functioning; some
	cleanup in toplevel.c

2001-11-07 21:27  lampret

	* cpu/or32/execute.c:

	Fixed reset exception (ESR0) and added some SPRs to executed.log

2001-11-07 11:48  markom

	* vapi/Makefile.in:

	ran automake and autoconf

2001-11-07 11:33  markom

	* cpu/common/abstract.c:

	mc +& bug fixed

2001-11-07 11:13  simons

	* cpu/common/parse.c:

	Sections loaded by physical add.

2001-11-07 10:09  markom

	* cpu/common/abstract.c:

	repaired bug in memcfg parser

2001-11-07 09:55  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/execute.h, cpu/or32/execute.c:

	improved config parser

2001-11-07 08:20  markom

	* configure, configure.in, sim-config.c, sim-config.h, sim.cfg,
	toplevel.c, cpu/or32/execute.c, peripheral/Makefile.in,
	vapi/Makefile.am, vapi/vapi.c, vapi/vapi.h, vapi/vapit.c:

	added draft VAPI files; added verbose option to sim section

2001-11-07 02:57  lampret

	* cpu/or1k/sprs.c:

	Added TT and PIC SPRs to the status (info command)

2001-11-05 08:34  markom

	* cpu/common/: abstract.c, parse.c:

	some speedups, when debug module is disabled

2001-11-05 08:29  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/abstract.c, cpu/common/labels.c, cpu/common/labels.h,
	cpu/or32/execute.c, debug/debug_unit.c:

	added labels; corrected false if clause, preventing to fill iqueue

2001-11-02 15:05  markom

	* profiler.c, sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	bpb/branch_predict.c, cpu/common/stats.c, cpu/or32/execute.c:

	updated cpu config section; added sim config section

2001-11-02 14:07  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/stats.c, cpu/or32/execute.c, cpu/or32/or32.c:

	configure for cpu; modified command line options

2001-11-02 13:32  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cpu/common/abstract.c, cpu/or32/execute.c, cpu/or32/or32.c:

	small bug in build_automata fixed; configure for memory

2001-11-02 11:01  markom

	* sim-config.c, sim-config.h, sim.cfg, toplevel.c,
	cache/dcache_model.c, cache/icache_model.c, cpu/common/Makefile.am,
	cpu/common/Makefile.in, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/common/parse.c, cpu/common/trace.c,
	cpu/or1k/except.c, cpu/or1k/except.h, cpu/or1k/sprs.c,
	cpu/or32/execute.c, peripheral/16450.c, peripheral/dma.c,
	peripheral/mc.c, peripheral/mc.h, peripheral/vga.c,
	peripheral/vga.h, pic/pic.c, pic/pic.h, support/dumpverilog.c,
	testbench/Makefile.am, testbench/pic.c:

	modified memory accesses; added cfg script; added pic test basic
	entry of vga; some extensions to mc

2001-10-31 21:08  erez

	* support/dumpverilog.c:

	Replaced some 8-bit memory access with 32-bit

2001-10-31 18:28  erez

	* tick/Makefile:

	Removed tick/Makefile, which is generated anyway

2001-10-31 18:08  erez

	* testbench/: Makefile.am, Makefile.in, configure, dma.c,
	dmatest.c, eth.c:

	Added Ethernet test; renamed dma to dmatest; commented out missing
	pic.c

2001-10-31 18:04  erez

	* sim-config.c, sim-config.h, toplevel.c, peripheral/Makefile.am,
	peripheral/Makefile.in, peripheral/ethernet.c,
	peripheral/ethernet.h:

	Added initial Ethernet simulation (only TX as yet)

2001-10-31 18:02  erez

	* peripheral/dma.c:

	fixed masked_increase() in dma.c

2001-10-31 15:21  erez

	* cpu/or1k/sprs.c:

	mtspr() now correctly sets value to register

2001-10-31 15:19  erez

	* cpu/or1k/except.c:

	Made error report more verbose

2001-10-31 14:35  erez

	* peripheral/fields.h:

	Made macros slightly more robust

2001-10-31 14:34  erez

	* peripheral/: dma.c, 16450.c:

	Fixed typo

2001-10-31 14:32  erez

	* cpu/common/abstract.c:

	"Granularity" bugfix

2001-10-26 10:57  markom

	* cpu/common/: parse.c, parse.h:

	removed some ugly absolete code from parse.c

2001-10-26 10:47  markom

	* sim.cfg:

	sample config script added

2001-10-26 10:46  markom

	* sim-config.c, sim-config.h, toplevel.c, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/common/parse.c, cpu/or1k/sprs.c,
	cpu/or32/execute.c:

	removed GlobalMode

2001-10-25 11:23  markom

	* Makefile.am, Makefile.in, peripheral/Makefile.in, tick/Makefile:

	"make install" now works

2001-10-25 11:11  markom

	* sim-config.c, sim-config.h:

	fixed small bug

2001-10-25 10:50  markom

	* profiler.c, sim-config.c, sim-config.h, toplevel.c,
	cpu/common/abstract.c, tick/Makefile, peripheral/Makefile.am,
	peripheral/mc.c, peripheral/mc.h:

	added enviroment configuration script parser

2001-10-24 22:43  erez

	* peripheral/16450.c:

	Changed function prototypes to quiet compiler warning

2001-10-24 22:40  erez

	* support/dumpverilog.c:

	Added some checks about memory entries

2001-10-24 22:36  erez

	* pic/pic.h:

	Added INT_DMA

2001-10-24 22:35  erez

	* cpu/common/abstract.c, cpu/common/abstract.h, peripheral/16450.c,
	peripheral/16450.h, peripheral/dma.c, peripheral/dma.h:

	memory areas now have a "granularity" also switched dma to GNU
	coding

2001-10-24 22:27  erez

	* toplevel.c:

	When initializing memory, use set_mem8() instead of
	cur_area->writefunc()

2001-10-24 19:22  erez

	* peripheral/fields.h:

	Changed my email

2001-10-24 19:19  erez

	* cpu/common/parse.c:

	Now checks getentry() returns valid result

2001-10-24 19:17  erez

	* cpu/common/parse.h:

	Removed redundant OPERAND_DELIM (conflicted with other file)

2001-10-24 19:14  erez

	* sim-config.c, sim-config.h:

	DMA IRQ is now a parameter

2001-10-24 17:35  erez

	* testbench/: Makefile.in, aclocal.m4, configure:

	Reran automake and autoconf

2001-10-24 17:33  erez

	* testbench/configure.in:

	Checks for tools by target, not host

2001-10-24 17:29  erez

	* testbench/dma.c:

	Fixed include paths and switched to printf()'s instead of
	report()'s

2001-10-24 15:31  markom

	* testbench/: README, mul.c, support/Makefile.am,
	support/Makefile.in, support/support.c, support/support.h:

	added missing support files

2001-10-24 14:57  erez

	* config.h.in:

	Reran autoheader

2001-10-24 13:40  markom

	* testbench/: COPYING, Makefile.am, Makefile.in, TODO, aclocal.m4,
	basic.s, cache.c, cbasic.c, cfg.S, config.sub, configure,
	configure.in, dhry.c, dhry.h, dma.c, except.ld, except.s, excpt.S,
	exit.c, local_global.c, mul.c, mycompress.c, test3.o, xess.ld:

	added various tests

2001-10-24 12:51  markom

	* stamp-h:

	reran automake and autoconf

2001-10-24 12:49  markom

	* testbench/uos/: README, except_or32.S, int.c, int.h, ipc.h,
	spr_defs.h, task.c, tick.c, uos.c, uos.h:

	added uos to new testbench

2001-10-24 12:48  markom

	* Makefile.am, Makefile.in, config.h.in, configure, configure.in,
	sim-config.c, sim-config.h, toplevel.c, bpb/Makefile.in,
	cache/Makefile.in, cpu/Makefile.in, cpu/common/Makefile.in,
	cpu/common/abstract.c, cpu/common/abstract.h, cpu/common/parse.c,
	cpu/common/parse.h, cpu/common/stats.c, cpu/common/trace.c,
	cpu/dlx/Makefile.in, cpu/or16/Makefile.in, cpu/or1k/Makefile.in,
	cpu/or1k/except.c, cpu/or1k/spr_defs.h, cpu/or32/Makefile.in,
	cpu/or32/execute.c, cpu/or32/or32.c, testbench/support/spr_defs.h,
	debug/Makefile.am, debug/Makefile.in, debug/debug_unit.c,
	debug/debug_unit.c.bak, debug/debug_unit.h, mmu/Makefile.in,
	peripheral/16450.c, peripheral/16450.h, peripheral/Makefile.am,
	peripheral/Makefile.in, peripheral/debug_unit.c,
	peripheral/debug_unit.h, pic/Makefile.in, pm/Makefile.in,
	support/Makefile.in, support/dumpverilog.c, testbench/uos/Makefile,
	testbench/uos/Makefile.am, testbench/uos/Makefile.in,
	testbench/uos/README, testbench/uos/except_or32.S,
	testbench/uos/int.c, testbench/uos/int.h, testbench/uos/ipc.h,
	testbench/uos/spr_defs.h, testbench/uos/task.c,
	testbench/uos/tick.c, testbench/uos/uos.c, testbench/uos/uos.h,
	tick/Makefile.in:

	major changes to testbench; debug unit is moved to /debug; memory
	organization can be customized; UART from simons;  overall cleanup

2001-10-04 13:11  erez

	* configure, configure.in:

	Removed redundant "long long" checks

2001-10-04 12:17  erez

	* testbench/README:

	Added test5 for DMA

2001-10-04 12:15  erez

	* peripheral/: dma.c, dma.h, fields.h:

	Added DMA

2001-10-04 12:10  erez

	* sim-config.c, sim-config.h, toplevel.c, peripheral/Makefile.am,
	peripheral/Makefile.in:

	Added DMA

2001-10-04 12:06  erez

	* configure:

	Added check for "long long"

2001-09-27 10:11  chris

	* toplevel.c, cpu/common/abstract.c, cpu/or32/execute.c,
	peripheral/debug_unit.c, peripheral/debug_unit.h:

	Several modifications to support gdb in a new exception style mode.
	 This new version works with gdb, and does not require the
	simulator to implement a writeable PC.

2001-09-20 15:14  erez

	* mmu/: dmmu.h, immu.h:

	Added function prototypes to stop gcc from complaining

2001-09-13 18:16  erez

	* config.h.in, configure, configure.in:

	changed configure.in and acconfig.h to check for long long reran
	autoheader & autoconf

2001-09-13 18:14  erez

	* cpu/common/: abstract.c, abstract.h:

	readfunc() and writefunc() now use unsigned long values instead of
	unsigned char.

2001-09-07 22:54  simons

	* testbench/uos/: Makefile, README, except_or32.S, int.c, int.h,
	ipc.h, spr_defs.h, task.c, tick.c, uos.c, uos.h:

	Moved from testbench.old

2001-09-07 22:44  simons

	* testbench/uos/: README, kernel/Makefile, kernel/except_or32.S,
	kernel/idle.c, kernel/machine.c, kernel/machine.h,
	kernel/ukernel.c, kernel/ukernel.h, kernel/vmm.c, kernel/vmm.h,
	libc/Makefile, libc/string.c, libc/syscalls.c, user1/Makefile,
	user1/user1.c, user3/Makefile:

	This is not used any more.

2001-09-07 22:17  simons

	* cpu/or1k/spr_defs.h, testbench/support/spr_defs.h, sim-config.c:

	Configuration SPRs added.

2001-09-07 22:16  simons

	* testbench/README:

	New test added.

2001-09-07 14:07  chris

	* peripheral/debug_unit.h:

	Declared RISCOP.RESET to be volatile so that -O2 optimization would
	not optimize away the correct behavior by trying to be too clever.

2001-09-07 05:00  chris

	* cpu/or1k/sprs.c:


	Removed GlobalMode reference causing problems for
	--disable-debugmod option.

2001-09-06 08:38  chris

	* sim-config.h:

	Added UART jitter var to sim config

2001-09-06 08:38  chris

	* sim-config.c:

	Added jitter initialization

2001-09-06 08:29  chris

	* tick/tick.c:

	fixed mode handling for tick facility

2001-09-06 08:29  chris

	* pic/pic.c:

	fixed PIC interrupt controller

2001-09-06 08:28  chris

	* peripheral/debug_unit.c:

	minor change to clear pending exception

2001-09-06 08:28  chris

	* peripheral/16450.h:

	major change to UART structure

2001-09-06 08:27  chris

	* peripheral/16450.c:

	major change to UART code

2001-09-06 08:27  chris

	* cpu/or32/execute.c:

	modified decode for trace debugging

2001-09-06 08:27  chris

	* cpu/or1k/sprs.c:

	changed special case for PICSR

2001-09-06 08:26  chris

	* cpu/or1k/except.c:

	updated exception handling procedures

2001-09-06 08:26  chris

	* toplevel.c:

	Added trace/stall commands

2001-08-16 14:44  markom

	* configure.in:

	Added new configure option --enable-impl=[default,mp3,bender],
	which defines IMPL_impl.  It selects implementation specific
	environment. One should #ifdef the code that is different than
	default.

2001-08-16 12:08  markom

	* toplevel.c, cpu/common/abstract.c, cpu/or1k/opcode/or32.h,
	cpu/or32/execute.c, cpu/or32/or32.c:

	Few changes that should be done previously:  - machine.h replaced
	by spr_defs.h  - if reset label does not exist, boot from 0x0100

2001-08-14 08:19  markom

	* Makefile.am, Makefile.in, profiler.c, sim-config.c, sim-config.h,
	toplevel.c, cpu/common/parse.c, cpu/or1k/spr_defs.h,
	testbench/support/spr_defs.h, cpu/or32/execute.c,
	support/simprintf.c:

	 - profiler added, use e.g.:
	make profiler ./sim -profile -fast executable ./profiler -g [-c]

	(no special compiling options necessary)

2001-08-08 16:23  markom

	* Makefile.in, configure, configure.in, sim-config.c, toplevel.c,
	cache/dcache_model.c, cache/icache_model.c, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/common/parse.c, cpu/common/stats.c,
	cpu/or1k/arch.h, cpu/or1k/except.c, cpu/or1k/spr_defs.h,
	cpu/or1k/sprs.c, cpu/or1k/sprs.h, cpu/or32/execute.c, mmu/dmmu.c,
	mmu/immu.c, peripheral/debug_unit.c, peripheral/debug_unit.h,
	testbench/support/spr_defs.h, pic/pic.c, pm/pm.c, tick/Makefile,
	tick/tick.c:

	 - SPR values corrected
	 - testbenches now work
	 - lot of optimizations, use --disable-debugmod for optimal
	performance
	 - some tick timer bugs fixed

2001-06-27 09:13  chris

	* README.gdb:

	Updated for new runtime environment

2001-06-27 09:01  chris

	* cpu/or1k/sprs.c:

	Writes to SPR_PC are now enabled

2001-06-27 08:59  chris

	* cpu/or1k/except.c:

	Breakpoint exceptions from single step are not printed now.

2001-06-26 05:58  chris

	* peripheral/debug_unit.c:

	Replace single stepping patch that got overwritten

2001-06-25 14:20  chris

	* README.gdb:

	Initial checkin of instructions

2001-06-25 14:09  chris

	* peripheral/: debug_unit.c, debug_unit.h:

	Modifications necessary for functional gdb debugging interface

2001-06-25 14:08  chris

	* cpu/or32/or32.c:

	Modifications necessary for functional gdb interface

2001-06-25 14:05  chris

	* cpu/or32/execute.c:

	Modifications for a functional gdb environment

2001-06-25 14:04  chris

	* cpu/or1k/opcode/or32.h:

	Added l_trap()

2001-06-25 14:01  chris

	* cpu/or1k/spr_defs.h, testbench/support/spr_defs.h,
	cpu/or1k/sprs.c:

	Modifications for functional gdb

2001-06-25 13:58  chris

	* toplevel.c, cpu/or1k/except.c:

	Modifications for functional gdb

2001-06-22 10:58  markom

	* toplevel.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/execute.h, cpu/common/parse.c, cpu/common/parse.h,
	cpu/common/stats.c, cpu/or1k/arch.h, cpu/or1k/opcode/or32.h,
	cpu/or32/execute.c, cpu/or32/or32.c, peripheral/debug_unit.c,
	pic/pic.c, support/dumpverilog.c, tick/Makefile:

	- on the fly insn decoding - removed asm input file support -
	removed string from execution - speedup of loading

2001-06-21 11:52  chris

	* cpu/or1k/except.h:

	Added TRAP exception

2001-06-19 12:38  markom

	* cpu/common/: abstract.c, abstract.h, parse.c:

	[no log message]

2001-06-19 12:29  markom

	* cpu/or1k/Makefile.am, cpu/or1k/Makefile.in, cpu/or1k/arch.h,
	cpu/or1k/except.c, cpu/or1k/spr_defs.h, cpu/or1k/sprs.c,
	cpu/or1k/opcode/or16.h, cpu/or1k/opcode/or32.h,
	testbench/support/spr_defs.h, cpu/or32/Makefile.am,
	cpu/or32/Makefile.in, cpu/or32/execute.c, cpu/or32/or32.c,
	tick/tick.c:

	moved header files to match other utilities repaired l.sra and some
	other shifting instructions started build_automata for binary
	instruction decode

2001-06-18 13:52  chris

	* configure:

	Added option for socket libraries under Solaris

2001-06-18 13:48  chris

	* configure.in:

	Added option for socket libraries under Solaris

2001-06-18 13:44  chris

	* peripheral/debug_unit.h:

	Initial checkin of the Debug Unit register descriptions

2001-06-18 13:43  chris

	* peripheral/debug_unit.c:

	Initial checkin of the debug unit module

2001-06-18 13:42  chris

	* cpu/or32/execute.c:

	Added code to inject insn from Debug Unit DIR

2001-06-18 13:41  chris

	* cpu/or1k/except.c:

	Added code to check debug unit after an exception

2001-06-18 13:39  chris

	* toplevel.c:

	Added GDB debugging protocol.

2001-06-12 15:35  markom

	* Makefile.am, Makefile.in, config.h.in, configure, configure.in,
	sim-config.c, sim-config.h, toplevel.c, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/common/execute.h, cpu/common/parse.c,
	cpu/common/parse.h, cpu/dlx/execute.c, cpu/or16/execute.c,
	cpu/or1k/Makefile.am, cpu/or1k/Makefile.in, cpu/or1k/except.c,
	cpu/or1k/sprs.c, cpu/or1k/sprs.h, cpu/or32/execute.c,
	peripheral/16450.c, peripheral/Makefile.am, peripheral/Makefile.in,
	pic/pic.c, support/dumpverilog.c, support/simprintf.c,
	tick/Makefile:

	Bugs fixed:  - l.rfe temporarly disables exceptions  - l.sys does
	PC -= 4  - breakpoints now supported at peripheria locations  -
	uart0.rt/.tx nonexistent file segment fault

	Other modifications:  - replaced string names to instruction
	indexes  - execute.c executes specified (in ISA table) function  -
	modified ISA table - flag needed for gdb  - added or32.c, which
	supports or32.h  - added new instructions l.mac, l.msb, l.maci,
	l.macrc    and their executing functions (opcodes to be revisited)
	- added header acconfig.h  - modified configuration files

2001-05-22 13:41  markom

	* cache/icache_model.c:

	bug fix.

2001-05-18 07:10  lampret

	* Makefile.am, Makefile.in, configure, configure.in, sim-config.c,
	sim-config.h, toplevel.c:

	Major update to include PM, PIC, Cache Mngmnt and non-interactive
	mode.

2001-05-18 07:00  lampret

	* pm/Makefile.am, pm/Makefile.in, pm/pm.c, pm/pm.h,
	pic/Makefile.am, pic/Makefile.in, pic/pic.c, pic/pic.h:

	Major update to include PM, PIC, Cache Mngmnt and non-interactive
	mode.

2001-05-18 06:55  lampret

	* cpu/common/abstract.c, cpu/common/stats.c, cpu/or1k/except.h,
	cpu/or1k/spr_defs.h, cpu/or1k/sprs.c, cpu/or32/execute.c,
	testbench/support/spr_defs.h, cache/dcache_model.c,
	cache/icache_model.c, cache/icache_model.h, mmu/dmmu.c, mmu/immu.c,
	bpb/branch_predict.c, tick/Makefile, tick/tick.c,
	peripheral/16450.c, peripheral/Makefile.in:

	Major update to include PM, PIC, Cache Mngmnt and non-interactive
	mode.

2001-05-03 06:32  lampret

	* tick/tick.c:

	Updated tick facility.

2001-05-03 06:29  lampret

	* cpu/or1k/except.h, cpu/or1k/spr_defs.h,
	testbench/support/spr_defs.h:

	[no log message]

2001-05-03 06:27  lampret

	* cpu/or32/execute.c:

	Return value register is now r9.

2001-05-03 06:26  lampret

	* testbench/README:

	Description of all test cases (at least working one).

2001-04-03 03:26  lampret

	* testbench/uos/: kernel/Makefile, kernel/except_or32.S,
	kernel/idle.c, kernel/machine.c, kernel/machine.h,
	kernel/ukernel.c, kernel/ukernel.h, kernel/vmm.c, kernel/vmm.h,
	libc/Makefile, libc/string.c, libc/syscalls.c, user1/Makefile,
	user1/user1.c, user3/Makefile:

	Update.

2001-04-03 03:24  lampret

	* testbench/uos/README:

	Adding uos.

2001-04-03 00:24  lampret

	* Makefile.am, Makefile.in, configure, configure.in, toplevel.c:

	Tick timer.

2001-04-03 00:22  lampret

	* tick/: Makefile, Makefile.am, Makefile.in, tick.c, tick.h:

	Tick timer facility.

2001-04-02 22:49  lampret

	* cpu/or1k/spr_defs.h, testbench/support/spr_defs.h:

	Added tick timer.

2001-04-01 15:24  lampret

	* toplevel.c:

	Added dh command.

2001-04-01 15:24  lampret

	* support/dumpverilog.c:

	Added dumphex.

2001-04-01 15:23  lampret

	* cache/Makefile.in:

	Update.

2001-04-01 15:21  lampret

	* cpu/: common/execute.h, or32/execute.c:

	Updates.

2001-04-01 15:18  lampret

	* cpu/or1k/except.c:

	Changed pctemp to pcnext.

2000-10-30 08:35  lampret

	* sim-config.c, sim-config.h, toplevel.c:

	(i/d)tlb_status

2000-10-30 08:33  lampret

	* cpu/common/abstract.c, cpu/common/stats.c, cpu/common/stats.h,
	cpu/dlx/Makefile.in, cpu/or16/Makefile.in, cpu/or1k/except.c,
	cpu/or1k/except.h, cpu/or1k/spr_defs.h, cpu/or1k/sprs.c,
	testbench/support/spr_defs.h, cpu/or32/execute.c:

	Regular update.

2000-10-30 08:28  lampret

	* cache/: icache_model.c, icache_model.h:

	regular update

2000-10-30 08:27  lampret

	* support/: dumpverilog.c, dumpverilog.h, simprintf.c:

	simgetstr added. eval_mem32 replaced with evalsim_mem32.

2000-10-23 10:04  lampret

	* mmu/: immu.c, immu.h:

	Same as DMMU.

2000-10-23 10:03  lampret

	* mmu/: Makefile.am, Makefile.in, dmmu.c:

	Fixed all bugs. Now more or less works. IMMU still has some
	problems (exception start).

2000-10-18 09:07  lampret

	* README:

	Added 'how to build GNU tools'

2000-10-11 09:45  lampret

	* sim-config.c, sim-config.h, toplevel.c:

	Sim debug.

2000-10-11 09:42  lampret

	* cpu/or32/execute.c:

	Added hook for l.sys 204. Changed SPR of flag (no more CCR)

2000-10-11 09:40  lampret

	* cpu/common/parse.c:

	Added simulator "application load".

2000-10-11 09:40  lampret

	* cpu/common/abstract.c:

	Added another set of eval_ functions that should be used directly
	by simulator.  evalsim_ and setsim_ don't go through MMU
	transaltion mechanism.

2000-10-11 09:38  lampret

	* cpu/common/: stats.c, stats.h:

	Added DMMU stats.

2000-10-11 09:37  lampret

	* cpu/or1k/except.c, cpu/or1k/except.h, cpu/or1k/spr_defs.h,
	cpu/or1k/sprs.h, testbench/support/spr_defs.h:

	SPR bit definition moved to spr_defs.h.

2000-10-11 09:36  lampret

	* cpu/or1k/sprs.c:

	Fixed a bug in getsprbits/setsprbits functions (now mask can have
	arbitry alignment of bits).

2000-10-11 09:32  lampret

	* mmu/: dmmu.c, dmmu.h:

	OR1K DMMU model.

2000-09-06 06:22  lampret

	* support/: dumpverilog.c, dumpverilog.h:

	Memory model changed.

2000-08-21 09:25  lampret

	* support/: dumpverilog.c, dumpverilog.h:

	Added 'dv' command for dumping memory as verilog model.

2000-08-21 09:23  lampret

	* Makefile.in, NEWS, README, toplevel.c, bpb/Makefile.in,
	cache/dcache_model.c, cpu/Makefile.in, cpu/common/Makefile.in,
	cpu/or1k/Makefile.in, cpu/or1k/except.h, cpu/or32/Makefile.am,
	cpu/or32/Makefile.in, cpu/or32/execute.c, support/Makefile.am,
	support/Makefile.in:

	Regular maintenance.

2000-06-21 13:38  lampret

	* cpu/common/parse.h:

	Comment character changed.

2000-06-21 13:37  lampret

	* cpu/or1k/except.c:

	Exception detection changed a bit.

2000-06-21 13:36  lampret

	* cpu/common/execute.h:

	Added CURINSN macro.

2000-06-21 13:35  lampret

	* cpu/or1k/except.h:

	Changed simulation mode to non-virtual (real).

2000-06-21 13:34  lampret

	* cpu/or1k/sprs.h:

	Added CCR.

2000-06-21 13:34  lampret

	* cpu/common/abstract.c:

	Added interrupt recognition and better memory dump.

2000-06-21 13:32  lampret

	* toplevel.c:

	Added srand().

2000-06-21 13:30  lampret

	* sim-config.h:

	Added NONE.

2000-06-16 08:19  lampret

	* support/simprintf.c:

	%s bug fixed.

2000-06-11 04:50  lampret

	* cpu/or1k/except.c:

	SUPV bit from SR is now saved into EPCR bit 0.

2000-06-11 04:49  lampret

	* cpu/common/parse.c:

	Bug fix. Only symbols with names shorter than 9 characters are
	loaded.

2000-06-10 07:21  lampret

	* cpu/common/parse.c:

	Bug fix. Now all COFF sections are loaded not just .text.

2000-06-10 02:16  lampret

	* cpu/or1k/except.h:

	Virtual machine at the moment.

2000-06-10 02:16  lampret

	* cpu/common/abstract.h:

	STACK_SIZE is not properly used (will be removed soon).

2000-06-10 02:14  lampret

	* cpu/common/parse.c:

	Fixed bug when loading "data" from .text segment (all insns are not
	only decoded but also placed in simulator memory undecoded as
	data).

2000-06-10 02:11  lampret

	* cpu/common/abstract.c:

	SLP hooks.

2000-06-10 02:11  lampret

	* cpu/common/: stats.c, stats.h:

	Started with SLP (not finished yet).

2000-06-06 03:25  lampret

	* cpu/or1k/: except.c, except.h:

	Handling of or1k exceptions.

2000-06-06 03:22  lampret

	* cpu/common/abstract.c:

	Interrupt recognition.

2000-06-06 00:41  lampret

	* peripheral/: 16450.c, 16450.h, Makefile.am, Makefile.in:

	16450 serial UART device.

2000-06-06 00:35  lampret

	* Makefile.am, Makefile.in, configure, configure.in, sim-config.c,
	sim-config.h, toplevel.c, cpu/common/abstract.c,
	cpu/common/abstract.h, cpu/common/parse.c, cpu/common/stats.c,
	cpu/common/stats.h, cpu/common/trace.c, cpu/dlx/execute.c,
	cpu/or1k/Makefile.am, cpu/or1k/Makefile.in, cpu/or1k/sprs.c,
	cpu/or1k/sprs.h:

	Updated SPRs, exceptions. Added 16450 device.

2000-05-22 03:07  lampret

	* cpu/common/coff.h:

	Adding OR16/OR32 insn decoder.

2000-05-22 02:59  lampret

	* Makefile.am, Makefile.in, configure, configure.in, toplevel.c,
	bpb/branch_predict.c, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/parse.c, cpu/or16/execute.c, cpu/or1k/Makefile.am,
	cpu/or1k/Makefile.in, cpu/or1k/sprs.c:

	Adding COFF loader.

2000-05-06 22:46  lampret

	* NEWS:

	Updated.

2000-05-06 05:47  lampret

	* configure, configure.in, bpb/branch_predict.c,
	cache/dcache_model.c, cache/icache_model.c, cpu/Makefile.am,
	cpu/Makefile.in, cpu/common/abstract.h, cpu/common/parse.c,
	cpu/dlx/Makefile.am, cpu/dlx/Makefile.in, cpu/or16/Makefile.am,
	cpu/or16/Makefile.in, cpu/or16/execute.c:

	Clean up.

2000-05-06 05:46  lampret

	* cpu/common/abstract.c:

	Bug fix in handling labels when loading code into simulator memory.

2000-05-06 05:45  lampret

	* cpu/common/: stats.c, stats.h:

	Static branch prediction added.

2000-05-06 05:31  lampret

	* cpu/or1k/: Makefile.am, Makefile.in, arch.h, sprs.c, sprs.h:

	Common OR1K backend for OR32 and OR16.

2000-05-03 23:36  lampret

	* cpu/: common/abstract.h, common/parse.c, or16/execute.c:

	More modifications related to or16.

2000-05-03 23:35  cmchen

	* AUTHORS, README, toplevel.c:

	More modifications related to or16.

2000-05-03 10:25  lampret

	* cpu/or32/Makefile.in:

	or1k renamed to or32.

2000-05-03 10:11  lampret

	* cpu/or16/: Makefile.am, Makefile.in, arch.h, execute.c:

	Added or16, or1k renamed to or32.

2000-05-03 10:06  lampret

	* Makefile.in, README, config.sub, configure, configure.in,
	toplevel.c, bpb/Makefile.in, cache/Makefile.in, cpu/Makefile.in,
	cpu/common/Makefile.in, cpu/common/abstract.c, cpu/common/parse.c,
	cpu/dlx/Makefile.in, mmu/Makefile.in, support/Makefile.in:

	or16 added, or1k renamed to or32.

2000-04-10 13:28  jrydberg

	* Makefile.in, config.h.in, configure:

	Re-generated.

2000-04-10 13:27  jrydberg

	* configure.in, toplevel.c:

	Add support for systems without readline.  To use GNU readline
	library, use the `--enable-readline' option to the configure
	script.

2000-03-04 22:14  jrydberg

	* AUTHORS, ChangeLog, NEWS:

	Initial revision.

2000-03-03 16:55  jrydberg

	* Makefile.in, bpb/Makefile.in, cache/Makefile.in, cpu/Makefile.in,
	cpu/common/Makefile.in, cpu/or32/Makefile.in, mmu/Makefile.in,
	support/Makefile.in:

	Rebuild of the generated files.

2000-03-03 16:54  jrydberg

	* README:

	Added information to the section about how to configure and compile
	the package.

2000-03-03 16:53  jrydberg

	* configure:

	Rebuild from configure.in.

2000-03-03 16:53  jrydberg

	* configure.in:

	Support for both architectures. Specify architecture with the
	--target option.

2000-03-03 16:52  jrydberg

	* config.sub:

	Added support for OpenRISC 100 and DLX.

2000-03-03 16:50  jrydberg

	* cpu/dlx/: Makefile.am, Makefile.in:

	Initial revision.

2000-03-03 16:39  jrydberg

	* INSTALL, Makefile.am, Makefile.in, aclocal.m4, config.guess,
	config.h.in, config.sub, configure, configure.in, install-sh,
	missing, mkinstalldirs, sim-config.c, sim-config.h, stamp-h.in,
	toplevel.c, bpb/Makefile.am, bpb/Makefile.in, cache/Makefile,
	cache/Makefile.am, cache/Makefile.in, cpu/Makefile.am,
	cpu/Makefile.in, cpu/common/Makefile.am, cpu/common/Makefile.in,
	cpu/common/abstract.c, cpu/dlx/Makefile, cpu/or32/Makefile.am,
	cpu/or32/Makefile.in, mmu/Makefile.am, mmu/Makefile.in,
	support/Makefile.am, support/Makefile.in, support/simprintf.c:

	Major update of the enviorment.  Now uses autoconf and automake.
	The simulator uses readline aswell to get input from the user.	A
	number of new files added, some modified. The libc directory is now
	called support.

2000-03-02 22:32  lampret

	* README, toplevel.c, bpb/branch_predict.c, cpu/common/abstract.c,
	cpu/common/parse.c, cpu/common/stats.c, cpu/common/stats.h,
	cpu/dlx/execute.c, cpu/or32/execute.c, mmu/dmmu.c, mmu/dmmu.h:

	Just a regular update with exception of cache simulation. MMU
	simulation still under development.

2000-03-02 22:29  lampret

	* cache/: Makefile, dcache_model.c, dcache_model.h, icache_model.c,
	icache_model.h:

	Data and instruction cache simulation added.

2000-01-12 18:27  lampret

	* README:

	no message

1999-10-29 06:02  cvs

	* COPYING, README, toplevel.c, bpb/branch_predict.c,
	bpb/branch_predict.h, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/execute.h, cpu/common/parse.c, cpu/common/parse.h,
	cpu/common/stats.c, cpu/common/stats.h, cpu/common/trace.c,
	cpu/common/trace.h, cpu/dlx/Makefile, cpu/dlx/arch.h,
	cpu/dlx/execute.c, cpu/or32/execute.c:

	First import.

1999-10-29 06:02  cvs

	* COPYING, README, toplevel.c, bpb/branch_predict.c,
	bpb/branch_predict.h, cpu/common/abstract.c, cpu/common/abstract.h,
	cpu/common/execute.h, cpu/common/parse.c, cpu/common/parse.h,
	cpu/common/stats.c, cpu/common/stats.h, cpu/common/trace.c,
	cpu/common/trace.h, cpu/dlx/Makefile, cpu/dlx/arch.h,
	cpu/dlx/execute.c, cpu/or32/execute.c:

	Initial revision
